!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:29             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_1033) = coupl(nGC_445)*dZee_QED2
      coupl(nGC_1034) = coupl(nGC_622)*dZee_QED2 + coupl(nGC_623)*dsw_QED2 +   &
                        coupl(nGC_624)*dcw_QED2
      coupl(nGC_1035) = coupl(nGC_611)*dZee_QED2 + coupl(nGC_612)*dsw_QED2 +   &
                        coupl(nGC_613)*dcw_QED2
      coupl(nGC_1036) = coupl(nGC_476)*dZgs_QCD2
      coupl(nGC_1037) = coupl(nGC_482)*dZgs_QCD2
      coupl(nGC_715) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_126)**2d0 - 4d0*Nc*cMC &
                       **2d0*cima*coupl(nGC_128)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                       coupl(nGC_132)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_141&
                       )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_143)**2d0 - 4d0*&
                       Nc*cMU**2d0*cima*coupl(nGC_149)**2d0 - 4d0*cME**2d0*cima&
                       *coupl(nGC_135)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_138  &
                       )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_147)**2d0 - 2d0*  &
                       cMW**2d0*coupl(nGC_47) - cMZ**2d0*coupl(nGC_96) + 2d0*  &
                       cima*coupl(nGC_107)**2d0 + cima*coupl(nGC_123)**2d0)/(  &
                       16d0*pi**2d0)
      coupl(nGC_714) = cima*(Nc*coupl(nGC_126)**2d0 + Nc*coupl(nGC_128)**2d0 + &
                       Nc*coupl(nGC_132)**2d0 + Nc*coupl(nGC_141)**2d0 + Nc*   &
                       coupl(nGC_143)**2d0 + Nc*coupl(nGC_149)**2d0 + coupl(   &
                       nGC_135)**2d0 + coupl(nGC_138)**2d0 + coupl(nGC_147)**  &
                       2d0)/(24d0*pi**2d0)
      coupl(nGC_935) = coupl(nGC_19)*sq2*(coupl(nGC_148)**2d0 + coupl(nGC_149  &
                       )**2d0 + coupl(nGC_150)*coupl(nGC_244) + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_934) = coupl(nGC_19)*sq2*(coupl(nGC_130)**2d0 + coupl(nGC_149  &
                       )**2d0 + coupl(nGC_150)*coupl(nGC_244) + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0)
      coupl(nGC_933) = coupl(nGC_19)*sq2*(-coupl(nGC_148)**2d0 - coupl(nGC_149 &
                       )**2d0 - coupl(nGC_150)*coupl(nGC_244) - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_932) = coupl(nGC_19)*sq2*(-coupl(nGC_130)**2d0 - coupl(nGC_149 &
                       )**2d0 - coupl(nGC_150)*coupl(nGC_244) - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_1325) = coupl(nGC_78)*dZsR_QCD2
      coupl(nGC_1249) = coupl(nGC_62)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_1248) = coupl(nGC_1116) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_62)*dZdL_QED2/2d0 + coupl(nGC_62)*dZuL_QED2/ &
                        2d0
      coupl(nGC_1320) = -coupl(nGC_1038)/2d0 - coupl(nGC_17)*dZg_QCD2/4d0
      coupl(nGC_1322) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1119) + coupl(  &
                        nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZsL_QED2
      coupl(nGC_1323) = coupl(nGC_82)*dZsL_QCD2
      coupl(nGC_1243) = -coupl(nGC_1075) - coupl(nGC_129)*dZcL_QCD2/2d0 - coupl&
                        (nGC_129)*dZcR_QCD2/2d0
      coupl(nGC_1242) = -coupl(nGC_1074) - coupl(nGC_129)*dZcL_QED2/2d0 - coupl&
                        (nGC_129)*dZcR_QED2/2d0
      coupl(nGC_1241) = coupl(nGC_1075) + coupl(nGC_129)*dZcL_QCD2/2d0 + coupl(&
                        nGC_129)*dZcR_QCD2/2d0
      coupl(nGC_1240) = coupl(nGC_1074) + coupl(nGC_129)*dZcL_QED2/2d0 + coupl(&
                        nGC_129)*dZcR_QED2/2d0
      coupl(nGC_1245) = coupl(nGC_1116) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_62)*dZmuMinusL_QED2/2d0 + coupl(nGC_62)*     &
                        dZnu_muL_QED2/2d0
      coupl(nGC_1244) = coupl(nGC_1087) + coupl(nGC_110)*dZA_QED2/2d0 + coupl( &
                        nGC_110)*dZWMinus_QED2/2d0 + coupl(nGC_99)*dZZA_QED2/  &
                        2d0
      coupl(nGC_1350) = -coupl(nGC_1090) - coupl(nGC_3)*dZA_QED2/2d0 - coupl(  &
                        nGC_3)*dZWMinus_QED2 - coupl(nGC_64)*dZZA_QED2/2d0
      coupl(nGC_983) = cima*coupl(nGC_19)**2d0*coupl(nGC_62)**2d0*sq2**2d0/(   &
                       32d0*pi**2d0)
      coupl(nGC_984) = -cima*coupl(nGC_19)**2d0*coupl(nGC_62)**2d0*sq2**2d0/(  &
                       32d0*pi**2d0*Nc)
      coupl(nGC_985) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(  &
                       nGC_78) - coupl(nGC_1)*coupl(nGC_82) - coupl(nGC_2)*    &
                       coupl(nGC_79) - coupl(nGC_2)*coupl(nGC_83))/(32d0*pi**  &
                       2d0*Nc)
      coupl(nGC_986) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(   &
                       nGC_78) + coupl(nGC_1)*coupl(nGC_82) + coupl(nGC_2)*    &
                       coupl(nGC_79) + coupl(nGC_2)*coupl(nGC_83))/(32d0*pi**  &
                       2d0)
      coupl(nGC_989) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_126)**2d0 + &
                       coupl(nGC_128)**2d0 + coupl(nGC_132)**2d0 + coupl(      &
                       nGC_141)**2d0 + coupl(nGC_143)**2d0 + coupl(nGC_149)**  &
                       2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_892) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_130)** &
                       2d0*coupl(nGC_83) + coupl(nGC_131)*coupl(nGC_226)*coupl(&
                       nGC_82) + coupl(nGC_132)**2d0*coupl(nGC_82) + 4d0*coupl(&
                       nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_893) = (coupl(nGC_133)**2d0*coupl(nGC_86) + coupl(nGC_134)*    &
                       coupl(nGC_286)*coupl(nGC_85) + coupl(nGC_135)**2d0*coupl&
                       (nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) + 4d0*   &
                       coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1144) = coupl(nGC_210)*dMW2_QED2
      coupl(nGC_1145) = coupl(nGC_214)*dMZ2_QED2
      coupl(nGC_749) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(     &
                       nGC_83))/(8d0*pi**2d0)
      coupl(nGC_799) = coupl(nGC_148)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_798) = (8d0*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_2) - coupl(  &
                       nGC_130)*coupl(nGC_131)*coupl(nGC_150) - coupl(nGC_130)*&
                       coupl(nGC_132)*coupl(nGC_149) + 8d0*coupl(nGC_148)*coupl&
                       (nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_795) = coupl(nGC_139)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_797) = coupl(nGC_130)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_796) = (8d0*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_130)*coupl(nGC_78)*coupl(nGC_83) - coupl(     &
                       nGC_132)*coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_148)*&
                       coupl(nGC_226)*coupl(nGC_244))/(32d0*pi**2d0)
      coupl(nGC_791) = coupl(nGC_142)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_790) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl(  &
                       nGC_124)*coupl(nGC_125)*coupl(nGC_144) - coupl(nGC_124)*&
                       coupl(nGC_126)*coupl(nGC_143) + 8d0*coupl(nGC_142)*coupl&
                       (nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_792) = (8d0*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_127)*coupl(nGC_79)*coupl(nGC_82) - coupl(     &
                       nGC_128)*coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_129)*&
                       coupl(nGC_139)*coupl(nGC_140))/(32d0*pi**2d0)
      coupl(nGC_1445) = coupl(nGC_1032)/2d0 + coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_1447) = -coupl(nGC_1037) - 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_1446) = coupl(nGC_1103) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_85)*dZZ_QED2/2d0
      coupl(nGC_1441) = coupl(nGC_1139) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl( &
                        nGC_MB)*dZbR_QED2/2d0
      coupl(nGC_1440) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_1443) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_746) = cima*(-coupl(nGC_62)**2d0 - coupl(nGC_86)**2d0)/(16d0*pi&
                       **2d0)
      coupl(nGC_1449) = coupl(nGC_1037) + 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_747) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(     &
                       nGC_82))/(8d0*pi**2d0)
      coupl(nGC_745) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(     &
                       nGC_85))/(8d0*pi**2d0)
      coupl(nGC_1252) = coupl(nGC_1117) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZcR_QED2
      coupl(nGC_970) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_124)**2d0 + &
                       coupl(nGC_127)**2d0 + coupl(nGC_130)**2d0 + coupl(      &
                       nGC_139)**2d0 + coupl(nGC_142)**2d0 + coupl(nGC_148)**  &
                       2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_973) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -  &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_974) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +   &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_976) = cima*(20d0*Nc*coupl(nGC_126)**4d0 + 20d0*Nc*coupl(      &
                       nGC_128)**4d0 + 20d0*Nc*coupl(nGC_132)**4d0 + 20d0*Nc*  &
                       coupl(nGC_141)**4d0 + 20d0*Nc*coupl(nGC_143)**4d0 + 20d0&
                       *Nc*coupl(nGC_149)**4d0 + 20d0*coupl(nGC_135)**4d0 +    &
                       20d0*coupl(nGC_138)**4d0 + 20d0*coupl(nGC_147)**4d0 +   &
                       6d0*coupl(nGC_47)**2d0 + 3d0*coupl(nGC_96)**2d0)/(16d0* &
                       pi**2d0)
      coupl(nGC_1289) = coupl(nGC_82)*dZdL_QCD2
      coupl(nGC_1288) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1119) + coupl(  &
                        nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZdL_QED2
      coupl(nGC_1287) = coupl(nGC_19)*dZsR_QED2
      coupl(nGC_871) = (-coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148) - coupl( &
                       nGC_149)**3d0 - coupl(nGC_149)*coupl(nGC_150)**2d0 + 8d0&
                       *coupl(nGC_149)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_149)* &
                       coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_872) = coupl(nGC_149)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1284) = coupl(nGC_1115) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZsL_QCD2
      coupl(nGC_875) = coupl(nGC_19)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_1281) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_1368) = coupl(nGC_1115) + coupl(nGC_19)*dZdR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1369) = coupl(nGC_19)*dZdR_QED2
      coupl(nGC_1283) = coupl(nGC_107)*dZH_QED2/2d0 + coupl(nGC_107)*          &
                        dZWMinus_QED2 + coupl(nGC_1097)
      coupl(nGC_1363) = coupl(nGC_1103) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZeMinusL_QED2
      coupl(nGC_1366) = coupl(nGC_1115) + coupl(nGC_19)*dZdL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1282) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_1280) = coupl(nGC_1130) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_1215) = coupl(nGC_1049) + coupl(nGC_142)*dZbL_QED2/2d0 + coupl(&
                        nGC_142)*dZtR_QED2/2d0
      coupl(nGC_1216) = coupl(nGC_1050) + coupl(nGC_142)*dZbL_QCD2/2d0 + coupl(&
                        nGC_142)*dZtR_QCD2/2d0
      coupl(nGC_1217) = coupl(nGC_1035)/2d0 + coupl(nGC_65)*dZWMinus_QED2/4d0
      coupl(nGC_1210) = coupl(nGC_1145) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_1212) = coupl(nGC_110)*dZAZ_QED2/2d0 + coupl(nGC_1106) + coupl(&
                        nGC_99)*dZWMinus_QED2/2d0 + coupl(nGC_99)*dZZ_QED2/2d0
      coupl(nGC_1213) = coupl(nGC_1047) + coupl(nGC_124)*dZbR_QED2/2d0 + coupl(&
                        nGC_124)*dZtL_QED2/2d0
      coupl(nGC_781) = (coupl(nGC_1)*coupl(nGC_130)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_62)**2d0 + coupl(nGC_149)**2d0*coupl(nGC_2) + &
                       coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_244) + 4d0*coupl( &
                       nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0 + 2d0*&
                       coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1362) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_1030) + coupl(nGC_90&
                        )*dZZA_QED2
      coupl(nGC_1382) = -coupl(nGC_1073) - coupl(nGC_150)*dZuL_QCD2/2d0 - coupl&
                        (nGC_150)*dZuR_QCD2/2d0
      coupl(nGC_1367) = coupl(nGC_19)*dZdL_QED2
      coupl(nGC_1480) = -coupl(nGC_804)
      coupl(nGC_764) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_126) - 2d0*Nc* &
                       cMC*coupl(nGC_128)*coupl(nGC_2)**2d0 - 2d0*Nc*cMD*coupl(&
                       nGC_1)**2d0*coupl(nGC_132) - 2d0*Nc*cMS*coupl(nGC_1)**  &
                       2d0*coupl(nGC_141) - 2d0*Nc*cMT*coupl(nGC_143)*coupl(   &
                       nGC_2)**2d0 - 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_2)**  &
                       2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_4)**2d0 - 2d0*cMM&
                       *coupl(nGC_138)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                       nGC_147)*coupl(nGC_4)**2d0 + cima*coupl(nGC_107)*coupl( &
                       nGC_9) + coupl(nGC_107)*coupl(nGC_238)**2d0 + coupl(    &
                       nGC_107)*coupl(nGC_3)**2d0)/(8d0*pi**2d0)
      coupl(nGC_766) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_131)*   &
                       coupl(nGC_226) + coupl(nGC_1)*coupl(nGC_132)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_148)**2d0*  &
                       coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 + 2d0&
                       *coupl(nGC_238)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_767) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_131)*   &
                       coupl(nGC_226) + coupl(nGC_1)*coupl(nGC_132)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_130)**2d0*  &
                       coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_760) = (Nc*coupl(nGC_1)*coupl(nGC_124)**2d0 + Nc*coupl(nGC_1)* &
                       coupl(nGC_127)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_130)**  &
                       2d0 + Nc*coupl(nGC_1)*coupl(nGC_139)**2d0 + Nc*coupl(   &
                       nGC_1)*coupl(nGC_142)**2d0 + Nc*coupl(nGC_1)*coupl(     &
                       nGC_148)**2d0 - Nc*coupl(nGC_124)**2d0*coupl(nGC_2) - Nc&
                       *coupl(nGC_127)**2d0*coupl(nGC_2) - Nc*coupl(nGC_130)** &
                       2d0*coupl(nGC_2) - Nc*coupl(nGC_139)**2d0*coupl(nGC_2   &
                       ) - Nc*coupl(nGC_142)**2d0*coupl(nGC_2) - Nc*coupl(     &
                       nGC_148)**2d0*coupl(nGC_2) + coupl(nGC_133)**2d0*coupl( &
                       nGC_4) + coupl(nGC_136)**2d0*coupl(nGC_4) + coupl(      &
                       nGC_145)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_761) = (-Nc*cMB*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62) - Nc*&
                       cMC*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_62) - Nc*cMD* &
                       coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMS*coupl&
                       (nGC_139)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMT*coupl(    &
                       nGC_1)*coupl(nGC_142)*coupl(nGC_62) - Nc*cMU*coupl(nGC_1&
                       )*coupl(nGC_148)*coupl(nGC_62) + 2d0*cima*coupl(nGC_110 &
                       )*coupl(nGC_274) + 2d0*cima*coupl(nGC_74)*coupl(nGC_99  &
                       ) + 2d0*coupl(nGC_110)*coupl(nGC_238)*coupl(nGC_3) + 2d0&
                       *coupl(nGC_238)*coupl(nGC_64)*coupl(nGC_99))/(16d0*pi** &
                       2d0)
      coupl(nGC_762) = (-Nc*cMB*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62) - Nc*&
                       cMC*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_62) - Nc*cMD* &
                       coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMS*coupl&
                       (nGC_139)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMT*coupl(    &
                       nGC_1)*coupl(nGC_142)*coupl(nGC_62) - Nc*cMU*coupl(nGC_1&
                       )*coupl(nGC_148)*coupl(nGC_62) + 2d0*cima*coupl(nGC_110 &
                       )*coupl(nGC_274) + 2d0*cima*coupl(nGC_74)*coupl(nGC_99  &
                       ) + 2d0*coupl(nGC_110)*coupl(nGC_3)*coupl(nGC_4) + 2d0* &
                       coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_99))/(16d0*pi**2d0)
      coupl(nGC_768) = coupl(nGC_4)*(coupl(nGC_134)*coupl(nGC_286) + coupl(    &
                       nGC_135)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_80&
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_769) = (coupl(nGC_134)*coupl(nGC_286)*coupl(nGC_4) + coupl(    &
                       nGC_135)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(    &
                       nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)*&
                       coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_834) = (-coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_142) - coupl( &
                       nGC_143)**2d0*coupl(nGC_144) - coupl(nGC_144)*coupl(    &
                       nGC_278)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_278) +  &
                       8d0*coupl(nGC_278)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi&
                       **2d0)
      coupl(nGC_835) = coupl(nGC_19)**2d0*coupl(nGC_278)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_836) = (-coupl(nGC_124)*coupl(nGC_142)*coupl(nGC_224) - coupl( &
                       nGC_143)**2d0*coupl(nGC_278) - coupl(nGC_144)**2d0*coupl&
                       (nGC_278) + 8d0*coupl(nGC_144)*coupl(nGC_2)**2d0 + 8d0* &
                       coupl(nGC_144)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**  &
                       2d0)
      coupl(nGC_837) = coupl(nGC_144)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_830) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_302) - coupl(nGC_127)* &
                       coupl(nGC_129)*coupl(nGC_139) - coupl(nGC_140)*coupl(   &
                       nGC_141)**2d0 - coupl(nGC_140)*coupl(nGC_302)**2d0 + 8d0&
                       *coupl(nGC_302)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi** &
                       2d0)
      coupl(nGC_831) = coupl(nGC_19)**2d0*coupl(nGC_302)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_832) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_140) - coupl(nGC_127)* &
                       coupl(nGC_139)*coupl(nGC_220) - coupl(nGC_140)**2d0*    &
                       coupl(nGC_302) + 8d0*coupl(nGC_140)*coupl(nGC_78)*coupl(&
                       nGC_82) - coupl(nGC_141)**2d0*coupl(nGC_302))/(32d0*pi**&
                       2d0)
      coupl(nGC_833) = coupl(nGC_140)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1415) = coupl(nGC_1124) + coupl(nGC_MH)*dZH_QED2
      coupl(nGC_1412) = coupl(nGC_1032)/2d0 + coupl(nGC_6)*dZA_QED2/4d0 + coupl&
                        (nGC_65)*dZZA_QED2/4d0
      coupl(nGC_1008) = -3d0*cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_1410) = coupl(nGC_1035)/2d0 + coupl(nGC_6)*dZAZ_QED2/4d0 +     &
                        coupl(nGC_65)*dZZ_QED2/4d0
      coupl(nGC_1411) = -coupl(nGC_1031)/2d0 - coupl(nGC_5)*dZA_QED2/4d0 -     &
                        coupl(nGC_66)*dZZA_QED2/4d0
      coupl(nGC_870) = (-coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148) - coupl( &
                       nGC_149)**3d0 + 8d0*coupl(nGC_149)*coupl(nGC_2)**2d0 -  &
                       coupl(nGC_149)*coupl(nGC_244)**2d0 + 8d0*coupl(nGC_149)*&
                       coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_908) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                       nGC_125)*coupl(nGC_224) + coupl(nGC_126)**2d0 + coupl(  &
                       nGC_142)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(     &
                       nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_901) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_139)** &
                       2d0*coupl(nGC_83) + coupl(nGC_140)*coupl(nGC_302)*coupl(&
                       nGC_82) + coupl(nGC_141)**2d0*coupl(nGC_82) + 4d0*coupl(&
                       nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_902) = (coupl(nGC_124)**2d0*coupl(nGC_78) + coupl(nGC_143)**2d0&
                       *coupl(nGC_79) + coupl(nGC_144)*coupl(nGC_278)*coupl(   &
                       nGC_79) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*    &
                       coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**  &
                       2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi**  &
                       2d0)
      coupl(nGC_903) = (coupl(nGC_142)**2d0*coupl(nGC_82) + coupl(nGC_143)**2d0&
                       *coupl(nGC_83) + coupl(nGC_144)*coupl(nGC_278)*coupl(   &
                       nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*    &
                       coupl(nGC_79)**3d0)/(32d0*pi**2d0)
      coupl(nGC_906) = (coupl(nGC_130)**2d0*coupl(nGC_78) + coupl(nGC_149)**2d0&
                       *coupl(nGC_79) + coupl(nGC_150)*coupl(nGC_244)*coupl(   &
                       nGC_79) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*    &
                       coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**  &
                       2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi**  &
                       2d0)
      coupl(nGC_907) = (coupl(nGC_148)**2d0*coupl(nGC_82) + coupl(nGC_149)**2d0&
                       *coupl(nGC_83) + coupl(nGC_150)*coupl(nGC_244)*coupl(   &
                       nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*    &
                       coupl(nGC_79)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1310) = -coupl(nGC_1066) - coupl(nGC_134)*dZeMinusL_QED2/2d0 - &
                        coupl(nGC_134)*dZeMinusR_QED2/2d0
      coupl(nGC_1312) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_1315) = coupl(nGC_1108) + coupl(nGC_96)*dZH_QED2 + coupl(nGC_96&
                        )*dZZ_QED2
      coupl(nGC_1317) = coupl(nGC_1079) + coupl(nGC_149)*dZuL_QCD2/2d0 + coupl(&
                        nGC_149)*dZuR_QCD2/2d0
      coupl(nGC_1316) = coupl(nGC_1078) + coupl(nGC_149)*dZH_QED2/2d0 + coupl( &
                        nGC_149)*dZuL_QED2/2d0 + coupl(nGC_149)*dZuR_QED2/2d0
      coupl(nGC_1250) = coupl(nGC_1118) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZcL_QED2
      coupl(nGC_1318) = coupl(nGC_1109) + coupl(nGC_90)*dZAZ_QED2 + coupl(     &
                        nGC_95)*dZZ_QED2
      coupl(nGC_1253) = coupl(nGC_79)*dZcR_QCD2
      coupl(nGC_1255) = coupl(nGC_1116) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_62)*dZbL_QED2/2d0 + coupl(nGC_62)*dZtL_QED2/ &
                        2d0
      coupl(nGC_1256) = coupl(nGC_62)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_1122) = coupl(nGC_501)*dZee_QED2 + coupl(nGC_502)*dsw_QED2 +   &
                        coupl(nGC_503)*dcw_QED2
      coupl(nGC_999) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_78) + coupl(&
                       nGC_79) + coupl(nGC_82) + coupl(nGC_83))/(128d0*pi**2d0)
      coupl(nGC_998) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_78) - coupl&
                       (nGC_79) - coupl(nGC_82) - coupl(nGC_83))/(64d0*pi**2d0*&
                       Nc)
      coupl(nGC_997) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_78) + coupl(&
                       nGC_79) + coupl(nGC_82) + coupl(nGC_83))/(32d0*pi**2d0* &
                       Nc**2d0)
      coupl(nGC_993) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_78)**2d0 +  &
                       coupl(nGC_79)**2d0 + coupl(nGC_82)**2d0 + coupl(nGC_83  &
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_992) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_78)**2d0 - &
                       coupl(nGC_79)**2d0 - coupl(nGC_82)**2d0 - coupl(nGC_83  &
                       )**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_991) = (Nc*cima*coupl(nGC_78)**4d0 + Nc*cima*coupl(nGC_79)**4d0&
                        + Nc*cima*coupl(nGC_82)**4d0 + Nc*cima*coupl(nGC_83)** &
                       4d0 - 2d0*cima*coupl(nGC_264)**4d0 + cima*coupl(nGC_56  &
                       )**2d0 - 2d0*cima*coupl(nGC_64)**4d0 + cima*coupl(nGC_80&
                       )**4d0 + cima*coupl(nGC_85)**4d0 + cima*coupl(nGC_86)** &
                       4d0 + 2d0*coupl(nGC_264)**2d0*coupl(nGC_56) + 2d0*coupl(&
                       nGC_56)*coupl(nGC_64)**2d0)/(8d0*pi**2d0)
      coupl(nGC_990) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_126)**2d0  &
                        - coupl(nGC_128)**2d0 - coupl(nGC_132)**2d0 - coupl(   &
                       nGC_141)**2d0 - coupl(nGC_143)**2d0 - coupl(nGC_149)**  &
                       2d0)/(16d0*pi**2d0)
      coupl(nGC_1286) = coupl(nGC_1115) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZsR_QCD2
      coupl(nGC_1178) = coupl(nGC_78)*dZbR_QCD2
      coupl(nGC_738) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(     &
                       nGC_85))/(8d0*pi**2d0)
      coupl(nGC_737) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_62)**2d0 + coupl(   &
                       nGC_85)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1174) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_1030)
      coupl(nGC_734) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(     &
                       nGC_82))/(8d0*pi**2d0)
      coupl(nGC_1170) = coupl(nGC_1118) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZtL_QED2
      coupl(nGC_731) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_62)**2d0 - coupl(  &
                       nGC_83)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1172) = coupl(nGC_1117) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZtR_QED2
      coupl(nGC_709) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_62)**2d0 - coupl(  &
                       nGC_82)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1452) = coupl(nGC_1018) + coupl(nGC_GPGMGPGM)
      coupl(nGC_1450) = -2d0*coupl(nGC_1037) - 4d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_1451) = coupl(nGC_1033) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_85)*dZZA_QED2/2d0
      coupl(nGC_1456) = coupl(nGC_1016) + 2d0*coupl(nGC_24)*dZH_QED2 + coupl(  &
                        nGC_HHHH)
      coupl(nGC_1175) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1119) + coupl(  &
                        nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZbL_QED2
      coupl(nGC_736) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_80)**2d0)/(16d0*pi**&
                       2d0)
      coupl(nGC_867) = coupl(nGC_143)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_866) = (-coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) - coupl( &
                       nGC_143)**3d0 - coupl(nGC_143)*coupl(nGC_144)**2d0 + 8d0&
                       *coupl(nGC_143)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_143)* &
                       coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_865) = (-coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) - coupl( &
                       nGC_143)**3d0 + 8d0*coupl(nGC_143)*coupl(nGC_2)**2d0 -  &
                       coupl(nGC_143)*coupl(nGC_278)**2d0 + 8d0*coupl(nGC_143)*&
                       coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_1176) = coupl(nGC_82)*dZbL_QCD2
      coupl(nGC_863) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_126) + cMC*  &
                       coupl(nGC_128) + cMD*coupl(nGC_132) + cMS*coupl(nGC_141 &
                       ) + cMT*coupl(nGC_143) + cMU*coupl(nGC_149))/(16d0*pi** &
                       2d0*Nc)
      coupl(nGC_949) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_78)**2d0 + Nc*cima*&
                       coupl(nGC_1)**2d0*coupl(nGC_82)**2d0 + Nc*cima*coupl(   &
                       nGC_2)**2d0*coupl(nGC_79)**2d0 + Nc*cima*coupl(nGC_2)** &
                       2d0*coupl(nGC_83)**2d0 - 2d0*cima*coupl(nGC_238)**2d0*  &
                       coupl(nGC_264)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*coupl( &
                       nGC_64)**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_80)**2d0&
                        + cima*coupl(nGC_4)**2d0*coupl(nGC_85)**2d0 + cima*    &
                       coupl(nGC_56)*coupl(nGC_9) + coupl(nGC_238)**2d0*coupl( &
                       nGC_56) + coupl(nGC_264)**2d0*coupl(nGC_9) + coupl(nGC_3&
                       )**2d0*coupl(nGC_56) + coupl(nGC_64)**2d0*coupl(nGC_9   &
                       ))/(8d0*pi**2d0)
      coupl(nGC_861) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_127)* &
                       coupl(nGC_128)*coupl(nGC_139) - coupl(nGC_140)**2d0*    &
                       coupl(nGC_141) - coupl(nGC_141)**3d0 + 8d0*coupl(nGC_141&
                       )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_860) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_127)* &
                       coupl(nGC_128)*coupl(nGC_139) - coupl(nGC_141)**3d0 -   &
                       coupl(nGC_141)*coupl(nGC_302)**2d0 + 8d0*coupl(nGC_141)*&
                       coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_944) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_125)*    &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*&
                       coupl(nGC_220)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_62 &
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(      &
                       nGC_278)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_148)*coupl(nGC_244)*coupl(nGC_62) - 4d0*Nc*cima*    &
                       coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_127)*coupl(nGC_2)*coupl(nGC_220)* &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131&
                       )*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_139&
                       )*coupl(nGC_140)*coupl(nGC_2)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_278)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_148)*coupl(nGC_2)*coupl(nGC_244)* &
                       coupl(nGC_62) + 6d0*cima*coupl(nGC_13)*coupl(nGC_74) +  &
                       cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_4)*coupl(  &
                       nGC_62) + cima*coupl(nGC_136)*coupl(nGC_137)*coupl(nGC_4&
                       )*coupl(nGC_62) + cima*coupl(nGC_145)*coupl(nGC_146)*   &
                       coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(nGC_274)*   &
                       coupl(nGC_68) + 6d0*coupl(nGC_13)*coupl(nGC_3)*coupl(   &
                       nGC_63) + 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_68))/(&
                       48d0*pi**2d0)
      coupl(nGC_945) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_124)**2d0*coupl(   &
                       nGC_78) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_124)**2d0* &
                       coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127  &
                       )**2d0*coupl(nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl(  &
                       nGC_127)**2d0*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_1)* &
                       coupl(nGC_130)**2d0*coupl(nGC_78) + 5d0*Nc*cima*coupl(  &
                       nGC_1)*coupl(nGC_130)**2d0*coupl(nGC_83) - 8d0*Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_78) + 5d0*Nc*&
                       cima*coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*coupl(     &
                       nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0* &
                       coupl(nGC_82) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148  &
                       )**2d0*coupl(nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl(  &
                       nGC_148)**2d0*coupl(nGC_82) + 5d0*Nc*cima*coupl(nGC_124 &
                       )**2d0*coupl(nGC_2)*coupl(nGC_78) - 8d0*Nc*cima*coupl(  &
                       nGC_124)**2d0*coupl(nGC_2)*coupl(nGC_83) - 8d0*Nc*cima* &
                       coupl(nGC_127)**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc*&
                       cima*coupl(nGC_127)**2d0*coupl(nGC_2)*coupl(nGC_82) +   &
                       5d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)*coupl(     &
                       nGC_78) - 8d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)* &
                       coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_139)**2d0*coupl(  &
                       nGC_2)*coupl(nGC_78) - 8d0*Nc*cima*coupl(nGC_139)**2d0* &
                       coupl(nGC_2)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_142  &
                       )**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc*cima*coupl(  &
                       nGC_142)**2d0*coupl(nGC_2)*coupl(nGC_82) - 8d0*Nc*cima* &
                       coupl(nGC_148)**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc*&
                       cima*coupl(nGC_148)**2d0*coupl(nGC_2)*coupl(nGC_82) -   &
                       8d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4)*coupl(nGC_80  &
                       ) + 5d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4)*coupl(    &
                       nGC_86) - 8d0*cima*coupl(nGC_136)**2d0*coupl(nGC_4)*    &
                       coupl(nGC_80) + 5d0*cima*coupl(nGC_136)**2d0*coupl(nGC_4&
                       )*coupl(nGC_86) - 8d0*cima*coupl(nGC_145)**2d0*coupl(   &
                       nGC_4)*coupl(nGC_80) + 5d0*cima*coupl(nGC_145)**2d0*    &
                       coupl(nGC_4)*coupl(nGC_86) + 6d0*cima*coupl(nGC_47)*    &
                       coupl(nGC_77) + 6d0*coupl(nGC_238)*coupl(nGC_264)*coupl(&
                       nGC_47) + 6d0*coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_64   &
                       ))/(48d0*pi**2d0)
      coupl(nGC_946) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_126)*    &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*&
                       coupl(nGC_128)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62 &
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(      &
                       nGC_143)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_148)*coupl(nGC_149)*coupl(nGC_62) - 4d0*Nc*cima*    &
                       coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_2)* &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132&
                       )*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_139&
                       )*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_2)* &
                       coupl(nGC_62) + cima*coupl(nGC_133)*coupl(nGC_135)*coupl&
                       (nGC_4)*coupl(nGC_62) + cima*coupl(nGC_136)*coupl(      &
                       nGC_138)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(   &
                       nGC_14)*coupl(nGC_74) + cima*coupl(nGC_145)*coupl(      &
                       nGC_147)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(   &
                       nGC_274)*coupl(nGC_69) + 6d0*coupl(nGC_14)*coupl(nGC_3)*&
                       coupl(nGC_63) + 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(    &
                       nGC_69))/(48d0*pi**2d0)
      coupl(nGC_940) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 + 9d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**2d0 - &
                       3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 - 2d0* &
                       cima*coupl(nGC_230)*coupl(nGC_238)**2d0*coupl(nGC_64) - &
                       2d0*cima*coupl(nGC_238)**2d0*coupl(nGC_248)*coupl(nGC_3 &
                       ) - 2d0*cima*coupl(nGC_238)*coupl(nGC_3)**2d0*coupl(    &
                       nGC_4) - 2d0*cima*coupl(nGC_264)*coupl(nGC_3)**2d0*coupl&
                       (nGC_63) + 3d0*cima*coupl(nGC_274)**2d0 - 3d0*cima*coupl&
                       (nGC_4)**2d0*coupl(nGC_62)**2d0 + 3d0*cima*coupl(nGC_74 &
                       )**2d0 + 3d0*coupl(nGC_230)*coupl(nGC_238)*coupl(nGC_74 &
                       ) + 3d0*coupl(nGC_238)*coupl(nGC_248)*coupl(nGC_274) +  &
                       3d0*coupl(nGC_238)*coupl(nGC_274)*coupl(nGC_3) + 3d0*   &
                       coupl(nGC_238)*coupl(nGC_64)*coupl(nGC_74))/(24d0*pi**  &
                       2d0)
      coupl(nGC_941) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_124)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_127)**2d0 - 4d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_130)**2d0 - 4d0*Nc* &
                       cima*coupl(nGC_1)**2d0*coupl(nGC_139)**2d0 - 4d0*Nc*cima&
                       *coupl(nGC_1)**2d0*coupl(nGC_142)**2d0 - 4d0*Nc*cima*   &
                       coupl(nGC_1)**2d0*coupl(nGC_148)**2d0 + 5d0*Nc*cima*    &
                       coupl(nGC_1)*coupl(nGC_124)**2d0*coupl(nGC_2) + 5d0*Nc* &
                       cima*coupl(nGC_1)*coupl(nGC_127)**2d0*coupl(nGC_2) + 5d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_130)**2d0*coupl(nGC_2   &
                       ) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_139)**2d0*coupl( &
                       nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*  &
                       coupl(nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148)**&
                       2d0*coupl(nGC_2) - 4d0*Nc*cima*coupl(nGC_124)**2d0*coupl&
                       (nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(   &
                       nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_130)**2d0*coupl(    &
                       nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_139)**2d0*coupl(    &
                       nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_142)**2d0*coupl(    &
                       nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_148)**2d0*coupl(    &
                       nGC_2)**2d0 - 4d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4  &
                       )**2d0 - 4d0*cima*coupl(nGC_136)**2d0*coupl(nGC_4)**2d0 &
                        - 4d0*cima*coupl(nGC_145)**2d0*coupl(nGC_4)**2d0 + 3d0*&
                       cima*coupl(nGC_47)*coupl(nGC_9) + 3d0*coupl(nGC_238)**  &
                       2d0*coupl(nGC_47) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_47  &
                       ))/(24d0*pi**2d0)
      coupl(nGC_943) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_126)**2d0 -   &
                       2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_132)**2d0 - 2d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_141)**2d0 - 2d0*Nc* &
                       cima*coupl(nGC_128)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*cima&
                       *coupl(nGC_143)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*cima*   &
                       coupl(nGC_149)**2d0*coupl(nGC_2)**2d0 - 2d0*cima*coupl( &
                       nGC_135)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_138&
                       )**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_147)**2d0*&
                       coupl(nGC_4)**2d0 + cima*coupl(nGC_47)*coupl(nGC_9) +   &
                       coupl(nGC_238)**2d0*coupl(nGC_47) + coupl(nGC_3)**2d0*  &
                       coupl(nGC_47))/(8d0*pi**2d0)
      coupl(nGC_1354) = coupl(nGC_1115) + coupl(nGC_19)*dZbR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1327) = -2d0*coupl(nGC_1100) - 4d0*coupl(nGC_48)*dZWMinus_QED2
      coupl(nGC_1351) = coupl(nGC_1102) + coupl(nGC_81)*dZH_QED2/2d0 + coupl(  &
                        nGC_81)*dZZ_QED2/2d0
      coupl(nGC_1299) = coupl(nGC_1116) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_62)*dZnu_tauL_QED2/2d0 + coupl(nGC_62)*      &
                        dZtauMinusL_QED2/2d0
      coupl(nGC_1352) = coupl(nGC_1115) + coupl(nGC_19)*dZbL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1294) = -coupl(nGC_1033) - coupl(nGC_4)*dZA_QED2/2d0 - coupl(  &
                        nGC_85)*dZZA_QED2/2d0
      coupl(nGC_1297) = coupl(nGC_1115) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZuR_QCD2
      coupl(nGC_1293) = -coupl(nGC_1032)/2d0 - coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_1196) = coupl(nGC_1044) + coupl(nGC_139)*dZcL_QCD2/2d0 + coupl(&
                        nGC_139)*dZsR_QCD2/2d0
      coupl(nGC_1191) = coupl(nGC_1105) + coupl(nGC_54)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_54)*dZZ_QED2/2d0 + coupl(nGC_75)*dZAZ_QED2/  &
                        2d0
      coupl(nGC_1059) = coupl(nGC_618)*dys_QED3
      coupl(nGC_1054) = coupl(nGC_619)*dys_QED1_QCD2
      coupl(nGC_1053) = coupl(nGC_619)*dys_QED3
      coupl(nGC_1199) = coupl(nGC_81)*dZZA_QED2/2d0
      coupl(nGC_1198) = -coupl(nGC_1035)/2d0 - coupl(nGC_65)*dZWMinus_QED2/4d0
      coupl(nGC_1190) = -coupl(nGC_81)*dZZA_QED2/2d0
      coupl(nGC_849) = (-2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_78)**2d0 + 2d0*Nc*&
                       cMB*coupl(nGC_126)*coupl(nGC_78)*coupl(nGC_82) - 2d0*Nc*&
                       cMB*coupl(nGC_126)*coupl(nGC_82)**2d0 - 2d0*Nc*cMC*coupl&
                       (nGC_128)*coupl(nGC_79)**2d0 + 2d0*Nc*cMC*coupl(nGC_128 &
                       )*coupl(nGC_79)*coupl(nGC_83) - 2d0*Nc*cMC*coupl(nGC_128&
                       )*coupl(nGC_83)**2d0 - 2d0*Nc*cMD*coupl(nGC_132)*coupl( &
                       nGC_78)**2d0 + 2d0*Nc*cMD*coupl(nGC_132)*coupl(nGC_78)* &
                       coupl(nGC_82) - 2d0*Nc*cMD*coupl(nGC_132)*coupl(nGC_82  &
                       )**2d0 - 2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_78)**2d0 + &
                       2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_78)*coupl(nGC_82) - &
                       2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_82)**2d0 - 2d0*Nc*  &
                       cMT*coupl(nGC_143)*coupl(nGC_79)**2d0 + 2d0*Nc*cMT*coupl&
                       (nGC_143)*coupl(nGC_79)*coupl(nGC_83) - 2d0*Nc*cMT*coupl&
                       (nGC_143)*coupl(nGC_83)**2d0 - 2d0*Nc*cMU*coupl(nGC_149 &
                       )*coupl(nGC_79)**2d0 + 2d0*Nc*cMU*coupl(nGC_149)*coupl( &
                       nGC_79)*coupl(nGC_83) - 2d0*Nc*cMU*coupl(nGC_149)*coupl(&
                       nGC_83)**2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_80)**2d0&
                        + 2d0*cME*coupl(nGC_135)*coupl(nGC_80)*coupl(nGC_85) - &
                       2d0*cME*coupl(nGC_135)*coupl(nGC_85)**2d0 - 2d0*cMM*    &
                       coupl(nGC_138)*coupl(nGC_80)**2d0 + 2d0*cMM*coupl(      &
                       nGC_138)*coupl(nGC_80)*coupl(nGC_85) - 2d0*cMM*coupl(   &
                       nGC_138)*coupl(nGC_85)**2d0 - 2d0*cMTA*coupl(nGC_147)*  &
                       coupl(nGC_80)**2d0 + 2d0*cMTA*coupl(nGC_147)*coupl(     &
                       nGC_80)*coupl(nGC_85) - 2d0*cMTA*coupl(nGC_147)*coupl(  &
                       nGC_85)**2d0 + cima*coupl(nGC_107)*coupl(nGC_56) + coupl&
                       (nGC_107)*coupl(nGC_264)**2d0 + coupl(nGC_107)*coupl(   &
                       nGC_64)**2d0)/(8d0*pi**2d0)
      coupl(nGC_1247) = coupl(nGC_1091) + coupl(nGC_50)*dZWMinus_QED2
      coupl(nGC_958) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_126)**2d0*coupl(nGC_78 &
                       ) - Nc*cima*coupl(nGC_1)*coupl(nGC_126)**2d0*coupl(     &
                       nGC_82) - Nc*cima*coupl(nGC_1)*coupl(nGC_132)**2d0*coupl&
                       (nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_132)**2d0*    &
                       coupl(nGC_82) - Nc*cima*coupl(nGC_1)*coupl(nGC_141)**2d0&
                       *coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_141)**  &
                       2d0*coupl(nGC_82) - Nc*cima*coupl(nGC_128)**2d0*coupl(  &
                       nGC_2)*coupl(nGC_79) - Nc*cima*coupl(nGC_128)**2d0*coupl&
                       (nGC_2)*coupl(nGC_83) - Nc*cima*coupl(nGC_143)**2d0*    &
                       coupl(nGC_2)*coupl(nGC_79) - Nc*cima*coupl(nGC_143)**2d0&
                       *coupl(nGC_2)*coupl(nGC_83) - Nc*cima*coupl(nGC_149)**  &
                       2d0*coupl(nGC_2)*coupl(nGC_79) - Nc*cima*coupl(nGC_149  &
                       )**2d0*coupl(nGC_2)*coupl(nGC_83) - cima*coupl(nGC_135  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_80) - cima*coupl(nGC_135  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_85) - cima*coupl(nGC_138  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_80) - cima*coupl(nGC_138  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_85) - cima*coupl(nGC_147  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_80) - cima*coupl(nGC_147  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_85) + cima*coupl(nGC_47)* &
                       coupl(nGC_77) + coupl(nGC_238)*coupl(nGC_264)*coupl(    &
                       nGC_47) + coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_64))/(8d0&
                       *pi**2d0)
      coupl(nGC_1221) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_898) = (coupl(nGC_136)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62)**&
                       2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(nGC_85 &
                       ) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_899) = (coupl(nGC_145)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62)**&
                       2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(nGC_85 &
                       ) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1225) = coupl(nGC_1062) + coupl(nGC_126)*dZbL_QCD2/2d0 + coupl(&
                        nGC_126)*dZbR_QCD2/2d0
      coupl(nGC_1227) = coupl(nGC_1021) + coupl(nGC_13)*dZZA_QED2/2d0 + coupl( &
                        nGC_68)*dZA_QED2/2d0 + coupl(nGC_68)*dZWMinus_QED2/2d0
      coupl(nGC_1226) = coupl(nGC_1015) + coupl(nGC_15)*dZH_QED2/2d0
      coupl(nGC_1228) = coupl(nGC_86)*dZZA_QED2/2d0
      coupl(nGC_890) = coupl(nGC_19)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_891) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_131)*  &
                       coupl(nGC_226)*coupl(nGC_78) + coupl(nGC_132)**2d0*coupl&
                       (nGC_78) + coupl(nGC_148)**2d0*coupl(nGC_79) + 2d0*coupl&
                       (nGC_264)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62)**2d0*  &
                       coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi**2d0)
      coupl(nGC_896) = (coupl(nGC_137)*coupl(nGC_258)*coupl(nGC_80) + coupl(   &
                       nGC_138)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*    &
                       coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) +  &
                       4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85 &
                       )**3d0)/(32d0*pi**2d0)
      coupl(nGC_897) = (coupl(nGC_133)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62)**&
                       2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(nGC_85 &
                       ) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_894) = (coupl(nGC_134)*coupl(nGC_286)*coupl(nGC_80) + coupl(   &
                       nGC_135)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*    &
                       coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) +  &
                       4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85 &
                       )**3d0)/(32d0*pi**2d0)
      coupl(nGC_895) = (coupl(nGC_136)**2d0*coupl(nGC_86) + coupl(nGC_137)*    &
                       coupl(nGC_258)*coupl(nGC_85) + coupl(nGC_138)**2d0*coupl&
                       (nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) + 4d0*   &
                       coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_951) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(nGC_2&
                       )**4d0 - 2d0*cima*coupl(nGC_238)**4d0 - 2d0*cima*coupl( &
                       nGC_3)**4d0 + 2d0*cima*coupl(nGC_4)**4d0 + cima*coupl(  &
                       nGC_9)**2d0 + 2d0*coupl(nGC_238)**2d0*coupl(nGC_9) + 2d0&
                       *coupl(nGC_3)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_707) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(     &
                       nGC_82))/(8d0*pi**2d0)
      coupl(nGC_1089) = coupl(nGC_590)*dZee_QED2 + coupl(nGC_591)*dsw_QED2
      coupl(nGC_1088) = coupl(nGC_558)*dZee_QED2 + coupl(nGC_559)*dsw_QED2
      coupl(nGC_1120) = coupl(nGC_490)*dZee_QED2 + coupl(nGC_491)*dsw_QED2 +   &
                        coupl(nGC_492)*dcw_QED2
      coupl(nGC_1121) = coupl(nGC_615)*dZee_QED2 + coupl(nGC_616)*dsw_QED2 +   &
                        coupl(nGC_617)*dcw_QED2
      coupl(nGC_1085) = coupl(nGC_464)*dZee_QED2 + coupl(nGC_465)*dsw_QED2 +   &
                        coupl(nGC_466)*dcw_QED2
      coupl(nGC_1086) = coupl(nGC_643)*dZee_QED2 + coupl(nGC_644)*dsw_QED2
      coupl(nGC_1081) = coupl(nGC_600)*dyc_QED1_QCD2
      coupl(nGC_1080) = coupl(nGC_600)*dyc_QED3
      coupl(nGC_1082) = coupl(nGC_620)*dyt_QED3
      coupl(nGC_773) = (coupl(nGC_136)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*   &
                       coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**2d0&
                       )/(32d0*pi**2d0)
      coupl(nGC_772) = (coupl(nGC_133)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*   &
                       coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**2d0&
                       )/(32d0*pi**2d0)
      coupl(nGC_771) = (coupl(nGC_137)*coupl(nGC_258)*coupl(nGC_4) + coupl(    &
                       nGC_138)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(    &
                       nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)*&
                       coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_770) = coupl(nGC_4)*(coupl(nGC_137)*coupl(nGC_258) + coupl(    &
                       nGC_138)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_80&
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_777) = (coupl(nGC_1)*coupl(nGC_124)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_62)**2d0 + coupl(nGC_143)**2d0*coupl(nGC_2) + &
                       coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_278) + 4d0*coupl( &
                       nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0 + 2d0*&
                       coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_776) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_140)*   &
                       coupl(nGC_302) + coupl(nGC_1)*coupl(nGC_141)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_139)**2d0*  &
                       coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_775) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_140)*   &
                       coupl(nGC_302) + coupl(nGC_1)*coupl(nGC_141)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_127)**2d0*  &
                       coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 + 2d0&
                       *coupl(nGC_238)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_774) = (coupl(nGC_145)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*   &
                       coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**2d0&
                       )/(32d0*pi**2d0)
      coupl(nGC_779) = coupl(nGC_4)*(coupl(nGC_146)*coupl(nGC_292) + coupl(    &
                       nGC_147)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_80&
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_778) = (coupl(nGC_1)*coupl(nGC_142)**2d0 + coupl(nGC_143)**2d0*&
                       coupl(nGC_2) + coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_278&
                       ) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(     &
                       nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_829) = (-coupl(nGC_137)*coupl(nGC_138)**2d0 - coupl(nGC_137)*  &
                       coupl(nGC_258)**2d0 + 8d0*coupl(nGC_258)*coupl(nGC_4)** &
                       2d0 + 8d0*coupl(nGC_258)*coupl(nGC_80)*coupl(nGC_85))/( &
                       32d0*pi**2d0)
      coupl(nGC_828) = (-coupl(nGC_137)**2d0*coupl(nGC_258) + 8d0*coupl(nGC_137&
                       )*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_137)*coupl(nGC_80)* &
                       coupl(nGC_85) - coupl(nGC_138)**2d0*coupl(nGC_258))/(   &
                       32d0*pi**2d0)
      coupl(nGC_823) = coupl(nGC_19)**2d0*coupl(nGC_226)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_822) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_226) - coupl(nGC_130)* &
                       coupl(nGC_148)*coupl(nGC_150) - coupl(nGC_131)*coupl(   &
                       nGC_132)**2d0 - coupl(nGC_131)*coupl(nGC_226)**2d0 + 8d0&
                       *coupl(nGC_226)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi** &
                       2d0)
      coupl(nGC_820) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_302) - coupl( &
                       nGC_128)**2d0*coupl(nGC_220) - coupl(nGC_129)**2d0*coupl&
                       (nGC_220) + 8d0*coupl(nGC_129)*coupl(nGC_2)**2d0 + 8d0* &
                       coupl(nGC_129)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**  &
                       2d0)
      coupl(nGC_827) = (-coupl(nGC_134)*coupl(nGC_135)**2d0 - coupl(nGC_134)*  &
                       coupl(nGC_286)**2d0 + 8d0*coupl(nGC_286)*coupl(nGC_4)** &
                       2d0 + 8d0*coupl(nGC_286)*coupl(nGC_80)*coupl(nGC_85))/( &
                       32d0*pi**2d0)
      coupl(nGC_826) = (-coupl(nGC_134)**2d0*coupl(nGC_286) + 8d0*coupl(nGC_134&
                       )*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_134)*coupl(nGC_80)* &
                       coupl(nGC_85) - coupl(nGC_135)**2d0*coupl(nGC_286))/(   &
                       32d0*pi**2d0)
      coupl(nGC_824) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_131) - coupl(nGC_130)* &
                       coupl(nGC_148)*coupl(nGC_244) - coupl(nGC_131)**2d0*    &
                       coupl(nGC_226) + 8d0*coupl(nGC_131)*coupl(nGC_78)*coupl(&
                       nGC_82) - coupl(nGC_132)**2d0*coupl(nGC_226))/(32d0*pi**&
                       2d0)
      coupl(nGC_1012) = coupl(nGC_462)*dZee_QED2 + coupl(nGC_463)*dcw_QED2
      coupl(nGC_1398) = coupl(nGC_1103) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZtauMinusL_QED2
      coupl(nGC_1010) = coupl(nGC_654)*dZee_QED2 + coupl(nGC_655)*dsw_QED2 +   &
                        coupl(nGC_656)*dcw_QED2
      coupl(nGC_1017) = coupl(nGC_479)*dlam_QED4
      coupl(nGC_1014) = coupl(nGC_660)*dZee_QED2 + coupl(nGC_661)*dsw_QED2 +   &
                        coupl(nGC_662)*dcw_QED2
      coupl(nGC_1463) = -coupl(nGC_1145) - coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_1390) = -coupl(nGC_1077) - coupl(nGC_144)*dZtL_QCD2/2d0 - coupl&
                        (nGC_144)*dZtR_QCD2/2d0
      coupl(nGC_1019) = coupl(nGC_545)*dZee_QED2 + coupl(nGC_546)*dsw_QED2
      coupl(nGC_1394) = coupl(nGC_1121) + coupl(nGC_86)*dZZ_QED2/2d0 + coupl(  &
                        nGC_86)*dZnu_eL_QED2
      coupl(nGC_1397) = -coupl(nGC_1031)/2d0 - coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_1399) = coupl(nGC_1122) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*dZtauMinusR_QED2
      coupl(nGC_917) = -coupl(nGC_19)*sq2*(-coupl(nGC_127)**2d0 - coupl(nGC_128&
                       )**2d0 - coupl(nGC_129)*coupl(nGC_220) - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_916) = -coupl(nGC_19)*sq2*(-coupl(nGC_128)**2d0 - coupl(nGC_129&
                       )*coupl(nGC_220) - coupl(nGC_139)**2d0 - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0)
      coupl(nGC_915) = -coupl(nGC_19)*sq2*(coupl(nGC_127)**2d0 + coupl(nGC_128 &
                       )**2d0 + coupl(nGC_129)*coupl(nGC_220) + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_914) = -coupl(nGC_19)*sq2*(coupl(nGC_128)**2d0 + coupl(nGC_129 &
                       )*coupl(nGC_220) + coupl(nGC_139)**2d0 + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_913) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                       nGC_124)**2d0 - coupl(nGC_125)*coupl(nGC_224) - coupl(  &
                       nGC_126)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
      coupl(nGC_911) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                       nGC_125)*coupl(nGC_224) - coupl(nGC_126)**2d0 - coupl(  &
                       nGC_142)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(     &
                       nGC_82)**2d0)/(64d0*pi**2d0)
      coupl(nGC_910) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                       nGC_124)**2d0 + coupl(nGC_125)*coupl(nGC_224) + coupl(  &
                       nGC_126)**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0*Nc&
                       )
      coupl(nGC_1188) = coupl(nGC_1115) + coupl(nGC_19)*dZcR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_919) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                       nGC_130)**2d0 + coupl(nGC_131)*coupl(nGC_226) + coupl(  &
                       nGC_132)**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0*Nc&
                       )
      coupl(nGC_918) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                       nGC_131)*coupl(nGC_226) + coupl(nGC_132)**2d0 + coupl(  &
                       nGC_148)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(     &
                       nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1391) = coupl(nGC_1064) + coupl(nGC_136)*dZmuMinusR_QED2/2d0 + &
                        coupl(nGC_136)*dZnu_muL_QED2/2d0
      coupl(nGC_856) = coupl(nGC_135)*(-coupl(nGC_134)**2d0 - coupl(nGC_135)** &
                       2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(  &
                       nGC_85))/(32d0*pi**2d0)
      coupl(nGC_857) = coupl(nGC_135)*(-coupl(nGC_135)**2d0 - coupl(nGC_286)** &
                       2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(  &
                       nGC_85))/(32d0*pi**2d0)
      coupl(nGC_854) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_132) - coupl(nGC_130)* &
                       coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_131)**2d0*    &
                       coupl(nGC_132) - coupl(nGC_132)**3d0 + 8d0*coupl(nGC_132&
                       )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_853) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_132) - coupl(nGC_130)* &
                       coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_132)**3d0 -   &
                       coupl(nGC_132)*coupl(nGC_226)**2d0 + 8d0*coupl(nGC_132)*&
                       coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_850) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_141) - coupl( &
                       nGC_128)**3d0 + 8d0*coupl(nGC_128)*coupl(nGC_2)**2d0 -  &
                       coupl(nGC_128)*coupl(nGC_220)**2d0 + 8d0*coupl(nGC_128)*&
                       coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_851) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_141) - coupl( &
                       nGC_128)**3d0 - coupl(nGC_128)*coupl(nGC_129)**2d0 + 8d0&
                       *coupl(nGC_128)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_128)* &
                       coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_1067) = coupl(nGC_610)*dym_QED3
      coupl(nGC_1061) = coupl(nGC_589)*dyb_QED3
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
