!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:29             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_1060) = coupl(nGC_618)*dys_QED1_QCD2
      coupl(nGC_1306) = coupl(nGC_1080) + coupl(nGC_128)*dZH_QED2/2d0 + coupl( &
                        nGC_128)*dZcL_QED2/2d0 + coupl(nGC_128)*dZcR_QED2/2d0
      coupl(nGC_1307) = coupl(nGC_1081) + coupl(nGC_128)*dZcL_QCD2/2d0 + coupl(&
                        nGC_128)*dZcR_QCD2/2d0
      coupl(nGC_1304) = -coupl(nGC_1035)/2d0 - coupl(nGC_6)*dZAZ_QED2/4d0 -    &
                        coupl(nGC_65)*dZZ_QED2/4d0
      coupl(nGC_1305) = coupl(nGC_1088) + coupl(nGC_61)*dZWMinus_QED2/2d0
      coupl(nGC_1302) = coupl(nGC_1115) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZtR_QCD2
      coupl(nGC_1168) = coupl(nGC_1033) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZmuMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/2d0
      coupl(nGC_1169) = coupl(nGC_1084) + coupl(nGC_7)*dZA_QED2/2d0 + coupl(   &
                        nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_75)*dZZA_QED2/2d0
      coupl(nGC_1160) = coupl(nGC_79)*dZuR_QCD2
      coupl(nGC_1166) = coupl(nGC_1040) + coupl(nGC_148)*dZdL_QCD2/2d0 + coupl(&
                        nGC_148)*dZuR_QCD2/2d0
      coupl(nGC_1167) = coupl(nGC_1033) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZmuMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
      coupl(nGC_1164) = coupl(nGC_1042) + coupl(nGC_130)*dZdR_QCD2/2d0 + coupl(&
                        nGC_130)*dZuL_QCD2/2d0
      coupl(nGC_1165) = coupl(nGC_1039) + coupl(nGC_148)*dZdL_QED2/2d0 + coupl(&
                        nGC_148)*dZuR_QED2/2d0
      coupl(nGC_1114) = coupl(nGC_446)*dZee_QED2
      coupl(nGC_1113) = coupl(nGC_447)*dZee_QED2
      coupl(nGC_1112) = coupl(nGC_486)*dZee_QED2 + coupl(nGC_487)*dsw_QED2 +   &
                        coupl(nGC_488)*dcw_QED2
      coupl(nGC_1110) = coupl(nGC_549)*dsw_QED2 + coupl(nGC_550)*dZee_QED2 +   &
                        coupl(nGC_551)*dcw_QED2 + coupl(nGC_552)*dvev_QED1
      coupl(nGC_812) = (2d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_126) + 8d0*Nc*&
                       cMB*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_224) + 2d0* &
                       Nc*cMB*coupl(nGC_126)*coupl(nGC_224)**2d0 + 2d0*Nc*cMC* &
                       coupl(nGC_128)*coupl(nGC_129)**2d0 + 8d0*Nc*cMC*coupl(  &
                       nGC_128)*coupl(nGC_129)*coupl(nGC_220) + 2d0*Nc*cMC*    &
                       coupl(nGC_128)*coupl(nGC_220)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_131)**2d0*coupl(nGC_132) + 8d0*Nc*cMD*coupl(nGC_131 &
                       )*coupl(nGC_132)*coupl(nGC_226) + 2d0*Nc*cMD*coupl(     &
                       nGC_132)*coupl(nGC_226)**2d0 + 2d0*Nc*cMS*coupl(nGC_140 &
                       )**2d0*coupl(nGC_141) + 8d0*Nc*cMS*coupl(nGC_140)*coupl(&
                       nGC_141)*coupl(nGC_302) + 2d0*Nc*cMS*coupl(nGC_141)*    &
                       coupl(nGC_302)**2d0 + 2d0*Nc*cMT*coupl(nGC_143)*coupl(  &
                       nGC_144)**2d0 + 8d0*Nc*cMT*coupl(nGC_143)*coupl(nGC_144 &
                       )*coupl(nGC_278) + 2d0*Nc*cMT*coupl(nGC_143)*coupl(     &
                       nGC_278)**2d0 + 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_150 &
                       )**2d0 + 8d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_150)*coupl(&
                       nGC_244) + 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_244)**2d0&
                        + 2d0*cME*coupl(nGC_134)**2d0*coupl(nGC_135) + 8d0*cME*&
                       coupl(nGC_134)*coupl(nGC_135)*coupl(nGC_286) + 2d0*cME* &
                       coupl(nGC_135)*coupl(nGC_286)**2d0 + 2d0*cMM*coupl(     &
                       nGC_137)**2d0*coupl(nGC_138) + 8d0*cMM*coupl(nGC_137)*  &
                       coupl(nGC_138)*coupl(nGC_258) + 2d0*cMM*coupl(nGC_138)* &
                       coupl(nGC_258)**2d0 + 2d0*cMTA*coupl(nGC_146)**2d0*coupl&
                       (nGC_147) + 8d0*cMTA*coupl(nGC_146)*coupl(nGC_147)*coupl&
                       (nGC_292) + 2d0*cMTA*coupl(nGC_147)*coupl(nGC_292)**2d0 &
                        + 2d0*cima*coupl(nGC_107)*coupl(nGC_47) + cima*coupl(  &
                       nGC_123)*coupl(nGC_96))/(16d0*pi**2d0)
      coupl(nGC_813) = (-Nc*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_78) + Nc*  &
                       coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_82) + Nc*coupl( &
                       nGC_126)*coupl(nGC_224)*coupl(nGC_78) - Nc*coupl(nGC_126&
                       )*coupl(nGC_224)*coupl(nGC_82) - Nc*coupl(nGC_128)*coupl&
                       (nGC_129)*coupl(nGC_79) + Nc*coupl(nGC_128)*coupl(      &
                       nGC_129)*coupl(nGC_83) + Nc*coupl(nGC_128)*coupl(nGC_220&
                       )*coupl(nGC_79) - Nc*coupl(nGC_128)*coupl(nGC_220)*coupl&
                       (nGC_83) - Nc*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_78&
                       ) + Nc*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_82) + Nc*&
                       coupl(nGC_132)*coupl(nGC_226)*coupl(nGC_78) - Nc*coupl( &
                       nGC_132)*coupl(nGC_226)*coupl(nGC_82) - Nc*coupl(nGC_140&
                       )*coupl(nGC_141)*coupl(nGC_78) + Nc*coupl(nGC_140)*coupl&
                       (nGC_141)*coupl(nGC_82) + Nc*coupl(nGC_141)*coupl(      &
                       nGC_302)*coupl(nGC_78) - Nc*coupl(nGC_141)*coupl(nGC_302&
                       )*coupl(nGC_82) - Nc*coupl(nGC_143)*coupl(nGC_144)*coupl&
                       (nGC_79) + Nc*coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_83&
                       ) + Nc*coupl(nGC_143)*coupl(nGC_278)*coupl(nGC_79) - Nc*&
                       coupl(nGC_143)*coupl(nGC_278)*coupl(nGC_83) - Nc*coupl( &
                       nGC_149)*coupl(nGC_150)*coupl(nGC_79) + Nc*coupl(nGC_149&
                       )*coupl(nGC_150)*coupl(nGC_83) + Nc*coupl(nGC_149)*coupl&
                       (nGC_244)*coupl(nGC_79) - Nc*coupl(nGC_149)*coupl(      &
                       nGC_244)*coupl(nGC_83) - coupl(nGC_134)*coupl(nGC_135)* &
                       coupl(nGC_80) + coupl(nGC_134)*coupl(nGC_135)*coupl(    &
                       nGC_85) + coupl(nGC_135)*coupl(nGC_286)*coupl(nGC_80) - &
                       coupl(nGC_135)*coupl(nGC_286)*coupl(nGC_85) - coupl(    &
                       nGC_137)*coupl(nGC_138)*coupl(nGC_80) + coupl(nGC_137)* &
                       coupl(nGC_138)*coupl(nGC_85) + coupl(nGC_138)*coupl(    &
                       nGC_258)*coupl(nGC_80) - coupl(nGC_138)*coupl(nGC_258)* &
                       coupl(nGC_85) - coupl(nGC_146)*coupl(nGC_147)*coupl(    &
                       nGC_80) + coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_85) + &
                       coupl(nGC_147)*coupl(nGC_292)*coupl(nGC_80) - coupl(    &
                       nGC_147)*coupl(nGC_292)*coupl(nGC_85))/(24d0*pi**2d0)
      coupl(nGC_810) = (8d0*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_130)*coupl(nGC_78)*coupl(nGC_83) - coupl(     &
                       nGC_131)*coupl(nGC_148)*coupl(nGC_150) - coupl(nGC_132)*&
                       coupl(nGC_148)*coupl(nGC_149))/(32d0*pi**2d0)
      coupl(nGC_811) = (8d0*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_2) - coupl(  &
                       nGC_130)*coupl(nGC_132)*coupl(nGC_149) - coupl(nGC_130)*&
                       coupl(nGC_226)*coupl(nGC_244) + 8d0*coupl(nGC_148)*coupl&
                       (nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_816) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_125) - coupl(nGC_124)* &
                       coupl(nGC_142)*coupl(nGC_278) - coupl(nGC_125)**2d0*    &
                       coupl(nGC_224) + 8d0*coupl(nGC_125)*coupl(nGC_78)*coupl(&
                       nGC_82) - coupl(nGC_126)**2d0*coupl(nGC_224))/(32d0*pi**&
                       2d0)
      coupl(nGC_814) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_224) - coupl(nGC_124)* &
                       coupl(nGC_142)*coupl(nGC_144) - coupl(nGC_125)*coupl(   &
                       nGC_126)**2d0 - coupl(nGC_125)*coupl(nGC_224)**2d0 + 8d0&
                       *coupl(nGC_224)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi** &
                       2d0)
      coupl(nGC_953) = (18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(    &
                       nGC_82) - 15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0* &
                       coupl(nGC_83) - 15d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62  &
                       )**2d0*coupl(nGC_82) + 18d0*Nc*cima*coupl(nGC_2)*coupl( &
                       nGC_62)**2d0*coupl(nGC_83) - 8d0*cima*coupl(nGC_238)*   &
                       coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_64) - 8d0*cima*coupl&
                       (nGC_264)*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_64) + 6d0&
                       *cima*coupl(nGC_306)*coupl(nGC_77) + 18d0*cima*coupl(   &
                       nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) - 15d0*cima*    &
                       coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) + 6d0*    &
                       coupl(nGC_238)*coupl(nGC_264)*coupl(nGC_306) + 6d0*coupl&
                       (nGC_238)*coupl(nGC_4)*coupl(nGC_77) + 6d0*coupl(nGC_264&
                       )*coupl(nGC_63)*coupl(nGC_77) + 6d0*coupl(nGC_3)*coupl( &
                       nGC_306)*coupl(nGC_64))/(48d0*pi**2d0)
      coupl(nGC_952) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_78) + Nc*cima*coupl&
                       (nGC_1)**3d0*coupl(nGC_82) + Nc*cima*coupl(nGC_2)**3d0* &
                       coupl(nGC_79) + Nc*cima*coupl(nGC_2)**3d0*coupl(nGC_83  &
                       ) - 2d0*cima*coupl(nGC_238)**3d0*coupl(nGC_264) - 2d0*  &
                       cima*coupl(nGC_3)**3d0*coupl(nGC_64) + cima*coupl(nGC_4 &
                       )**3d0*coupl(nGC_80) + cima*coupl(nGC_4)**3d0*coupl(    &
                       nGC_85) + cima*coupl(nGC_77)*coupl(nGC_9) + coupl(      &
                       nGC_238)**2d0*coupl(nGC_77) + coupl(nGC_238)*coupl(     &
                       nGC_264)*coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_77  &
                       ) + coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_9))/(8d0*pi**  &
                       2d0)
      coupl(nGC_818) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_140) - coupl( &
                       nGC_128)**2d0*coupl(nGC_129) - coupl(nGC_129)*coupl(    &
                       nGC_220)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_220) +  &
                       8d0*coupl(nGC_220)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi&
                       **2d0)
      coupl(nGC_950) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_78)**2d0 + Nc*cima*&
                       coupl(nGC_1)**2d0*coupl(nGC_82)**2d0 + Nc*cima*coupl(   &
                       nGC_2)**2d0*coupl(nGC_79)**2d0 + Nc*cima*coupl(nGC_2)** &
                       2d0*coupl(nGC_83)**2d0 - 2d0*cima*coupl(nGC_238)**2d0*  &
                       coupl(nGC_264)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*coupl( &
                       nGC_64)**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_80)**2d0&
                        + cima*coupl(nGC_4)**2d0*coupl(nGC_85)**2d0 + cima*    &
                       coupl(nGC_77)**2d0 + 2d0*coupl(nGC_238)*coupl(nGC_264)* &
                       coupl(nGC_77) + 2d0*coupl(nGC_3)*coupl(nGC_64)*coupl(   &
                       nGC_77))/(8d0*pi**2d0)
      coupl(nGC_957) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_224)*   &
                       coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*    &
                       coupl(nGC_224)*coupl(nGC_82) - Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_131)*coupl(nGC_226)*coupl(nGC_78) - Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_226)*coupl(nGC_82 &
                       ) - Nc*cima*coupl(nGC_1)*coupl(nGC_140)*coupl(nGC_302)* &
                       coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_140)*    &
                       coupl(nGC_302)*coupl(nGC_82) - Nc*cima*coupl(nGC_129)*  &
                       coupl(nGC_2)*coupl(nGC_220)*coupl(nGC_79) - Nc*cima*    &
                       coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_220)*coupl(nGC_83 &
                       ) - Nc*cima*coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_278)* &
                       coupl(nGC_79) - Nc*cima*coupl(nGC_144)*coupl(nGC_2)*    &
                       coupl(nGC_278)*coupl(nGC_83) - Nc*cima*coupl(nGC_150)*  &
                       coupl(nGC_2)*coupl(nGC_244)*coupl(nGC_79) - Nc*cima*    &
                       coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_244)*coupl(nGC_83 &
                       ) - cima*coupl(nGC_134)*coupl(nGC_286)*coupl(nGC_4)*    &
                       coupl(nGC_80) - cima*coupl(nGC_134)*coupl(nGC_286)*coupl&
                       (nGC_4)*coupl(nGC_85) - cima*coupl(nGC_137)*coupl(      &
                       nGC_258)*coupl(nGC_4)*coupl(nGC_80) - cima*coupl(nGC_137&
                       )*coupl(nGC_258)*coupl(nGC_4)*coupl(nGC_85) - cima*coupl&
                       (nGC_146)*coupl(nGC_292)*coupl(nGC_4)*coupl(nGC_80) -   &
                       cima*coupl(nGC_146)*coupl(nGC_292)*coupl(nGC_4)*coupl(  &
                       nGC_85) + cima*coupl(nGC_47)*coupl(nGC_77) + coupl(     &
                       nGC_238)*coupl(nGC_264)*coupl(nGC_47) + coupl(nGC_3)*   &
                       coupl(nGC_47)*coupl(nGC_64))/(8d0*pi**2d0)
      coupl(nGC_956) = cima*(5d0*Nc*coupl(nGC_124)**4d0 + 5d0*Nc*coupl(nGC_127 &
                       )**4d0 + 5d0*Nc*coupl(nGC_130)**4d0 + 5d0*Nc*coupl(     &
                       nGC_139)**4d0 + 5d0*Nc*coupl(nGC_142)**4d0 + 5d0*Nc*    &
                       coupl(nGC_148)**4d0 + 3d0*coupl(nGC_10)**2d0 + 5d0*coupl&
                       (nGC_133)**4d0 + 5d0*coupl(nGC_136)**4d0 + 5d0*coupl(   &
                       nGC_145)**4d0 + 6d0*coupl(nGC_47)**2d0 + 6d0*coupl(     &
                       nGC_90)**2d0 + 3d0*coupl(nGC_95)**2d0)/(24d0*pi**2d0)
      coupl(nGC_955) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(    &
                       nGC_82) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*  &
                       coupl(nGC_83) + 9d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62)**&
                       2d0*coupl(nGC_82) - 6d0*Nc*cima*coupl(nGC_2)*coupl(     &
                       nGC_62)**2d0*coupl(nGC_83) + 6d0*cima*coupl(nGC_222)*   &
                       coupl(nGC_274) - 8d0*cima*coupl(nGC_238)*coupl(nGC_3)*  &
                       coupl(nGC_4)*coupl(nGC_64) - 8d0*cima*coupl(nGC_264)*   &
                       coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_64) - 6d0*cima*    &
                       coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) + 9d0*cima&
                       *coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) + 6d0*   &
                       cima*coupl(nGC_55)*coupl(nGC_74) + 6d0*coupl(nGC_222)*  &
                       coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_264)*coupl(   &
                       nGC_274)*coupl(nGC_3) + 6d0*coupl(nGC_264)*coupl(nGC_64 &
                       )*coupl(nGC_74) + 6d0*coupl(nGC_3)*coupl(nGC_55)*coupl( &
                       nGC_63))/(48d0*pi**2d0)
      coupl(nGC_954) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(    &
                       nGC_82) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*  &
                       coupl(nGC_83) + 9d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62)**&
                       2d0*coupl(nGC_82) - 6d0*Nc*cima*coupl(nGC_2)*coupl(     &
                       nGC_62)**2d0*coupl(nGC_83) + 6d0*cima*coupl(nGC_222)*   &
                       coupl(nGC_274) - 8d0*cima*coupl(nGC_238)*coupl(nGC_3)*  &
                       coupl(nGC_4)*coupl(nGC_64) - 8d0*cima*coupl(nGC_264)*   &
                       coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_64) - 6d0*cima*    &
                       coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) + 9d0*cima&
                       *coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) + 6d0*   &
                       cima*coupl(nGC_55)*coupl(nGC_74) + 6d0*coupl(nGC_222)*  &
                       coupl(nGC_238)*coupl(nGC_3) + 6d0*coupl(nGC_264)*coupl( &
                       nGC_3)*coupl(nGC_55) + 6d0*coupl(nGC_274)*coupl(nGC_4)* &
                       coupl(nGC_64) + 6d0*coupl(nGC_63)*coupl(nGC_64)*coupl(  &
                       nGC_74))/(48d0*pi**2d0)
      coupl(nGC_1436) = coupl(nGC_1068) + coupl(nGC_146)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_146)*dZtauMinusR_QED2/2d0
      coupl(nGC_1437) = -coupl(nGC_1068) - coupl(nGC_146)*dZtauMinusL_QED2/2d0 &
                         - coupl(nGC_146)*dZtauMinusR_QED2/2d0
      coupl(nGC_1430) = coupl(nGC_1031)/2d0 + coupl(nGC_5)*dZA_QED2/4d0 + coupl&
                        (nGC_66)*dZZA_QED2/4d0
      coupl(nGC_1431) = coupl(nGC_1038)/2d0 + coupl(nGC_17)*dZg_QCD2/4d0
      coupl(nGC_724) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_78) + Nc*cMB** &
                       2d0*cima*coupl(nGC_1)*coupl(nGC_82) + Nc*cMC**2d0*cima* &
                       coupl(nGC_2)*coupl(nGC_79) + Nc*cMC**2d0*cima*coupl(    &
                       nGC_2)*coupl(nGC_83) + Nc*cMD**2d0*cima*coupl(nGC_1)*   &
                       coupl(nGC_78) + Nc*cMD**2d0*cima*coupl(nGC_1)*coupl(    &
                       nGC_82) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_78) + &
                       Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_82) + Nc*cMT**  &
                       2d0*cima*coupl(nGC_2)*coupl(nGC_79) + Nc*cMT**2d0*cima* &
                       coupl(nGC_2)*coupl(nGC_83) + Nc*cMU**2d0*cima*coupl(    &
                       nGC_2)*coupl(nGC_79) + Nc*cMU**2d0*cima*coupl(nGC_2)*   &
                       coupl(nGC_83) + cME**2d0*cima*coupl(nGC_4)*coupl(nGC_80 &
                       ) + cME**2d0*cima*coupl(nGC_4)*coupl(nGC_85) + cMM**2d0*&
                       cima*coupl(nGC_4)*coupl(nGC_80) + cMM**2d0*cima*coupl(  &
                       nGC_4)*coupl(nGC_85) + cMTA**2d0*cima*coupl(nGC_4)*coupl&
                       (nGC_80) + cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_85) +  &
                       cMW**2d0*cima*coupl(nGC_238)*coupl(nGC_264) + cMW**2d0* &
                       cima*coupl(nGC_3)*coupl(nGC_64) - cMW**2d0*coupl(nGC_77 &
                       ))/(8d0*pi**2d0)
      coupl(nGC_725) = cima*(Nc*coupl(nGC_125)*coupl(nGC_224) + Nc*coupl(      &
                       nGC_129)*coupl(nGC_220) + Nc*coupl(nGC_131)*coupl(      &
                       nGC_226) + Nc*coupl(nGC_140)*coupl(nGC_302) + Nc*coupl( &
                       nGC_144)*coupl(nGC_278) + Nc*coupl(nGC_150)*coupl(      &
                       nGC_244) + coupl(nGC_134)*coupl(nGC_286) + coupl(nGC_137&
                       )*coupl(nGC_258) + coupl(nGC_146)*coupl(nGC_292))/(24d0*&
                       pi**2d0)
      coupl(nGC_1184) = coupl(nGC_1012) + coupl(nGC_13)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_13)*dZZ_QED2/2d0 + coupl(nGC_68)*dZAZ_QED2/  &
                        2d0
      coupl(nGC_1185) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_1030) + coupl(nGC_76&
                        )*dZZA_QED2
      coupl(nGC_1029) = coupl(nGC_699)*dsw_QED2 + coupl(nGC_700)*dZee_QED2 +   &
                        coupl(nGC_701)*dvev_QED1
      coupl(nGC_1028) = coupl(nGC_687)*dsw_QED2 + coupl(nGC_688)*dZee_QED2 +   &
                        coupl(nGC_689)*dvev_QED1
      coupl(nGC_1180) = coupl(nGC_1083) + coupl(nGC_143)*dZtL_QCD2/2d0 + coupl(&
                        nGC_143)*dZtR_QCD2/2d0
      coupl(nGC_1182) = coupl(nGC_1065) + coupl(nGC_145)*dZnu_tauL_QED2/2d0 +  &
                        coupl(nGC_145)*dZtauMinusR_QED2/2d0
      coupl(nGC_1183) = coupl(nGC_1094) + coupl(nGC_49)*dZWMinus_QED2
      coupl(nGC_1020) = coupl(nGC_705)*dZee_QED2 + coupl(nGC_706)*dsw_QED2
      coupl(nGC_1027) = coupl(nGC_674)*dlam_QED4 + coupl(nGC_675)*dvev_QED1
      coupl(nGC_1026) = coupl(nGC_663)*dlam_QED4 + coupl(nGC_664)*dvev_QED1
      coupl(nGC_1025) = coupl(nGC_539)*dsw_QED2 + coupl(nGC_540)*dZee_QED2 +   &
                        coupl(nGC_541)*dcw_QED2 + coupl(nGC_542)*dvev_QED1
      coupl(nGC_889) = (coupl(nGC_127)**2d0*coupl(nGC_82) + coupl(nGC_128)**2d0&
                       *coupl(nGC_83) + coupl(nGC_129)*coupl(nGC_220)*coupl(   &
                       nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*    &
                       coupl(nGC_79)**3d0)/(32d0*pi**2d0)
      coupl(nGC_928) = coupl(nGC_19)*sq2*(-coupl(nGC_124)**2d0 - coupl(nGC_143 &
                       )**2d0 - coupl(nGC_144)*coupl(nGC_278) - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_929) = coupl(nGC_19)*sq2*(-coupl(nGC_142)**2d0 - coupl(nGC_143 &
                       )**2d0 - coupl(nGC_144)*coupl(nGC_278) - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_926) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_139&
                       )**2d0 + coupl(nGC_140)*coupl(nGC_302) + coupl(nGC_141  &
                       )**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
      coupl(nGC_925) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_127&
                       )**2d0 + coupl(nGC_140)*coupl(nGC_302) + coupl(nGC_141  &
                       )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_82)**2d0&
                       )/(64d0*pi**2d0)
      coupl(nGC_922) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                       nGC_127)**2d0 - coupl(nGC_140)*coupl(nGC_302) - coupl(  &
                       nGC_141)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(     &
                       nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_923) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                       nGC_139)**2d0 - coupl(nGC_140)*coupl(nGC_302) - coupl(  &
                       nGC_141)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0*Nc&
                       )
      coupl(nGC_920) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                       nGC_131)*coupl(nGC_226) - coupl(nGC_132)**2d0 - coupl(  &
                       nGC_148)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(     &
                       nGC_82)**2d0)/(64d0*pi**2d0)
      coupl(nGC_921) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                       nGC_130)**2d0 - coupl(nGC_131)*coupl(nGC_226) - coupl(  &
                       nGC_132)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1337) = coupl(nGC_1071) + coupl(nGC_147)*dZH_QED2/2d0 + coupl( &
                        nGC_147)*dZtauMinusL_QED2/2d0 + coupl(nGC_147)*        &
                        dZtauMinusR_QED2/2d0
      coupl(nGC_1336) = coupl(nGC_62)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_1335) = coupl(nGC_1116) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_62)*dZcL_QED2/2d0 + coupl(nGC_62)*dZsL_QED2/ &
                        2d0
      coupl(nGC_1331) = coupl(nGC_1131) + coupl(nGC_MC)*dZcL_QED2/2d0 + coupl( &
                        nGC_MC)*dZcR_QED2/2d0
      coupl(nGC_1238) = -coupl(nGC_1054) - coupl(nGC_140)*dZsL_QCD2/2d0 - coupl&
                        (nGC_140)*dZsR_QCD2/2d0
      coupl(nGC_1239) = coupl(nGC_101)*dZH_QED2/2d0 + coupl(nGC_1026) + coupl( &
                        nGC_GGH)
      coupl(nGC_1236) = coupl(nGC_1054) + coupl(nGC_140)*dZsL_QCD2/2d0 + coupl(&
                        nGC_140)*dZsR_QCD2/2d0
      coupl(nGC_1237) = -coupl(nGC_1053) - coupl(nGC_140)*dZsL_QED2/2d0 - coupl&
                        (nGC_140)*dZsR_QED2/2d0
      coupl(nGC_1234) = coupl(nGC_1104) + coupl(nGC_14)*dZH_QED2/2d0 + coupl(  &
                        nGC_14)*dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZ_QED2/2d0 &
                         + coupl(nGC_69)*dZAZ_QED2/2d0
      coupl(nGC_882) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_125)*  &
                       coupl(nGC_224)*coupl(nGC_78) + coupl(nGC_126)**2d0*coupl&
                       (nGC_78) + coupl(nGC_142)**2d0*coupl(nGC_79) + 2d0*coupl&
                       (nGC_264)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62)**2d0*  &
                       coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi**2d0)
      coupl(nGC_885) = coupl(nGC_19)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_884) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_124)** &
                       2d0*coupl(nGC_83) + coupl(nGC_125)*coupl(nGC_224)*coupl(&
                       nGC_82) + coupl(nGC_126)**2d0*coupl(nGC_82) + 4d0*coupl(&
                       nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1339) = 2d0*coupl(nGC_1037) + 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_1231) = coupl(nGC_1113) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZtR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
      coupl(nGC_881) = coupl(nGC_62)*(-coupl(nGC_230)*coupl(nGC_85) - coupl(   &
                       nGC_248)*coupl(nGC_4) - coupl(nGC_63)*coupl(nGC_86) +   &
                       2d0*coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_883) = coupl(nGC_19)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_1413) = -coupl(nGC_1144) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_1235) = coupl(nGC_1053) + coupl(nGC_140)*dZsL_QED2/2d0 + coupl(&
                        nGC_140)*dZsR_QED2/2d0
      coupl(nGC_1326) = coupl(nGC_1100) + 2d0*coupl(nGC_48)*dZWMinus_QED2
      coupl(nGC_1233) = coupl(nGC_1034)/2d0 + coupl(nGC_5)*dZAZ_QED2/4d0 +     &
                        coupl(nGC_66)*dZZ_QED2/4d0
      coupl(nGC_864) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_126) - cMC* &
                       coupl(nGC_128) - cMD*coupl(nGC_132) - cMS*coupl(nGC_141 &
                       ) - cMT*coupl(nGC_143) - cMU*coupl(nGC_149))/(16d0*pi** &
                       2d0)
      coupl(nGC_887) = (coupl(nGC_128)**2d0*coupl(nGC_79) + coupl(nGC_129)*    &
                       coupl(nGC_220)*coupl(nGC_79) + coupl(nGC_139)**2d0*coupl&
                       (nGC_78) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*   &
                       coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**  &
                       2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi**  &
                       2d0)
      coupl(nGC_948) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_126)*    &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*&
                       coupl(nGC_128)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62 &
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(      &
                       nGC_143)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_148)*coupl(nGC_149)*coupl(nGC_62) - 4d0*Nc*cima*    &
                       coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_2)* &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132&
                       )*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_139&
                       )*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_2)* &
                       coupl(nGC_62) + cima*coupl(nGC_133)*coupl(nGC_135)*coupl&
                       (nGC_4)*coupl(nGC_62) + cima*coupl(nGC_136)*coupl(      &
                       nGC_138)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(   &
                       nGC_14)*coupl(nGC_74) + cima*coupl(nGC_145)*coupl(      &
                       nGC_147)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(   &
                       nGC_274)*coupl(nGC_69) + 6d0*coupl(nGC_14)*coupl(nGC_238&
                       )*coupl(nGC_64) + 6d0*coupl(nGC_238)*coupl(nGC_3)*coupl(&
                       nGC_69))/(48d0*pi**2d0)
      coupl(nGC_1338) = coupl(nGC_1037) + coupl(nGC_21)*dZg_QCD2
      coupl(nGC_862) = coupl(nGC_141)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1268) = coupl(nGC_1051) + coupl(nGC_131)*dZdL_QED2/2d0 + coupl(&
                        nGC_131)*dZdR_QED2/2d0
      coupl(nGC_1153) = coupl(nGC_1144) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_1152) = coupl(nGC_1085) + coupl(nGC_54)*dZZA_QED2/2d0 + coupl( &
                        nGC_75)*dZA_QED2/2d0 + coupl(nGC_75)*dZWMinus_QED2/2d0
      coupl(nGC_1098) = coupl(nGC_449)*dZee_QED2
      coupl(nGC_1099) = coupl(nGC_602)*dZee_QED2 + coupl(nGC_603)*dsw_QED2 +   &
                        coupl(nGC_604)*dcw_QED2
      coupl(nGC_1157) = coupl(nGC_1118) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZuL_QED2
      coupl(nGC_1156) = coupl(nGC_1086) + coupl(nGC_14)*dZZA_QED2/2d0 + coupl( &
                        nGC_69)*dZA_QED2/2d0 + coupl(nGC_69)*dZH_QED2/2d0 +    &
                        coupl(nGC_69)*dZWMinus_QED2/2d0
      coupl(nGC_1155) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_1101) + coupl( &
                        nGC_90)*dZA_QED2/2d0 + coupl(nGC_90)*dZZ_QED2/2d0 +    &
                        coupl(nGC_95)*dZZA_QED2/2d0
      coupl(nGC_1154) = coupl(nGC_1034)/2d0 + coupl(nGC_66)*dZWMinus_QED2/4d0
      coupl(nGC_1092) = coupl(nGC_587)*dZee_QED2 + coupl(nGC_588)*dsw_QED2
      coupl(nGC_1093) = coupl(nGC_547)*dZee_QED2 + coupl(nGC_548)*dsw_QED2
      coupl(nGC_1159) = coupl(nGC_1117) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZuR_QED2
      coupl(nGC_1096) = coupl(nGC_456)*dZee_QED2 + coupl(nGC_457)*dsw_QED2 +   &
                        coupl(nGC_458)*dcw_QED2
      coupl(nGC_718) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC**  &
                       2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                       nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +  &
                       2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMU**2d0&
                       *cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_4 &
                       )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 2d0*cMTA &
                       **2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*cima*coupl(     &
                       nGC_238)**2d0 + cMW**2d0*cima*coupl(nGC_3)**2d0 - cMW** &
                       2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_1095) = coupl(nGC_584)*dZee_QED2 + coupl(nGC_585)*dsw_QED2 +   &
                        coupl(nGC_586)*dcw_QED2
      coupl(nGC_869) = coupl(nGC_147)*(-coupl(nGC_147)**2d0 - coupl(nGC_292)** &
                       2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(  &
                       nGC_85))/(32d0*pi**2d0)
      coupl(nGC_1332) = coupl(nGC_1132) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_1308) = coupl(nGC_1028) + coupl(nGC_106)*dZH_QED2/2d0
      coupl(nGC_1356) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +   &
                        coupl(nGC_1114) + coupl(nGC_82)*dZZA_QED2/2d0
      coupl(nGC_788) = (8d0*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_124)*coupl(nGC_78)*coupl(nGC_83) - coupl(     &
                       nGC_126)*coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_142)*&
                       coupl(nGC_224)*coupl(nGC_278))/(32d0*pi**2d0)
      coupl(nGC_786) = coupl(nGC_62)*(-Nc*coupl(nGC_124)*coupl(nGC_126) + Nc*  &
                       coupl(nGC_127)*coupl(nGC_128) - Nc*coupl(nGC_130)*coupl(&
                       nGC_132) - Nc*coupl(nGC_139)*coupl(nGC_141) + Nc*coupl( &
                       nGC_142)*coupl(nGC_143) + Nc*coupl(nGC_148)*coupl(      &
                       nGC_149) - coupl(nGC_133)*coupl(nGC_135) - coupl(nGC_136&
                       )*coupl(nGC_138) - coupl(nGC_145)*coupl(nGC_147))/(24d0*&
                       pi**2d0)
      coupl(nGC_1423) = -coupl(nGC_1032)/2d0 - coupl(nGC_6)*dZA_QED2/4d0 -     &
                        coupl(nGC_65)*dZZA_QED2/4d0
      coupl(nGC_784) = (Nc*coupl(nGC_124)**2d0*coupl(nGC_78) - Nc*coupl(nGC_124&
                       )**2d0*coupl(nGC_83) - Nc*coupl(nGC_127)**2d0*coupl(    &
                       nGC_79) + Nc*coupl(nGC_127)**2d0*coupl(nGC_82) + Nc*    &
                       coupl(nGC_130)**2d0*coupl(nGC_78) - Nc*coupl(nGC_130)** &
                       2d0*coupl(nGC_83) + Nc*coupl(nGC_139)**2d0*coupl(nGC_78 &
                       ) - Nc*coupl(nGC_139)**2d0*coupl(nGC_83) - Nc*coupl(    &
                       nGC_142)**2d0*coupl(nGC_79) + Nc*coupl(nGC_142)**2d0*   &
                       coupl(nGC_82) - Nc*coupl(nGC_148)**2d0*coupl(nGC_79) +  &
                       Nc*coupl(nGC_148)**2d0*coupl(nGC_82) + coupl(nGC_133)** &
                       2d0*coupl(nGC_80) - coupl(nGC_133)**2d0*coupl(nGC_86) + &
                       coupl(nGC_136)**2d0*coupl(nGC_80) - coupl(nGC_136)**2d0*&
                       coupl(nGC_86) + coupl(nGC_145)**2d0*coupl(nGC_80) -     &
                       coupl(nGC_145)**2d0*coupl(nGC_86))/(24d0*pi**2d0)
      coupl(nGC_785) = coupl(nGC_62)*(-Nc*coupl(nGC_124)*coupl(nGC_125) + Nc*  &
                       coupl(nGC_127)*coupl(nGC_220) - Nc*coupl(nGC_130)*coupl(&
                       nGC_131) - Nc*coupl(nGC_139)*coupl(nGC_140) + Nc*coupl( &
                       nGC_142)*coupl(nGC_278) + Nc*coupl(nGC_148)*coupl(      &
                       nGC_244) - coupl(nGC_133)*coupl(nGC_134) - coupl(nGC_136&
                       )*coupl(nGC_137) - coupl(nGC_145)*coupl(nGC_146))/(24d0*&
                       pi**2d0)
      coupl(nGC_783) = (2d0*Nc*cMB*coupl(nGC_124)**2d0*coupl(nGC_126) + 2d0*Nc*&
                       cMB*coupl(nGC_124)*coupl(nGC_142)*coupl(nGC_143) + 2d0* &
                       Nc*cMB*coupl(nGC_126)*coupl(nGC_142)**2d0 + 2d0*Nc*cMC* &
                       coupl(nGC_127)**2d0*coupl(nGC_128) + 2d0*Nc*cMC*coupl(  &
                       nGC_127)*coupl(nGC_139)*coupl(nGC_141) + 2d0*Nc*cMC*    &
                       coupl(nGC_128)*coupl(nGC_139)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_130)**2d0*coupl(nGC_132) + 2d0*Nc*cMD*coupl(nGC_130 &
                       )*coupl(nGC_148)*coupl(nGC_149) + 2d0*Nc*cMD*coupl(     &
                       nGC_132)*coupl(nGC_148)**2d0 + 2d0*Nc*cMS*coupl(nGC_127 &
                       )**2d0*coupl(nGC_141) + 2d0*Nc*cMS*coupl(nGC_127)*coupl(&
                       nGC_128)*coupl(nGC_139) + 2d0*Nc*cMS*coupl(nGC_139)**2d0&
                       *coupl(nGC_141) + 2d0*Nc*cMT*coupl(nGC_124)**2d0*coupl( &
                       nGC_143) + 2d0*Nc*cMT*coupl(nGC_124)*coupl(nGC_126)*    &
                       coupl(nGC_142) + 2d0*Nc*cMT*coupl(nGC_142)**2d0*coupl(  &
                       nGC_143) + 2d0*Nc*cMU*coupl(nGC_130)**2d0*coupl(nGC_149 &
                       ) + 2d0*Nc*cMU*coupl(nGC_130)*coupl(nGC_132)*coupl(     &
                       nGC_148) + 2d0*Nc*cMU*coupl(nGC_148)**2d0*coupl(nGC_149 &
                       ) + 2d0*cME*coupl(nGC_133)**2d0*coupl(nGC_135) + 2d0*cMM&
                       *coupl(nGC_136)**2d0*coupl(nGC_138) + 2d0*cMTA*coupl(   &
                       nGC_145)**2d0*coupl(nGC_147) + 2d0*cima*coupl(nGC_107)* &
                       coupl(nGC_47) + 4d0*cima*coupl(nGC_110)*coupl(nGC_69) + &
                       cima*coupl(nGC_123)*coupl(nGC_95) + 4d0*cima*coupl(     &
                       nGC_14)*coupl(nGC_99))/(16d0*pi**2d0)
      coupl(nGC_780) = (coupl(nGC_146)*coupl(nGC_292)*coupl(nGC_4) + coupl(    &
                       nGC_147)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(    &
                       nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)*&
                       coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1422) = -coupl(nGC_1103) - coupl(nGC_4)*dZAZ_QED2/2d0 - coupl( &
                        nGC_85)*dZZ_QED2/2d0
      coupl(nGC_1386) = coupl(nGC_1090) + coupl(nGC_3)*dZA_QED2/2d0 + coupl(   &
                        nGC_3)*dZWMinus_QED2 + coupl(nGC_64)*dZZA_QED2/2d0
      coupl(nGC_1387) = coupl(nGC_1076) + coupl(nGC_144)*dZtL_QED2/2d0 + coupl(&
                        nGC_144)*dZtR_QED2/2d0
      coupl(nGC_1384) = coupl(nGC_1098) - coupl(nGC_77)*dZZA_QED2/2d0 + coupl( &
                        nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_1385) = -coupl(nGC_1102) - coupl(nGC_81)*dZH_QED2/2d0 - coupl( &
                        nGC_81)*dZZ_QED2/2d0
      coupl(nGC_1173) = coupl(nGC_79)*dZtR_QCD2
      coupl(nGC_1383) = -2d0*coupl(nGC_1098) + coupl(nGC_77)*dZZA_QED2 - 2d0*  &
                        coupl(nGC_8)*dZA_QED2 - 2d0*coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_1380) = coupl(nGC_1073) + coupl(nGC_150)*dZuL_QCD2/2d0 + coupl(&
                        nGC_150)*dZuR_QCD2/2d0
      coupl(nGC_1381) = -coupl(nGC_1072) - coupl(nGC_150)*dZuL_QED2/2d0 - coupl&
                        (nGC_150)*dZuR_QED2/2d0
      coupl(nGC_1388) = coupl(nGC_1077) + coupl(nGC_144)*dZtL_QCD2/2d0 + coupl(&
                        nGC_144)*dZtR_QCD2/2d0
      coupl(nGC_1389) = -coupl(nGC_1076) - coupl(nGC_144)*dZtL_QED2/2d0 - coupl&
                        (nGC_144)*dZtR_QED2/2d0
      coupl(nGC_1470) = -coupl(nGC_1034)/2d0 - coupl(nGC_5)*dZAZ_QED2/4d0 -    &
                        coupl(nGC_66)*dZZ_QED2/4d0
      coupl(nGC_1472) = 3d0*coupl(nGC_102)*dZH_QED2/2d0 + coupl(nGC_1027) +    &
                        coupl(nGC_HHH)
      coupl(nGC_1473) = coupl(nGC_1036) + 3d0*coupl(nGC_18)*dZg_QCD2/2d0
      coupl(nGC_1475) = -coupl(nGC_760)
      coupl(nGC_1476) = -coupl(nGC_813)
      coupl(nGC_1477) = -coupl(nGC_785)
      coupl(nGC_1429) = coupl(nGC_1110) + coupl(nGC_123)*dZH_QED2/2d0 + coupl( &
                        nGC_123)*dZZ_QED2
      coupl(nGC_962) = (-4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_78)**2d0 +  &
                       5d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_78)*coupl(    &
                       nGC_83) - 4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_83  &
                       )**2d0 - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_79)**&
                       2d0 + 5d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_79)*    &
                       coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(  &
                       nGC_82)**2d0 - 4d0*Nc*cima*coupl(nGC_130)**2d0*coupl(   &
                       nGC_78)**2d0 + 5d0*Nc*cima*coupl(nGC_130)**2d0*coupl(   &
                       nGC_78)*coupl(nGC_83) - 4d0*Nc*cima*coupl(nGC_130)**2d0*&
                       coupl(nGC_83)**2d0 - 4d0*Nc*cima*coupl(nGC_139)**2d0*   &
                       coupl(nGC_78)**2d0 + 5d0*Nc*cima*coupl(nGC_139)**2d0*   &
                       coupl(nGC_78)*coupl(nGC_83) - 4d0*Nc*cima*coupl(nGC_139 &
                       )**2d0*coupl(nGC_83)**2d0 - 4d0*Nc*cima*coupl(nGC_142)**&
                       2d0*coupl(nGC_79)**2d0 + 5d0*Nc*cima*coupl(nGC_142)**2d0&
                       *coupl(nGC_79)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_142&
                       )**2d0*coupl(nGC_82)**2d0 - 4d0*Nc*cima*coupl(nGC_148)**&
                       2d0*coupl(nGC_79)**2d0 + 5d0*Nc*cima*coupl(nGC_148)**2d0&
                       *coupl(nGC_79)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_148&
                       )**2d0*coupl(nGC_82)**2d0 - 4d0*cima*coupl(nGC_133)**2d0&
                       *coupl(nGC_80)**2d0 + 5d0*cima*coupl(nGC_133)**2d0*coupl&
                       (nGC_80)*coupl(nGC_86) - 4d0*cima*coupl(nGC_133)**2d0*  &
                       coupl(nGC_86)**2d0 - 4d0*cima*coupl(nGC_136)**2d0*coupl(&
                       nGC_80)**2d0 + 5d0*cima*coupl(nGC_136)**2d0*coupl(nGC_80&
                       )*coupl(nGC_86) - 4d0*cima*coupl(nGC_136)**2d0*coupl(   &
                       nGC_86)**2d0 - 4d0*cima*coupl(nGC_145)**2d0*coupl(nGC_80&
                       )**2d0 + 5d0*cima*coupl(nGC_145)**2d0*coupl(nGC_80)*    &
                       coupl(nGC_86) - 4d0*cima*coupl(nGC_145)**2d0*coupl(     &
                       nGC_86)**2d0 + 3d0*cima*coupl(nGC_47)*coupl(nGC_56) +   &
                       3d0*coupl(nGC_264)**2d0*coupl(nGC_47) + 3d0*coupl(nGC_47&
                       )*coupl(nGC_64)**2d0)/(24d0*pi**2d0)
      coupl(nGC_963) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_62 &
                       )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(     &
                       nGC_125)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl&
                       (nGC_124)*coupl(nGC_125)*coupl(nGC_62)*coupl(nGC_83) +  &
                       5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_220)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_220&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_127)*coupl(nGC_220)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_130)*coupl(nGC_131)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_139)*coupl(nGC_140)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_278)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_278&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_142)*coupl(nGC_278)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_244)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_244&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_148)*coupl(nGC_244)*coupl(nGC_62)*coupl(nGC_83) +   &
                       6d0*cima*coupl(nGC_13)*coupl(nGC_55) + 5d0*cima*coupl(  &
                       nGC_133)*coupl(nGC_134)*coupl(nGC_62)*coupl(nGC_80) -   &
                       4d0*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_62)*   &
                       coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*coupl(nGC_134)* &
                       coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*coupl(nGC_136)*  &
                       coupl(nGC_137)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*  &
                       coupl(nGC_136)*coupl(nGC_137)*coupl(nGC_62)*coupl(nGC_85&
                       ) - 4d0*cima*coupl(nGC_136)*coupl(nGC_137)*coupl(nGC_62 &
                       )*coupl(nGC_86) + 5d0*cima*coupl(nGC_145)*coupl(nGC_146 &
                       )*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_145)*&
                       coupl(nGC_146)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*  &
                       coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_62)*coupl(nGC_86&
                       ) + 6d0*cima*coupl(nGC_222)*coupl(nGC_68) + 6d0*coupl(  &
                       nGC_13)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_4)* &
                       coupl(nGC_64)*coupl(nGC_68))/(48d0*pi**2d0)
      coupl(nGC_960) = (-4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_62)**2d0 -  &
                       4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_62)**2d0 - 4d0&
                       *Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_62)**2d0 - 4d0*Nc&
                       *cima*coupl(nGC_139)**2d0*coupl(nGC_62)**2d0 - 4d0*Nc*  &
                       cima*coupl(nGC_142)**2d0*coupl(nGC_62)**2d0 - 4d0*Nc*   &
                       cima*coupl(nGC_148)**2d0*coupl(nGC_62)**2d0 + 3d0*cima* &
                       coupl(nGC_10)*coupl(nGC_9) - 4d0*cima*coupl(nGC_133)**  &
                       2d0*coupl(nGC_62)**2d0 - 4d0*cima*coupl(nGC_136)**2d0*  &
                       coupl(nGC_62)**2d0 - 4d0*cima*coupl(nGC_145)**2d0*coupl(&
                       nGC_62)**2d0 + 6d0*cima*coupl(nGC_306)*coupl(nGC_47) +  &
                       3d0*cima*coupl(nGC_56)*coupl(nGC_95) + 6d0*cima*coupl(  &
                       nGC_77)*coupl(nGC_90) + 6d0*coupl(nGC_10)*coupl(nGC_248 &
                       )*coupl(nGC_3) + 6d0*coupl(nGC_230)*coupl(nGC_3)*coupl( &
                       nGC_90) + 6d0*coupl(nGC_230)*coupl(nGC_64)*coupl(nGC_95 &
                       ) + 6d0*coupl(nGC_238)*coupl(nGC_4)*coupl(nGC_47) + 6d0*&
                       coupl(nGC_248)*coupl(nGC_64)*coupl(nGC_90) + 6d0*coupl( &
                       nGC_264)*coupl(nGC_47)*coupl(nGC_63))/(48d0*pi**2d0)
      coupl(nGC_961) = cima*(10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_126)**2d0 + &
                       10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_143)**2d0 + 20d0* &
                       Nc*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142)*coupl(  &
                       nGC_143) + 10d0*Nc*coupl(nGC_126)**2d0*coupl(nGC_142)** &
                       2d0 + 10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_128)**2d0 + &
                       10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_141)**2d0 + 20d0* &
                       Nc*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_139)*coupl(  &
                       nGC_141) + 10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_139)** &
                       2d0 + 10d0*Nc*coupl(nGC_130)**2d0*coupl(nGC_132)**2d0 + &
                       10d0*Nc*coupl(nGC_130)**2d0*coupl(nGC_149)**2d0 + 20d0* &
                       Nc*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148)*coupl(  &
                       nGC_149) + 10d0*Nc*coupl(nGC_132)**2d0*coupl(nGC_148)** &
                       2d0 + 10d0*Nc*coupl(nGC_139)**2d0*coupl(nGC_141)**2d0 + &
                       10d0*Nc*coupl(nGC_142)**2d0*coupl(nGC_143)**2d0 + 10d0* &
                       Nc*coupl(nGC_148)**2d0*coupl(nGC_149)**2d0 + 10d0*coupl(&
                       nGC_133)**2d0*coupl(nGC_135)**2d0 + 10d0*coupl(nGC_136  &
                       )**2d0*coupl(nGC_138)**2d0 + 12d0*coupl(nGC_14)**2d0 +  &
                       10d0*coupl(nGC_145)**2d0*coupl(nGC_147)**2d0 + 6d0*coupl&
                       (nGC_47)**2d0 + 12d0*coupl(nGC_69)**2d0 + 3d0*coupl(    &
                       nGC_95)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_966) = (Nc*cima*coupl(nGC_1)*coupl(nGC_78)**3d0 + Nc*cima*coupl&
                       (nGC_1)*coupl(nGC_82)**3d0 + Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_79)**3d0 + Nc*cima*coupl(nGC_2)*coupl(nGC_83)**3d0  &
                        - 2d0*cima*coupl(nGC_238)*coupl(nGC_264)**3d0 - 2d0*   &
                       cima*coupl(nGC_3)*coupl(nGC_64)**3d0 + cima*coupl(nGC_4 &
                       )*coupl(nGC_80)**3d0 + cima*coupl(nGC_4)*coupl(nGC_85)**&
                       3d0 + cima*coupl(nGC_56)*coupl(nGC_77) + coupl(nGC_238)*&
                       coupl(nGC_264)*coupl(nGC_56) + coupl(nGC_264)**2d0*coupl&
                       (nGC_77) + coupl(nGC_3)*coupl(nGC_56)*coupl(nGC_64) +   &
                       coupl(nGC_64)**2d0*coupl(nGC_77))/(8d0*pi**2d0)
      coupl(nGC_967) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62 &
                       )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(     &
                       nGC_126)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl&
                       (nGC_124)*coupl(nGC_126)*coupl(nGC_62)*coupl(nGC_83) +  &
                       5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_127)*coupl(nGC_128)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_130)*coupl(nGC_132)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_139)*coupl(nGC_141)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_142)*coupl(nGC_143)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_148)*coupl(nGC_149)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*cima*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_62)*   &
                       coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl(nGC_135)* &
                       coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*  &
                       coupl(nGC_135)*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*  &
                       coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62)*coupl(nGC_80&
                       ) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62 &
                       )*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138 &
                       )*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_14)* &
                       coupl(nGC_55) + 5d0*cima*coupl(nGC_145)*coupl(nGC_147)* &
                       coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_145)*  &
                       coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*  &
                       coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_86&
                       ) + 6d0*cima*coupl(nGC_222)*coupl(nGC_69) + 6d0*coupl(  &
                       nGC_14)*coupl(nGC_264)*coupl(nGC_64) + 6d0*coupl(nGC_264&
                       )*coupl(nGC_3)*coupl(nGC_69))/(48d0*pi**2d0)
      coupl(nGC_964) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62 &
                       )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(     &
                       nGC_126)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl&
                       (nGC_124)*coupl(nGC_126)*coupl(nGC_62)*coupl(nGC_83) +  &
                       5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_127)*coupl(nGC_128)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_130)*coupl(nGC_132)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_139)*coupl(nGC_141)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_142)*coupl(nGC_143)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_148)*coupl(nGC_149)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*cima*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_62)*   &
                       coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl(nGC_135)* &
                       coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*  &
                       coupl(nGC_135)*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*  &
                       coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62)*coupl(nGC_80&
                       ) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62 &
                       )*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138 &
                       )*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_14)* &
                       coupl(nGC_55) + 5d0*cima*coupl(nGC_145)*coupl(nGC_147)* &
                       coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_145)*  &
                       coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*  &
                       coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_86&
                       ) + 6d0*cima*coupl(nGC_222)*coupl(nGC_69) + 6d0*coupl(  &
                       nGC_14)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_4)* &
                       coupl(nGC_64)*coupl(nGC_69))/(48d0*pi**2d0)
      coupl(nGC_965) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_224)*coupl(nGC_62 &
                       )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(     &
                       nGC_224)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl&
                       (nGC_124)*coupl(nGC_224)*coupl(nGC_62)*coupl(nGC_83) +  &
                       5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_129&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_127)*coupl(nGC_129)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_226)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_226&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_130)*coupl(nGC_226)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_302)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_302&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_139)*coupl(nGC_302)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_142)*coupl(nGC_144)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_148)*coupl(nGC_150)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*cima*coupl(nGC_133)*coupl(nGC_286)*coupl(nGC_62)*   &
                       coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl(nGC_286)* &
                       coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*  &
                       coupl(nGC_286)*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*  &
                       coupl(nGC_136)*coupl(nGC_258)*coupl(nGC_62)*coupl(nGC_80&
                       ) - 4d0*cima*coupl(nGC_136)*coupl(nGC_258)*coupl(nGC_62 &
                       )*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)*coupl(nGC_258 &
                       )*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*coupl(nGC_145)*&
                       coupl(nGC_292)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*  &
                       coupl(nGC_145)*coupl(nGC_292)*coupl(nGC_62)*coupl(nGC_85&
                       ) - 4d0*cima*coupl(nGC_145)*coupl(nGC_292)*coupl(nGC_62 &
                       )*coupl(nGC_86) + 6d0*cima*coupl(nGC_16)*coupl(nGC_55   &
                       ) + 6d0*cima*coupl(nGC_222)*coupl(nGC_72) + 6d0*coupl(  &
                       nGC_16)*coupl(nGC_264)*coupl(nGC_64) + 6d0*coupl(nGC_264&
                       )*coupl(nGC_3)*coupl(nGC_72))/(48d0*pi**2d0)
      coupl(nGC_968) = (-8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_224)*coupl(nGC_62&
                       )**2d0 - 8d0*Nc*cima*coupl(nGC_129)*coupl(nGC_220)*coupl&
                       (nGC_62)**2d0 - 8d0*Nc*cima*coupl(nGC_131)*coupl(nGC_226&
                       )*coupl(nGC_62)**2d0 - 8d0*Nc*cima*coupl(nGC_140)*coupl(&
                       nGC_302)*coupl(nGC_62)**2d0 - 8d0*Nc*cima*coupl(nGC_144 &
                       )*coupl(nGC_278)*coupl(nGC_62)**2d0 - 8d0*Nc*cima*coupl(&
                       nGC_150)*coupl(nGC_244)*coupl(nGC_62)**2d0 - 8d0*cima*  &
                       coupl(nGC_134)*coupl(nGC_286)*coupl(nGC_62)**2d0 - 8d0* &
                       cima*coupl(nGC_137)*coupl(nGC_258)*coupl(nGC_62)**2d0 - &
                       8d0*cima*coupl(nGC_146)*coupl(nGC_292)*coupl(nGC_62)**  &
                       2d0 + 6d0*cima*coupl(nGC_306)*coupl(nGC_47) + 3d0*cima* &
                       coupl(nGC_56)*coupl(nGC_96) + 6d0*coupl(nGC_230)*coupl( &
                       nGC_64)*coupl(nGC_96) + 6d0*coupl(nGC_238)*coupl(nGC_4)*&
                       coupl(nGC_47) + 6d0*coupl(nGC_264)*coupl(nGC_47)*coupl( &
                       nGC_63))/(48d0*pi**2d0)
      coupl(nGC_969) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_124)**2d0  &
                        - coupl(nGC_127)**2d0 - coupl(nGC_130)**2d0 - coupl(   &
                       nGC_139)**2d0 - coupl(nGC_142)**2d0 - coupl(nGC_148)**  &
                       2d0)/(32d0*pi**2d0)
      coupl(nGC_1273) = coupl(nGC_1033) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZeMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
      coupl(nGC_1270) = -coupl(nGC_1051) - coupl(nGC_131)*dZdL_QED2/2d0 - coupl&
                        (nGC_131)*dZdR_QED2/2d0
      coupl(nGC_1276) = coupl(nGC_1017) + coupl(nGC_22)*dZH_QED2 + coupl(      &
                        nGC_HHGG)
      coupl(nGC_1274) = coupl(nGC_1033) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZeMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/2d0
      coupl(nGC_845) = (-2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_62)**2d0 - 2d0*Nc*&
                       cMC*coupl(nGC_128)*coupl(nGC_62)**2d0 - 2d0*Nc*cMD*coupl&
                       (nGC_132)*coupl(nGC_62)**2d0 - 2d0*Nc*cMS*coupl(nGC_141 &
                       )*coupl(nGC_62)**2d0 - 2d0*Nc*cMT*coupl(nGC_143)*coupl( &
                       nGC_62)**2d0 - 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_62)**&
                       2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_62)**2d0 - 2d0*  &
                       cMM*coupl(nGC_138)*coupl(nGC_62)**2d0 - 2d0*cMTA*coupl( &
                       nGC_147)*coupl(nGC_62)**2d0 + 2d0*cima*coupl(nGC_107)*  &
                       coupl(nGC_306) + cima*coupl(nGC_123)*coupl(nGC_56) + 2d0&
                       *coupl(nGC_107)*coupl(nGC_238)*coupl(nGC_4) + 2d0*coupl(&
                       nGC_107)*coupl(nGC_264)*coupl(nGC_63) + 2d0*coupl(      &
                       nGC_123)*coupl(nGC_230)*coupl(nGC_64))/(16d0*pi**2d0)
      coupl(nGC_844) = 3d0*(4d0*Nc*cMB*coupl(nGC_126)**3d0 + 4d0*Nc*cMC*coupl( &
                       nGC_128)**3d0 + 4d0*Nc*cMD*coupl(nGC_132)**3d0 + 4d0*Nc*&
                       cMS*coupl(nGC_141)**3d0 + 4d0*Nc*cMT*coupl(nGC_143)**3d0&
                        + 4d0*Nc*cMU*coupl(nGC_149)**3d0 + 4d0*cME*coupl(      &
                       nGC_135)**3d0 + 4d0*cMM*coupl(nGC_138)**3d0 + 4d0*cMTA* &
                       coupl(nGC_147)**3d0 + 2d0*cima*coupl(nGC_107)*coupl(    &
                       nGC_47) + cima*coupl(nGC_123)*coupl(nGC_96))/(16d0*pi** &
                       2d0)
      coupl(nGC_847) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_126) - coupl(nGC_124)* &
                       coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_125)**2d0*    &
                       coupl(nGC_126) - coupl(nGC_126)**3d0 + 8d0*coupl(nGC_126&
                       )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_846) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_126) - coupl(nGC_124)* &
                       coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_126)**3d0 -   &
                       coupl(nGC_126)*coupl(nGC_224)**2d0 + 8d0*coupl(nGC_126)*&
                       coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_842) = (-coupl(nGC_130)*coupl(nGC_148)*coupl(nGC_226) - coupl( &
                       nGC_149)**2d0*coupl(nGC_244) - coupl(nGC_150)**2d0*coupl&
                       (nGC_244) + 8d0*coupl(nGC_150)*coupl(nGC_2)**2d0 + 8d0* &
                       coupl(nGC_150)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**  &
                       2d0)
      coupl(nGC_1379) = coupl(nGC_1072) + coupl(nGC_150)*dZuL_QED2/2d0 + coupl(&
                        nGC_150)*dZuR_QED2/2d0
      coupl(nGC_1378) = coupl(nGC_1033) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZtauMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/2d0
      coupl(nGC_1070) = coupl(nGC_614)*dym_QED3
      coupl(nGC_1373) = -coupl(nGC_1099) - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl( &
                        nGC_64)*dZWMinus_QED2 - coupl(nGC_64)*dZZ_QED2/2d0
      coupl(nGC_1372) = coupl(nGC_1121) + coupl(nGC_86)*dZZ_QED2/2d0 + coupl(  &
                        nGC_86)*dZnu_muL_QED2
      coupl(nGC_1370) = -coupl(nGC_1034)/2d0 - coupl(nGC_66)*dZWMinus_QED2/4d0
      coupl(nGC_1377) = coupl(nGC_1033) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZtauMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
      coupl(nGC_1376) = coupl(nGC_1089) + coupl(nGC_60)*dZH_QED2/2d0 + coupl(  &
                        nGC_60)*dZWMinus_QED2/2d0
      coupl(nGC_1375) = coupl(nGC_1108) + coupl(nGC_96)*dZZ_QED2
      coupl(nGC_1002) = (-Nc*cima*coupl(nGC_20)*coupl(nGC_312) + Nc*cima*coupl(&
                        nGC_242)**4d0*sq2**4d0 - Nc*cima*coupl(nGC_312)*coupl( &
                        nGC_318) + Nc*coupl(nGC_20)*coupl(nGC_242)**2d0*sq2**  &
                        2d0 + Nc*coupl(nGC_242)**2d0*coupl(nGC_312)*sq2**2d0 + &
                        Nc*coupl(nGC_242)**2d0*coupl(nGC_318)*sq2**2d0 - cima* &
                        coupl(nGC_19)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1207) = coupl(nGC_1121) + coupl(nGC_86)*dZZ_QED2/2d0 + coupl(  &
                        nGC_86)*dZnu_tauL_QED2
      coupl(nGC_1205) = coupl(nGC_1112) + coupl(nGC_56)*dZWMinus_QED2 + coupl( &
                        nGC_56)*dZZ_QED2 + coupl(nGC_77)*dZAZ_QED2
      coupl(nGC_1201) = coupl(nGC_1116) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_62)*dZeMinusL_QED2/2d0 + coupl(nGC_62)*      &
                        dZnu_eL_QED2/2d0
      coupl(nGC_1200) = coupl(nGC_1095) + coupl(nGC_57)*dZWMinus_QED2
      coupl(nGC_1209) = coupl(nGC_1107) + coupl(nGC_56)*dZZA_QED2/2d0 + coupl( &
                        nGC_77)*dZA_QED2/2d0 + coupl(nGC_77)*dZWMinus_QED2 +   &
                        coupl(nGC_77)*dZZ_QED2/2d0 - coupl(nGC_8)*dZAZ_QED2
      coupl(nGC_1208) = -coupl(nGC_1107)/2d0 + coupl(nGC_55)*dZZA_QED2/2d0 -   &
                        coupl(nGC_77)*dZA_QED2/4d0 - coupl(nGC_77)*            &
                        dZWMinus_QED2/2d0 - coupl(nGC_77)*dZZ_QED2/4d0 + coupl(&
                        nGC_8)*dZAZ_QED2/2d0
      coupl(nGC_754) = (coupl(nGC_1)*coupl(nGC_139)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_62)**2d0 + coupl(nGC_128)**2d0*coupl(nGC_2) + &
                       coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_220) + 4d0*coupl( &
                       nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0 + 2d0*&
                       coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_757) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_125)*   &
                       coupl(nGC_224) + coupl(nGC_1)*coupl(nGC_126)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_142)**2d0*  &
                       coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 + 2d0&
                       *coupl(nGC_238)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1448) = 2d0*coupl(nGC_1037) + 4d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_713) = (-Nc*cMB**2d0*cima*coupl(nGC_124)**2d0 - Nc*cMB**2d0*   &
                       cima*coupl(nGC_142)**2d0 - Nc*cMC**2d0*cima*coupl(      &
                       nGC_127)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_139)**2d0 -  &
                       Nc*cMD**2d0*cima*coupl(nGC_130)**2d0 - Nc*cMD**2d0*cima*&
                       coupl(nGC_148)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_127)** &
                       2d0 - Nc*cMS**2d0*cima*coupl(nGC_139)**2d0 - Nc*cMT**2d0&
                       *cima*coupl(nGC_124)**2d0 - Nc*cMT**2d0*cima*coupl(     &
                       nGC_142)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_130)**2d0 -  &
                       Nc*cMU**2d0*cima*coupl(nGC_148)**2d0 - cME**2d0*cima*   &
                       coupl(nGC_133)**2d0 - cMM**2d0*cima*coupl(nGC_136)**2d0 &
                        - cMTA**2d0*cima*coupl(nGC_145)**2d0 - 2d0*cMW**2d0*   &
                       coupl(nGC_47) - cMZ**2d0*coupl(nGC_95) + 2d0*cima*coupl(&
                       nGC_110)**2d0 + 2d0*cima*coupl(nGC_99)**2d0)/(16d0*pi** &
                       2d0)
      coupl(nGC_959) = cima*(10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_125)*coupl( &
                       nGC_224) + 10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_144)*  &
                       coupl(nGC_278) + 10d0*Nc*coupl(nGC_124)*coupl(nGC_125)* &
                       coupl(nGC_142)*coupl(nGC_144) + 10d0*Nc*coupl(nGC_124)* &
                       coupl(nGC_142)*coupl(nGC_224)*coupl(nGC_278) + 10d0*Nc* &
                       coupl(nGC_125)*coupl(nGC_142)**2d0*coupl(nGC_224) + 10d0&
                       *Nc*coupl(nGC_127)**2d0*coupl(nGC_129)*coupl(nGC_220) + &
                       10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_140)*coupl(nGC_302&
                       ) + 10d0*Nc*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_139 &
                       )*coupl(nGC_140) + 10d0*Nc*coupl(nGC_127)*coupl(nGC_139 &
                       )*coupl(nGC_220)*coupl(nGC_302) + 10d0*Nc*coupl(nGC_129 &
                       )*coupl(nGC_139)**2d0*coupl(nGC_220) + 10d0*Nc*coupl(   &
                       nGC_130)**2d0*coupl(nGC_131)*coupl(nGC_226) + 10d0*Nc*  &
                       coupl(nGC_130)**2d0*coupl(nGC_150)*coupl(nGC_244) + 10d0&
                       *Nc*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_148)*coupl( &
                       nGC_150) + 10d0*Nc*coupl(nGC_130)*coupl(nGC_148)*coupl( &
                       nGC_226)*coupl(nGC_244) + 10d0*Nc*coupl(nGC_131)*coupl( &
                       nGC_148)**2d0*coupl(nGC_226) + 10d0*Nc*coupl(nGC_139)** &
                       2d0*coupl(nGC_140)*coupl(nGC_302) + 10d0*Nc*coupl(      &
                       nGC_142)**2d0*coupl(nGC_144)*coupl(nGC_278) + 10d0*Nc*  &
                       coupl(nGC_148)**2d0*coupl(nGC_150)*coupl(nGC_244) + 12d0&
                       *coupl(nGC_13)*coupl(nGC_16) + 10d0*coupl(nGC_133)**2d0*&
                       coupl(nGC_134)*coupl(nGC_286) + 10d0*coupl(nGC_136)**2d0&
                       *coupl(nGC_137)*coupl(nGC_258) + 10d0*coupl(nGC_145)**  &
                       2d0*coupl(nGC_146)*coupl(nGC_292) + 6d0*coupl(nGC_47)** &
                       2d0 + 12d0*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(     &
                       nGC_95)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_927) = coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_242 &
                       ) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_1220) = coupl(nGC_1113) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZcR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
      coupl(nGC_1222) = coupl(nGC_1095) + coupl(nGC_57)*dZZ_QED2 + coupl(nGC_76&
                        )*dZAZ_QED2
      coupl(nGC_1224) = coupl(nGC_1061) + coupl(nGC_126)*dZH_QED2/2d0 + coupl( &
                        nGC_126)*dZbL_QED2/2d0 + coupl(nGC_126)*dZbR_QED2/2d0
      coupl(nGC_1229) = coupl(nGC_1113) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZtL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
      coupl(nGC_803) = coupl(nGC_62)*(Nc*coupl(nGC_124)*coupl(nGC_224) - Nc*   &
                       coupl(nGC_127)*coupl(nGC_129) + Nc*coupl(nGC_130)*coupl(&
                       nGC_226) + Nc*coupl(nGC_139)*coupl(nGC_302) - Nc*coupl( &
                       nGC_142)*coupl(nGC_144) - Nc*coupl(nGC_148)*coupl(      &
                       nGC_150) + coupl(nGC_133)*coupl(nGC_286) + coupl(nGC_136&
                       )*coupl(nGC_258) + coupl(nGC_145)*coupl(nGC_292))/(24d0*&
                       pi**2d0)
      coupl(nGC_805) = (Nc*cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_78) - Nc*&
                       cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMB*&
                       coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_83) + cME*coupl( &
                       nGC_133)*coupl(nGC_62)*coupl(nGC_80) - cME*coupl(nGC_133&
                       )*coupl(nGC_62)*coupl(nGC_85) - cME*coupl(nGC_133)*coupl&
                       (nGC_62)*coupl(nGC_86) + cMM*coupl(nGC_136)*coupl(nGC_62&
                       )*coupl(nGC_80) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl&
                       (nGC_85) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl(nGC_86&
                       ) + cMTA*coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_80) -   &
                       cMTA*coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_85) - cMTA* &
                       coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_86) + 2d0*cima*  &
                       coupl(nGC_110)*coupl(nGC_222) + 2d0*cima*coupl(nGC_55)* &
                       coupl(nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_264)*coupl(&
                       nGC_3) + 2d0*coupl(nGC_264)*coupl(nGC_64)*coupl(nGC_99  &
                       ))/(16d0*pi**2d0)
      coupl(nGC_807) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl(  &
                       nGC_124)*coupl(nGC_126)*coupl(nGC_143) - coupl(nGC_124)*&
                       coupl(nGC_224)*coupl(nGC_278) + 8d0*coupl(nGC_142)*coupl&
                       (nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_1481) = -coupl(nGC_803)
      coupl(nGC_808) = (8d0*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_127)*coupl(nGC_79)*coupl(nGC_82) - coupl(     &
                       nGC_128)*coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_139)*&
                       coupl(nGC_220)*coupl(nGC_302))/(32d0*pi**2d0)
      coupl(nGC_1483) = -coupl(nGC_784)
      coupl(nGC_1482) = -coupl(nGC_786)
      coupl(nGC_1401) = coupl(nGC_1122) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*dZmuMinusR_QED2
      coupl(nGC_1408) = coupl(nGC_1031)/2d0 + coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_924) = coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_242&
                       ) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_880) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(   &
                       nGC_1)*coupl(nGC_4) + coupl(nGC_2)*coupl(nGC_248) +     &
                       coupl(nGC_230)*coupl(nGC_83) + coupl(nGC_63)*coupl(     &
                       nGC_82) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**2d0&
                       )
      coupl(nGC_886) = coupl(nGC_62)*(coupl(nGC_230)*coupl(nGC_86) + coupl(    &
                       nGC_4)**2d0 + coupl(nGC_63)*coupl(nGC_85) + 2d0*coupl(  &
                       nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_765) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_78) - Nc*&
                       cMB*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_82) - Nc*cMC* &
                       coupl(nGC_128)*coupl(nGC_2)*coupl(nGC_79) - Nc*cMC*coupl&
                       (nGC_128)*coupl(nGC_2)*coupl(nGC_83) - Nc*cMD*coupl(    &
                       nGC_1)*coupl(nGC_132)*coupl(nGC_78) - Nc*cMD*coupl(nGC_1&
                       )*coupl(nGC_132)*coupl(nGC_82) - Nc*cMS*coupl(nGC_1)*   &
                       coupl(nGC_141)*coupl(nGC_78) - Nc*cMS*coupl(nGC_1)*coupl&
                       (nGC_141)*coupl(nGC_82) - Nc*cMT*coupl(nGC_143)*coupl(  &
                       nGC_2)*coupl(nGC_79) - Nc*cMT*coupl(nGC_143)*coupl(nGC_2&
                       )*coupl(nGC_83) - Nc*cMU*coupl(nGC_149)*coupl(nGC_2)*   &
                       coupl(nGC_79) - Nc*cMU*coupl(nGC_149)*coupl(nGC_2)*coupl&
                       (nGC_83) - cME*coupl(nGC_135)*coupl(nGC_4)*coupl(nGC_80 &
                       ) - cME*coupl(nGC_135)*coupl(nGC_4)*coupl(nGC_85) - cMM*&
                       coupl(nGC_138)*coupl(nGC_4)*coupl(nGC_80) - cMM*coupl(  &
                       nGC_138)*coupl(nGC_4)*coupl(nGC_85) - cMTA*coupl(nGC_147&
                       )*coupl(nGC_4)*coupl(nGC_80) - cMTA*coupl(nGC_147)*coupl&
                       (nGC_4)*coupl(nGC_85) + cima*coupl(nGC_107)*coupl(nGC_77&
                       ) + coupl(nGC_107)*coupl(nGC_238)*coupl(nGC_264) + coupl&
                       (nGC_107)*coupl(nGC_3)*coupl(nGC_64))/(8d0*pi**2d0)
      coupl(nGC_763) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_62)**2d0 - 3d0*Nc*coupl( &
                       nGC_2)*coupl(nGC_62)**2d0 - coupl(nGC_238)*coupl(nGC_3)*&
                       coupl(nGC_4) - coupl(nGC_264)*coupl(nGC_3)*coupl(nGC_63 &
                       ) + 3d0*coupl(nGC_4)*coupl(nGC_62)**2d0)/(24d0*pi**2d0)
      coupl(nGC_838) = (-coupl(nGC_146)**2d0*coupl(nGC_292) + 8d0*coupl(nGC_146&
                       )*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_146)*coupl(nGC_80)* &
                       coupl(nGC_85) - coupl(nGC_147)**2d0*coupl(nGC_292))/(   &
                       32d0*pi**2d0)
      coupl(nGC_839) = (-coupl(nGC_146)*coupl(nGC_147)**2d0 - coupl(nGC_146)*  &
                       coupl(nGC_292)**2d0 + 8d0*coupl(nGC_292)*coupl(nGC_4)** &
                       2d0 + 8d0*coupl(nGC_292)*coupl(nGC_80)*coupl(nGC_85))/( &
                       32d0*pi**2d0)
      coupl(nGC_1005) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_318) - Nc*cima*   &
                        coupl(nGC_242)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_20)*   &
                        coupl(nGC_242)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_242)** &
                        2d0*coupl(nGC_318)*sq2**2d0 + 9d0*cima*coupl(nGC_19)** &
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1004) = (cima*coupl(nGC_20)**2d0 + 2d0*cima*coupl(nGC_20)*coupl&
                        (nGC_318) - cima*coupl(nGC_242)**4d0*sq2**4d0 + cima*  &
                        coupl(nGC_318)**2d0 - 2d0*coupl(nGC_20)*coupl(nGC_242  &
                        )**2d0*sq2**2d0 - 2d0*coupl(nGC_242)**2d0*coupl(nGC_318&
                        )*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_1007) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_318) - Nc*cima*   &
                        coupl(nGC_242)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_242)** &
                        2d0*coupl(nGC_318)*sq2**2d0 + 9d0*cima*coupl(nGC_19)** &
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1006) = (3d0*Nc*cima*coupl(nGC_20)**2d0 - Nc*cima*coupl(nGC_242&
                        )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_318)**2d0 - 6d0&
                        *Nc*coupl(nGC_20)*coupl(nGC_242)**2d0*sq2**2d0 + 9d0*  &
                        cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_939) = (9d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 - 15d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**2d0 + &
                       9d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 - 2d0* &
                       cima*coupl(nGC_230)*coupl(nGC_238)**2d0*coupl(nGC_64) - &
                       2d0*cima*coupl(nGC_238)**2d0*coupl(nGC_248)*coupl(nGC_3 &
                       ) - 2d0*cima*coupl(nGC_238)*coupl(nGC_3)**2d0*coupl(    &
                       nGC_4) - 2d0*cima*coupl(nGC_264)*coupl(nGC_3)**2d0*coupl&
                       (nGC_63) + 3d0*cima*coupl(nGC_306)*coupl(nGC_9) + 9d0*  &
                       cima*coupl(nGC_4)**2d0*coupl(nGC_62)**2d0 + 3d0*coupl(  &
                       nGC_238)**2d0*coupl(nGC_306) + 3d0*coupl(nGC_238)*coupl(&
                       nGC_4)*coupl(nGC_9) + 3d0*coupl(nGC_264)*coupl(nGC_63)* &
                       coupl(nGC_9) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_306))/(  &
                       24d0*pi**2d0)
      coupl(nGC_938) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 + 9d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**2d0 - &
                       3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 - 2d0* &
                       cima*coupl(nGC_230)*coupl(nGC_238)**2d0*coupl(nGC_64) - &
                       2d0*cima*coupl(nGC_238)**2d0*coupl(nGC_248)*coupl(nGC_3 &
                       ) - 2d0*cima*coupl(nGC_238)*coupl(nGC_3)**2d0*coupl(    &
                       nGC_4) - 2d0*cima*coupl(nGC_264)*coupl(nGC_3)**2d0*coupl&
                       (nGC_63) + 3d0*cima*coupl(nGC_274)**2d0 - 3d0*cima*coupl&
                       (nGC_4)**2d0*coupl(nGC_62)**2d0 + 3d0*cima*coupl(nGC_74 &
                       )**2d0 + 3d0*coupl(nGC_238)*coupl(nGC_274)*coupl(nGC_3  &
                       ) + 3d0*coupl(nGC_264)*coupl(nGC_3)*coupl(nGC_74) + 3d0*&
                       coupl(nGC_274)*coupl(nGC_3)*coupl(nGC_4) + 3d0*coupl(   &
                       nGC_3)*coupl(nGC_63)*coupl(nGC_74))/(24d0*pi**2d0)
      coupl(nGC_1003) = (-cima*coupl(nGC_242)**4d0*sq2**4d0 + cima*coupl(      &
                        nGC_312)**2d0 - 2d0*coupl(nGC_242)**2d0*coupl(nGC_312)*&
                        sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_1419) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +   &
                        coupl(nGC_1114) + coupl(nGC_78)*dZZA_QED2/2d0
      coupl(nGC_1417) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_1114) + coupl(nGC_82)*dZZA_QED2/2d0
      coupl(nGC_937) = sq2**3d0*(Nc*cima*coupl(nGC_242)**3d0 - 12d0*coupl(     &
                       nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_936) = sq2**3d0*(-Nc*cima*coupl(nGC_242)**3d0 + 12d0*coupl(    &
                       nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_931) = coupl(nGC_19)*sq2*(coupl(nGC_142)**2d0 + coupl(nGC_143  &
                       )**2d0 + coupl(nGC_144)*coupl(nGC_278) + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_930) = coupl(nGC_19)*sq2*(coupl(nGC_124)**2d0 + coupl(nGC_143  &
                       )**2d0 + coupl(nGC_144)*coupl(nGC_278) + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0)
      coupl(nGC_1324) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1120) + coupl(  &
                        nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZsR_QED2
      coupl(nGC_1321) = coupl(nGC_1019) + coupl(nGC_46)*dZH_QED2
      coupl(nGC_1328) = -coupl(nGC_1088) - coupl(nGC_61)*dZWMinus_QED2/2d0
      coupl(nGC_1246) = coupl(nGC_1070) + coupl(nGC_138)*dZH_QED2/2d0 + coupl( &
                        nGC_138)*dZmuMinusL_QED2/2d0 + coupl(nGC_138)*         &
                        dZmuMinusR_QED2/2d0
      coupl(nGC_717) = cima*(coupl(nGC_238)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi &
                       **2d0)
      coupl(nGC_716) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2)** &
                       2d0 - coupl(nGC_238)**2d0 - coupl(nGC_3)**2d0 - 6d0*    &
                       coupl(nGC_4)**2d0)/(48d0*pi**2d0)
      coupl(nGC_719) = cima*(-3d0*Nc*coupl(nGC_62)**2d0 - coupl(nGC_230)*coupl(&
                       nGC_64) - coupl(nGC_238)*coupl(nGC_4) - coupl(nGC_248)* &
                       coupl(nGC_3) - coupl(nGC_264)*coupl(nGC_63) - 3d0*coupl(&
                       nGC_62)**2d0)/(48d0*pi**2d0)
      coupl(nGC_909) = -coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_242&
                       ) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_900) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_127)** &
                       2d0*coupl(nGC_79) + coupl(nGC_140)*coupl(nGC_302)*coupl(&
                       nGC_78) + coupl(nGC_141)**2d0*coupl(nGC_78) + 2d0*coupl(&
                       nGC_264)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62)**2d0*   &
                       coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi**2d0)
      coupl(nGC_904) = (coupl(nGC_145)**2d0*coupl(nGC_86) + coupl(nGC_146)*    &
                       coupl(nGC_292)*coupl(nGC_85) + coupl(nGC_147)**2d0*coupl&
                       (nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) + 4d0*   &
                       coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_905) = (coupl(nGC_146)*coupl(nGC_292)*coupl(nGC_80) + coupl(   &
                       nGC_147)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*    &
                       coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) +  &
                       4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85 &
                       )**3d0)/(32d0*pi**2d0)
      coupl(nGC_1311) = coupl(nGC_1113) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZuL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
      coupl(nGC_1259) = coupl(nGC_1010) + coupl(nGC_93)*dZH_QED2
      coupl(nGC_1313) = coupl(nGC_1113) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZuR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
      coupl(nGC_987) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_125)*coupl( &
                       nGC_224) + coupl(nGC_129)*coupl(nGC_220) + coupl(nGC_131&
                       )*coupl(nGC_226) + coupl(nGC_140)*coupl(nGC_302) + coupl&
                       (nGC_144)*coupl(nGC_278) + coupl(nGC_150)*coupl(nGC_244 &
                       ))/(16d0*pi**2d0*Nc)
      coupl(nGC_988) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_125)*coupl(&
                       nGC_224) - coupl(nGC_129)*coupl(nGC_220) - coupl(nGC_131&
                       )*coupl(nGC_226) - coupl(nGC_140)*coupl(nGC_302) - coupl&
                       (nGC_144)*coupl(nGC_278) - coupl(nGC_150)*coupl(nGC_244 &
                       ))/(16d0*pi**2d0)
      coupl(nGC_1254) = coupl(nGC_1020) + coupl(nGC_16)*dZZA_QED2/2d0 + coupl( &
                        nGC_72)*dZA_QED2/2d0 + coupl(nGC_72)*dZWMinus_QED2/2d0
      coupl(nGC_1257) = coupl(nGC_1067) + coupl(nGC_137)*dZmuMinusL_QED2/2d0 + &
                        coupl(nGC_137)*dZmuMinusR_QED2/2d0
      coupl(nGC_787) = (Nc*cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_78) - Nc*&
                       cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMB*&
                       coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_83) + cME*coupl( &
                       nGC_133)*coupl(nGC_62)*coupl(nGC_80) - cME*coupl(nGC_133&
                       )*coupl(nGC_62)*coupl(nGC_85) - cME*coupl(nGC_133)*coupl&
                       (nGC_62)*coupl(nGC_86) + cMM*coupl(nGC_136)*coupl(nGC_62&
                       )*coupl(nGC_80) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl&
                       (nGC_85) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl(nGC_86&
                       ) + cMTA*coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_80) -   &
                       cMTA*coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_85) - cMTA* &
                       coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_86) + 2d0*cima*  &
                       coupl(nGC_110)*coupl(nGC_222) + 2d0*cima*coupl(nGC_55)* &
                       coupl(nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_4)*coupl(  &
                       nGC_64) + 2d0*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_99  &
                       ))/(16d0*pi**2d0)
      coupl(nGC_720) = cima*(coupl(nGC_230)*coupl(nGC_64) + coupl(nGC_238)*    &
                       coupl(nGC_4) + coupl(nGC_248)*coupl(nGC_3) + coupl(     &
                       nGC_264)*coupl(nGC_63))/(48d0*pi**2d0)
      coupl(nGC_721) = (Nc*cMB**2d0*cima*coupl(nGC_62)**2d0 + Nc*cMC**2d0*cima*&
                       coupl(nGC_62)**2d0 + Nc*cMD**2d0*cima*coupl(nGC_62)**2d0&
                        + Nc*cMS**2d0*cima*coupl(nGC_62)**2d0 + Nc*cMT**2d0*   &
                       cima*coupl(nGC_62)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_62 &
                       )**2d0 + cME**2d0*cima*coupl(nGC_62)**2d0 + cMM**2d0*   &
                       cima*coupl(nGC_62)**2d0 + cMTA**2d0*cima*coupl(nGC_62)**&
                       2d0 + cMW**2d0*cima*coupl(nGC_230)*coupl(nGC_64) + cMW**&
                       2d0*cima*coupl(nGC_238)*coupl(nGC_4) + cMW**2d0*cima*   &
                       coupl(nGC_248)*coupl(nGC_3) + cMW**2d0*cima*coupl(      &
                       nGC_264)*coupl(nGC_63) - 2d0*cMW**2d0*coupl(nGC_306) +  &
                       cMZ**2d0*cima*coupl(nGC_230)*coupl(nGC_64) + cMZ**2d0*  &
                       cima*coupl(nGC_264)*coupl(nGC_63) - cMZ**2d0*coupl(     &
                       nGC_56))/(16d0*pi**2d0)
      coupl(nGC_722) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_78) - 3d0*Nc*coupl(&
                       nGC_1)*coupl(nGC_82) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_79 &
                       ) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_83) - coupl(nGC_238)* &
                       coupl(nGC_264) - coupl(nGC_3)*coupl(nGC_64) - 3d0*coupl(&
                       nGC_4)*coupl(nGC_80) - 3d0*coupl(nGC_4)*coupl(nGC_85))/(&
                       48d0*pi**2d0)
      coupl(nGC_723) = cima*(coupl(nGC_238)*coupl(nGC_264) + coupl(nGC_3)*coupl&
                       (nGC_64))/(48d0*pi**2d0)
      coupl(nGC_912) = -coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                       nGC_242) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_726) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_125)*coupl(nGC_224) -  &
                       4d0*Nc*cMC**2d0*cima*coupl(nGC_129)*coupl(nGC_220) - 4d0&
                       *Nc*cMD**2d0*cima*coupl(nGC_131)*coupl(nGC_226) - 4d0*Nc&
                       *cMS**2d0*cima*coupl(nGC_140)*coupl(nGC_302) - 4d0*Nc*  &
                       cMT**2d0*cima*coupl(nGC_144)*coupl(nGC_278) - 4d0*Nc*cMU&
                       **2d0*cima*coupl(nGC_150)*coupl(nGC_244) - 4d0*cME**2d0*&
                       cima*coupl(nGC_134)*coupl(nGC_286) - 4d0*cMM**2d0*cima* &
                       coupl(nGC_137)*coupl(nGC_258) - 4d0*cMTA**2d0*cima*coupl&
                       (nGC_146)*coupl(nGC_292) - 2d0*cMW**2d0*coupl(nGC_47) - &
                       cMZ**2d0*coupl(nGC_96))/(16d0*pi**2d0)
      coupl(nGC_727) = cima*(-3d0*Nc*coupl(nGC_78)**2d0 - 3d0*Nc*coupl(nGC_79  &
                       )**2d0 - 3d0*Nc*coupl(nGC_82)**2d0 - 3d0*Nc*coupl(nGC_83&
                       )**2d0 - coupl(nGC_264)**2d0 - coupl(nGC_64)**2d0 - 3d0*&
                       coupl(nGC_80)**2d0 - 3d0*coupl(nGC_85)**2d0 - 3d0*coupl(&
                       nGC_86)**2d0)/(48d0*pi**2d0)
      coupl(nGC_728) = cima*(coupl(nGC_264)**2d0 + coupl(nGC_64)**2d0)/(48d0*pi&
                       **2d0)
      coupl(nGC_729) = (Nc*cMB**2d0*cima*coupl(nGC_78)**2d0 + Nc*cMB**2d0*cima*&
                       coupl(nGC_82)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_79)**2d0&
                        + Nc*cMC**2d0*cima*coupl(nGC_83)**2d0 + Nc*cMD**2d0*   &
                       cima*coupl(nGC_78)**2d0 + Nc*cMD**2d0*cima*coupl(nGC_82 &
                       )**2d0 + Nc*cMS**2d0*cima*coupl(nGC_78)**2d0 + Nc*cMS** &
                       2d0*cima*coupl(nGC_82)**2d0 + Nc*cMT**2d0*cima*coupl(   &
                       nGC_79)**2d0 + Nc*cMT**2d0*cima*coupl(nGC_83)**2d0 + Nc*&
                       cMU**2d0*cima*coupl(nGC_79)**2d0 + Nc*cMU**2d0*cima*    &
                       coupl(nGC_83)**2d0 + cME**2d0*cima*coupl(nGC_80)**2d0 + &
                       cME**2d0*cima*coupl(nGC_85)**2d0 + cMM**2d0*cima*coupl( &
                       nGC_80)**2d0 + cMM**2d0*cima*coupl(nGC_85)**2d0 + cMTA**&
                       2d0*cima*coupl(nGC_80)**2d0 + cMTA**2d0*cima*coupl(     &
                       nGC_85)**2d0 + cMW**2d0*cima*coupl(nGC_264)**2d0 + cMW**&
                       2d0*cima*coupl(nGC_64)**2d0 - cMW**2d0*coupl(nGC_56))/( &
                       8d0*pi**2d0)
      coupl(nGC_1479) = -coupl(nGC_763)
      coupl(nGC_1260) = coupl(nGC_1096) + coupl(nGC_76)*dZWMinus_QED2
      coupl(nGC_979) = (18d0*Nc*cima*coupl(nGC_62)**4d0 - 4d0*cima*coupl(      &
                       nGC_230)**2d0*coupl(nGC_64)**2d0 - 8d0*cima*coupl(      &
                       nGC_230)*coupl(nGC_238)*coupl(nGC_3)*coupl(nGC_63) - 8d0&
                       *cima*coupl(nGC_230)*coupl(nGC_248)*coupl(nGC_3)*coupl( &
                       nGC_64) - 8d0*cima*coupl(nGC_230)*coupl(nGC_264)*coupl( &
                       nGC_63)*coupl(nGC_64) - 4d0*cima*coupl(nGC_238)**2d0*   &
                       coupl(nGC_4)**2d0 - 8d0*cima*coupl(nGC_238)*coupl(      &
                       nGC_248)*coupl(nGC_3)*coupl(nGC_4) - 8d0*cima*coupl(    &
                       nGC_238)*coupl(nGC_264)*coupl(nGC_4)*coupl(nGC_63) - 4d0&
                       *cima*coupl(nGC_248)**2d0*coupl(nGC_3)**2d0 - 8d0*cima* &
                       coupl(nGC_248)*coupl(nGC_264)*coupl(nGC_4)*coupl(nGC_64 &
                       ) - 4d0*cima*coupl(nGC_264)**2d0*coupl(nGC_63)**2d0 +   &
                       6d0*cima*coupl(nGC_306)**2d0 + 3d0*cima*coupl(nGC_56)** &
                       2d0 + 18d0*cima*coupl(nGC_62)**4d0 + 6d0*cima*coupl(    &
                       nGC_77)**2d0 + 3d0*cima*coupl(nGC_9)**2d0 + 6d0*coupl(  &
                       nGC_230)*coupl(nGC_3)*coupl(nGC_77) + 6d0*coupl(nGC_230 &
                       )*coupl(nGC_306)*coupl(nGC_64) + 6d0*coupl(nGC_230)*    &
                       coupl(nGC_56)*coupl(nGC_64) + 6d0*coupl(nGC_238)*coupl( &
                       nGC_306)*coupl(nGC_4) + 6d0*coupl(nGC_238)*coupl(nGC_4)*&
                       coupl(nGC_9) + 6d0*coupl(nGC_238)*coupl(nGC_63)*coupl(  &
                       nGC_77) + 6d0*coupl(nGC_248)*coupl(nGC_3)*coupl(nGC_306 &
                       ) + 6d0*coupl(nGC_248)*coupl(nGC_3)*coupl(nGC_9) + 6d0* &
                       coupl(nGC_248)*coupl(nGC_64)*coupl(nGC_77) + 6d0*coupl( &
                       nGC_264)*coupl(nGC_306)*coupl(nGC_63) + 6d0*coupl(      &
                       nGC_264)*coupl(nGC_4)*coupl(nGC_77) + 6d0*coupl(nGC_264 &
                       )*coupl(nGC_56)*coupl(nGC_63))/(48d0*pi**2d0)
      coupl(nGC_743) = cima*coupl(nGC_242)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_794) = (8d0*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_2) - coupl(  &
                       nGC_127)*coupl(nGC_128)*coupl(nGC_141) - coupl(nGC_127)*&
                       coupl(nGC_220)*coupl(nGC_302) + 8d0*coupl(nGC_139)*coupl&
                       (nGC_78)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_980) = (9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 -    &
                       15d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(    &
                       nGC_83) + 9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83)**&
                       2d0 - 4d0*cima*coupl(nGC_238)*coupl(nGC_4)*coupl(nGC_64 &
                       )**2d0 - 4d0*cima*coupl(nGC_264)*coupl(nGC_63)*coupl(   &
                       nGC_64)**2d0 + 3d0*cima*coupl(nGC_306)*coupl(nGC_56) +  &
                       9d0*cima*coupl(nGC_62)**2d0*coupl(nGC_85)**2d0 - 15d0*  &
                       cima*coupl(nGC_62)**2d0*coupl(nGC_85)*coupl(nGC_86) +   &
                       9d0*cima*coupl(nGC_62)**2d0*coupl(nGC_86)**2d0 + 3d0*   &
                       coupl(nGC_238)*coupl(nGC_4)*coupl(nGC_56) + 3d0*coupl(  &
                       nGC_264)**2d0*coupl(nGC_306) + 3d0*coupl(nGC_264)*coupl(&
                       nGC_56)*coupl(nGC_63) + 3d0*coupl(nGC_306)*coupl(nGC_64 &
                       )**2d0)/(24d0*pi**2d0)
      coupl(nGC_742) = cima*sq2**2d0*(-Nc*coupl(nGC_242)**2d0 + 6d0*coupl(     &
                       nGC_19)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_1179) = coupl(nGC_1082) + coupl(nGC_143)*dZH_QED2/2d0 + coupl( &
                        nGC_143)*dZtL_QED2/2d0 + coupl(nGC_143)*dZtR_QED2/2d0
      coupl(nGC_739) = cima*sq2**2d0*(Nc*coupl(nGC_242)**2d0 - 6d0*coupl(nGC_19&
                       )**2d0)/(96d0*pi**2d0)
      coupl(nGC_981) = (-3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 +   &
                       9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(     &
                       nGC_83) - 3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83)**&
                       2d0 + 3d0*cima*coupl(nGC_222)**2d0 - 4d0*cima*coupl(    &
                       nGC_238)*coupl(nGC_4)*coupl(nGC_64)**2d0 - 4d0*cima*    &
                       coupl(nGC_264)*coupl(nGC_63)*coupl(nGC_64)**2d0 + 3d0*  &
                       cima*coupl(nGC_55)**2d0 - 3d0*cima*coupl(nGC_62)**2d0*  &
                       coupl(nGC_85)**2d0 + 9d0*cima*coupl(nGC_62)**2d0*coupl( &
                       nGC_85)*coupl(nGC_86) - 3d0*cima*coupl(nGC_62)**2d0*    &
                       coupl(nGC_86)**2d0 + 3d0*coupl(nGC_222)*coupl(nGC_238)* &
                       coupl(nGC_64) + 3d0*coupl(nGC_222)*coupl(nGC_4)*coupl(  &
                       nGC_64) + 3d0*coupl(nGC_264)*coupl(nGC_55)*coupl(nGC_64 &
                       ) + 3d0*coupl(nGC_55)*coupl(nGC_63)*coupl(nGC_64))/(24d0&
                       *pi**2d0)
      coupl(nGC_1177) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1120) + coupl(  &
                        nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZbR_QED2
      coupl(nGC_982) = (-8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_78)**2d0 +  &
                       10d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_78)*coupl(   &
                       nGC_82) - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_82  &
                       )**2d0 - 8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_79)**&
                       2d0 + 10d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_79)*   &
                       coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(  &
                       nGC_83)**2d0 - 8d0*Nc*cima*coupl(nGC_132)**2d0*coupl(   &
                       nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_132)**2d0*coupl(  &
                       nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_132)**2d0*&
                       coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_141)**2d0*   &
                       coupl(nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_141)**2d0*  &
                       coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_141 &
                       )**2d0*coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_143)**&
                       2d0*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(nGC_143)**  &
                       2d0*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*coupl(    &
                       nGC_143)**2d0*coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl(   &
                       nGC_149)**2d0*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(  &
                       nGC_149)**2d0*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*&
                       coupl(nGC_149)**2d0*coupl(nGC_83)**2d0 - 8d0*cima*coupl(&
                       nGC_135)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*coupl(     &
                       nGC_135)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*   &
                       coupl(nGC_135)**2d0*coupl(nGC_85)**2d0 - 8d0*cima*coupl(&
                       nGC_138)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*coupl(     &
                       nGC_138)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*   &
                       coupl(nGC_138)**2d0*coupl(nGC_85)**2d0 - 8d0*cima*coupl(&
                       nGC_147)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*coupl(     &
                       nGC_147)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*   &
                       coupl(nGC_147)**2d0*coupl(nGC_85)**2d0 + 3d0*cima*coupl(&
                       nGC_47)*coupl(nGC_56) + 3d0*coupl(nGC_264)**2d0*coupl(  &
                       nGC_47) + 3d0*coupl(nGC_47)*coupl(nGC_64)**2d0)/(24d0*pi&
                       **2d0)
      coupl(nGC_1258) = -coupl(nGC_1067) - coupl(nGC_137)*dZmuMinusL_QED2/2d0  &
                         - coupl(nGC_137)*dZmuMinusR_QED2/2d0
      coupl(nGC_1192) = coupl(nGC_1085) + coupl(nGC_7)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_75)*dZWMinus_QED2/2d0 + coupl(nGC_75)*dZZ_QED2/2d0
      coupl(nGC_1001) = (3d0*Nc*cima*coupl(nGC_20)**2d0 - Nc*cima*coupl(nGC_242&
                        )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_318)**2d0 - 3d0&
                        *Nc*coupl(nGC_20)*coupl(nGC_242)**2d0*sq2**2d0 - 3d0*Nc&
                        *coupl(nGC_242)**2d0*coupl(nGC_318)*sq2**2d0 + 9d0*cima&
                        *coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1000) = cima*sq2**4d0*(-Nc*coupl(nGC_242)**4d0 - 15d0*coupl(   &
                        nGC_19)**4d0)/(192d0*pi**2d0)
      coupl(nGC_971) = cima*(20d0*Nc*coupl(nGC_125)**2d0*coupl(nGC_224)**2d0 + &
                       20d0*Nc*coupl(nGC_129)**2d0*coupl(nGC_220)**2d0 + 20d0* &
                       Nc*coupl(nGC_131)**2d0*coupl(nGC_226)**2d0 + 20d0*Nc*   &
                       coupl(nGC_140)**2d0*coupl(nGC_302)**2d0 + 20d0*Nc*coupl(&
                       nGC_144)**2d0*coupl(nGC_278)**2d0 + 20d0*Nc*coupl(      &
                       nGC_150)**2d0*coupl(nGC_244)**2d0 + 20d0*coupl(nGC_134  &
                       )**2d0*coupl(nGC_286)**2d0 + 20d0*coupl(nGC_137)**2d0*  &
                       coupl(nGC_258)**2d0 + 20d0*coupl(nGC_146)**2d0*coupl(   &
                       nGC_292)**2d0 + 6d0*coupl(nGC_47)**2d0 + 3d0*coupl(     &
                       nGC_96)**2d0)/(16d0*pi**2d0)
      coupl(nGC_972) = cima*(10d0*Nc*coupl(nGC_125)**2d0*coupl(nGC_126)**2d0 + &
                       40d0*Nc*coupl(nGC_125)*coupl(nGC_126)**2d0*coupl(nGC_224&
                       ) + 10d0*Nc*coupl(nGC_126)**2d0*coupl(nGC_224)**2d0 +   &
                       10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_129)**2d0 + 40d0* &
                       Nc*coupl(nGC_128)**2d0*coupl(nGC_129)*coupl(nGC_220) +  &
                       10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_220)**2d0 + 10d0* &
                       Nc*coupl(nGC_131)**2d0*coupl(nGC_132)**2d0 + 40d0*Nc*   &
                       coupl(nGC_131)*coupl(nGC_132)**2d0*coupl(nGC_226) + 10d0&
                       *Nc*coupl(nGC_132)**2d0*coupl(nGC_226)**2d0 + 10d0*Nc*  &
                       coupl(nGC_140)**2d0*coupl(nGC_141)**2d0 + 40d0*Nc*coupl(&
                       nGC_140)*coupl(nGC_141)**2d0*coupl(nGC_302) + 10d0*Nc*  &
                       coupl(nGC_141)**2d0*coupl(nGC_302)**2d0 + 10d0*Nc*coupl(&
                       nGC_143)**2d0*coupl(nGC_144)**2d0 + 40d0*Nc*coupl(      &
                       nGC_143)**2d0*coupl(nGC_144)*coupl(nGC_278) + 10d0*Nc*  &
                       coupl(nGC_143)**2d0*coupl(nGC_278)**2d0 + 10d0*Nc*coupl(&
                       nGC_149)**2d0*coupl(nGC_150)**2d0 + 40d0*Nc*coupl(      &
                       nGC_149)**2d0*coupl(nGC_150)*coupl(nGC_244) + 10d0*Nc*  &
                       coupl(nGC_149)**2d0*coupl(nGC_244)**2d0 + 10d0*coupl(   &
                       nGC_134)**2d0*coupl(nGC_135)**2d0 + 40d0*coupl(nGC_134)*&
                       coupl(nGC_135)**2d0*coupl(nGC_286) + 10d0*coupl(nGC_135 &
                       )**2d0*coupl(nGC_286)**2d0 + 10d0*coupl(nGC_137)**2d0*  &
                       coupl(nGC_138)**2d0 + 40d0*coupl(nGC_137)*coupl(nGC_138 &
                       )**2d0*coupl(nGC_258) + 10d0*coupl(nGC_138)**2d0*coupl( &
                       nGC_258)**2d0 + 10d0*coupl(nGC_146)**2d0*coupl(nGC_147  &
                       )**2d0 + 40d0*coupl(nGC_146)*coupl(nGC_147)**2d0*coupl( &
                       nGC_292) + 10d0*coupl(nGC_147)**2d0*coupl(nGC_292)**2d0 &
                        + 6d0*coupl(nGC_47)**2d0 + 3d0*coupl(nGC_96)**2d0)/(   &
                       48d0*pi**2d0)
      coupl(nGC_975) = (-8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_62)**2d0 -  &
                       8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_62)**2d0 - 8d0&
                       *Nc*cima*coupl(nGC_132)**2d0*coupl(nGC_62)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_141)**2d0*coupl(nGC_62)**2d0 - 8d0*Nc*  &
                       cima*coupl(nGC_143)**2d0*coupl(nGC_62)**2d0 - 8d0*Nc*   &
                       cima*coupl(nGC_149)**2d0*coupl(nGC_62)**2d0 - 8d0*cima* &
                       coupl(nGC_135)**2d0*coupl(nGC_62)**2d0 - 8d0*cima*coupl(&
                       nGC_138)**2d0*coupl(nGC_62)**2d0 - 8d0*cima*coupl(      &
                       nGC_147)**2d0*coupl(nGC_62)**2d0 + 6d0*cima*coupl(      &
                       nGC_306)*coupl(nGC_47) + 3d0*cima*coupl(nGC_56)*coupl(  &
                       nGC_96) + 6d0*coupl(nGC_230)*coupl(nGC_64)*coupl(nGC_96 &
                       ) + 6d0*coupl(nGC_238)*coupl(nGC_4)*coupl(nGC_47) + 6d0*&
                       coupl(nGC_264)*coupl(nGC_47)*coupl(nGC_63))/(48d0*pi**  &
                       2d0)
      coupl(nGC_977) = (-8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_224)*coupl(nGC_78&
                       )**2d0 + 10d0*Nc*cima*coupl(nGC_125)*coupl(nGC_224)*    &
                       coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_125 &
                       )*coupl(nGC_224)*coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(&
                       nGC_129)*coupl(nGC_220)*coupl(nGC_79)**2d0 + 10d0*Nc*   &
                       cima*coupl(nGC_129)*coupl(nGC_220)*coupl(nGC_79)*coupl( &
                       nGC_83) - 8d0*Nc*cima*coupl(nGC_129)*coupl(nGC_220)*    &
                       coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl(nGC_131)*coupl(  &
                       nGC_226)*coupl(nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_131&
                       )*coupl(nGC_226)*coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*  &
                       cima*coupl(nGC_131)*coupl(nGC_226)*coupl(nGC_82)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_140)*coupl(nGC_302)*coupl(nGC_78  &
                       )**2d0 + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_302)*    &
                       coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_140 &
                       )*coupl(nGC_302)*coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(&
                       nGC_144)*coupl(nGC_278)*coupl(nGC_79)**2d0 + 10d0*Nc*   &
                       cima*coupl(nGC_144)*coupl(nGC_278)*coupl(nGC_79)*coupl( &
                       nGC_83) - 8d0*Nc*cima*coupl(nGC_144)*coupl(nGC_278)*    &
                       coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl(nGC_150)*coupl(  &
                       nGC_244)*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(nGC_150&
                       )*coupl(nGC_244)*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*  &
                       cima*coupl(nGC_150)*coupl(nGC_244)*coupl(nGC_83)**2d0 - &
                       8d0*cima*coupl(nGC_134)*coupl(nGC_286)*coupl(nGC_80)**  &
                       2d0 + 10d0*cima*coupl(nGC_134)*coupl(nGC_286)*coupl(    &
                       nGC_80)*coupl(nGC_85) - 8d0*cima*coupl(nGC_134)*coupl(  &
                       nGC_286)*coupl(nGC_85)**2d0 - 8d0*cima*coupl(nGC_137)*  &
                       coupl(nGC_258)*coupl(nGC_80)**2d0 + 10d0*cima*coupl(    &
                       nGC_137)*coupl(nGC_258)*coupl(nGC_80)*coupl(nGC_85) -   &
                       8d0*cima*coupl(nGC_137)*coupl(nGC_258)*coupl(nGC_85)**  &
                       2d0 - 8d0*cima*coupl(nGC_146)*coupl(nGC_292)*coupl(     &
                       nGC_80)**2d0 + 10d0*cima*coupl(nGC_146)*coupl(nGC_292)* &
                       coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*coupl(nGC_146)*  &
                       coupl(nGC_292)*coupl(nGC_85)**2d0 + 3d0*cima*coupl(     &
                       nGC_47)*coupl(nGC_56) + 3d0*coupl(nGC_264)**2d0*coupl(  &
                       nGC_47) + 3d0*coupl(nGC_47)*coupl(nGC_64)**2d0)/(24d0*pi&
                       **2d0)
      coupl(nGC_1162) = coupl(nGC_1093) + coupl(nGC_47)*dZH_QED2 + coupl(nGC_47&
                        )*dZWMinus_QED2
      coupl(nGC_978) = (-30d0*Nc*cima*coupl(nGC_62)**4d0 - 4d0*cima*coupl(     &
                       nGC_230)**2d0*coupl(nGC_64)**2d0 - 8d0*cima*coupl(      &
                       nGC_230)*coupl(nGC_238)*coupl(nGC_3)*coupl(nGC_63) - 8d0&
                       *cima*coupl(nGC_230)*coupl(nGC_248)*coupl(nGC_3)*coupl( &
                       nGC_64) - 8d0*cima*coupl(nGC_230)*coupl(nGC_264)*coupl( &
                       nGC_63)*coupl(nGC_64) - 4d0*cima*coupl(nGC_238)**2d0*   &
                       coupl(nGC_4)**2d0 - 8d0*cima*coupl(nGC_238)*coupl(      &
                       nGC_248)*coupl(nGC_3)*coupl(nGC_4) - 8d0*cima*coupl(    &
                       nGC_238)*coupl(nGC_264)*coupl(nGC_4)*coupl(nGC_63) - 4d0&
                       *cima*coupl(nGC_248)**2d0*coupl(nGC_3)**2d0 - 8d0*cima* &
                       coupl(nGC_248)*coupl(nGC_264)*coupl(nGC_4)*coupl(nGC_64 &
                       ) - 4d0*cima*coupl(nGC_264)**2d0*coupl(nGC_63)**2d0 +   &
                       3d0*cima*coupl(nGC_51)**2d0 - 30d0*cima*coupl(nGC_62)** &
                       4d0 + 6d0*coupl(nGC_230)*coupl(nGC_51)*coupl(nGC_63) +  &
                       6d0*coupl(nGC_238)*coupl(nGC_3)*coupl(nGC_51) + 6d0*    &
                       coupl(nGC_248)*coupl(nGC_4)*coupl(nGC_51) + 6d0*coupl(  &
                       nGC_264)*coupl(nGC_51)*coupl(nGC_64))/(48d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
