!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:29             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_740) = -Nc*cima*coupl(nGC_242)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_1161) = coupl(nGC_1093) + coupl(nGC_47)*dZWMinus_QED2
      coupl(nGC_878) = coupl(nGC_62)*(-coupl(nGC_264)*coupl(nGC_86) - coupl(   &
                       nGC_3)*coupl(nGC_4) - coupl(nGC_64)*coupl(nGC_85) + 2d0*&
                       coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_879) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(   &
                       nGC_1)*coupl(nGC_248) - coupl(nGC_2)*coupl(nGC_4) -     &
                       coupl(nGC_230)*coupl(nGC_82) - coupl(nGC_63)*coupl(     &
                       nGC_83) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**2d0&
                       )
      coupl(nGC_873) = (3d0*Nc*coupl(nGC_62)**2d0*coupl(nGC_82) - 3d0*Nc*coupl(&
                       nGC_62)**2d0*coupl(nGC_83) - coupl(nGC_238)*coupl(nGC_4 &
                       )*coupl(nGC_64) - coupl(nGC_264)*coupl(nGC_63)*coupl(   &
                       nGC_64) + 3d0*coupl(nGC_62)**2d0*coupl(nGC_85) - 3d0*   &
                       coupl(nGC_62)**2d0*coupl(nGC_86))/(24d0*pi**2d0)
      coupl(nGC_874) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(   &
                       nGC_1)*coupl(nGC_238) + coupl(nGC_2)*coupl(nGC_3) +     &
                       coupl(nGC_264)*coupl(nGC_82) + coupl(nGC_64)*coupl(     &
                       nGC_83) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**2d0&
                       )
      coupl(nGC_1414) = coupl(nGC_1025) + coupl(nGC_122)*dZH_QED2/2d0
      coupl(nGC_876) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(   &
                       nGC_1)*coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_238) -     &
                       coupl(nGC_264)*coupl(nGC_83) - coupl(nGC_64)*coupl(     &
                       nGC_82) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**2d0&
                       )
      coupl(nGC_877) = coupl(nGC_62)*(coupl(nGC_238)*coupl(nGC_4) + coupl(     &
                       nGC_264)*coupl(nGC_85) + coupl(nGC_64)*coupl(nGC_86) +  &
                       2d0*coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_1360) = coupl(nGC_1059) + coupl(nGC_141)*dZH_QED2/2d0 + coupl( &
                        nGC_141)*dZsL_QED2/2d0 + coupl(nGC_141)*dZsR_QED2/2d0
      coupl(nGC_1361) = coupl(nGC_1060) + coupl(nGC_141)*dZsL_QCD2/2d0 + coupl(&
                        nGC_141)*dZsR_QCD2/2d0
      coupl(nGC_1364) = coupl(nGC_1122) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*dZeMinusR_QED2
      coupl(nGC_1365) = coupl(nGC_1092) + coupl(nGC_59)*dZH_QED2/2d0 + coupl(  &
                        nGC_59)*dZWMinus_QED2/2d0
      coupl(nGC_947) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_224)*    &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*&
                       coupl(nGC_129)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_130)*coupl(nGC_226)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_302)*coupl(nGC_62 &
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(      &
                       nGC_144)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_148)*coupl(nGC_150)*coupl(nGC_62) - 4d0*Nc*cima*    &
                       coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_224)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_2)* &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_2)*&
                       coupl(nGC_226)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_139&
                       )*coupl(nGC_2)*coupl(nGC_302)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_2)* &
                       coupl(nGC_62) + cima*coupl(nGC_133)*coupl(nGC_286)*coupl&
                       (nGC_4)*coupl(nGC_62) + cima*coupl(nGC_136)*coupl(      &
                       nGC_258)*coupl(nGC_4)*coupl(nGC_62) + cima*coupl(nGC_145&
                       )*coupl(nGC_292)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima* &
                       coupl(nGC_16)*coupl(nGC_74) + 6d0*cima*coupl(nGC_274)*  &
                       coupl(nGC_72) + 6d0*coupl(nGC_16)*coupl(nGC_238)*coupl( &
                       nGC_64) + 6d0*coupl(nGC_238)*coupl(nGC_3)*coupl(nGC_72  &
                       ))/(48d0*pi**2d0)
      coupl(nGC_942) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_125)*coupl(   &
                       nGC_224) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131)*&
                       coupl(nGC_226) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(   &
                       nGC_140)*coupl(nGC_302) - 2d0*Nc*cima*coupl(nGC_129)*   &
                       coupl(nGC_2)**2d0*coupl(nGC_220) - 2d0*Nc*cima*coupl(   &
                       nGC_144)*coupl(nGC_2)**2d0*coupl(nGC_278) - 2d0*Nc*cima*&
                       coupl(nGC_150)*coupl(nGC_2)**2d0*coupl(nGC_244) - 2d0*  &
                       cima*coupl(nGC_134)*coupl(nGC_286)*coupl(nGC_4)**2d0 -  &
                       2d0*cima*coupl(nGC_137)*coupl(nGC_258)*coupl(nGC_4)**2d0&
                        - 2d0*cima*coupl(nGC_146)*coupl(nGC_292)*coupl(nGC_4)**&
                       2d0 + cima*coupl(nGC_47)*coupl(nGC_9) + coupl(nGC_238)**&
                       2d0*coupl(nGC_47) + coupl(nGC_3)**2d0*coupl(nGC_47))/(  &
                       8d0*pi**2d0)
      coupl(nGC_1427) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdR_QED2 +   &
                        coupl(nGC_1114) + coupl(nGC_78)*dZZA_QED2/2d0
      coupl(nGC_1425) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +   &
                        coupl(nGC_1114) + coupl(nGC_82)*dZZA_QED2/2d0
      coupl(nGC_1424) = -coupl(nGC_1092) - coupl(nGC_59)*dZH_QED2/2d0 - coupl( &
                        nGC_59)*dZWMinus_QED2/2d0
      coupl(nGC_1421) = coupl(nGC_1099) + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_64)*dZWMinus_QED2 + coupl(nGC_64)*dZZ_QED2/2d0
      coupl(nGC_1290) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1120) + coupl(  &
                        nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZdR_QED2
      coupl(nGC_1358) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +   &
                        coupl(nGC_1114) + coupl(nGC_78)*dZZA_QED2/2d0
      coupl(nGC_1292) = -coupl(nGC_1089) - coupl(nGC_60)*dZH_QED2/2d0 - coupl( &
                        nGC_60)*dZWMinus_QED2/2d0
      coupl(nGC_1197) = coupl(nGC_1017) + coupl(nGC_HHGG)
      coupl(nGC_1211) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_1096) + coupl( &
                        nGC_57)*dZZA_QED2/2d0 + coupl(nGC_76)*dZA_QED2/2d0 +   &
                        coupl(nGC_76)*dZZ_QED2/2d0
      coupl(nGC_1218) = coupl(nGC_1113) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZcL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
      coupl(nGC_1478) = -coupl(nGC_873)
      coupl(nGC_1485) = -coupl(nGC_936)
      coupl(nGC_1484) = -coupl(nGC_937)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
