!******************************************************************************!
!                                                                              !
!    ctparameter125.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter125.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter125
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter125()
  dr_QED2 = ((8d0*Nc*Ten480*coupl(nGC_62)**2d0*(cMW**2d0 - cMZ**2d0)/(-cMW**2d0&
             + cMZ**2d0) + 8d0*Nc*Ten481*coupl(nGC_62)**2d0*(cMW**2d0 - cMZ**  &
            2d0)/(-cMW**2d0 + cMZ**2d0) + 8d0*Nc*Ten482*coupl(nGC_62)**2d0*(cMW&
            **2d0 - cMZ**2d0)/(-cMW**2d0 + cMZ**2d0) + cima*Ten0*coupl(nGC_47  &
            ) + cima*Ten1*(-cMW**2d0*coupl(nGC_47) + 4d0*cMW**2d0*coupl(nGC_56 &
            ) + 2d0*cMW**2d0*coupl(nGC_57) + cMZ**2d0*coupl(nGC_47) - 4d0*cMZ**&
            2d0*coupl(nGC_56) - 2d0*cMZ**2d0*coupl(nGC_57))/(-cMW**2d0 + cMZ** &
            2d0) + 2d0*cima*Ten2*(-cMW**2d0*coupl(nGC_47) + 2d0*cMW**2d0*coupl(&
            nGC_49) + 2d0*cMW**2d0*coupl(nGC_50) + cMZ**2d0*coupl(nGC_47) - 2d0&
            *cMZ**2d0*coupl(nGC_49) - 2d0*cMZ**2d0*coupl(nGC_50))/(-cMW**2d0 + &
            cMZ**2d0) + 2d0*Ten474*(-16d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4) - &
            cMW**2d0*coupl(nGC_5)**2d0 - cMW**2d0*coupl(nGC_6)**2d0 + 16d0*cMZ &
            **2d0*coupl(nGC_3)*coupl(nGC_4) + cMZ**2d0*coupl(nGC_5)**2d0 + cMZ &
            **2d0*coupl(nGC_6)**2d0)/(-cMW**2d0 + cMZ**2d0) + 8d0*Ten475*coupl(&
            nGC_59)*coupl(nGC_60) + 8d0*Ten476*coupl(nGC_62)**2d0*(cMW**2d0 -  &
            cMZ**2d0)/(-cMW**2d0 + cMZ**2d0) + 8d0*Ten477*coupl(nGC_62)**2d0*( &
            cMW**2d0 - cMZ**2d0)/(-cMW**2d0 + cMZ**2d0) + 8d0*Ten478*coupl(    &
            nGC_62)**2d0*(cMW**2d0 - cMZ**2d0)/(-cMW**2d0 + cMZ**2d0) + 2d0*   &
            Ten479*(-4d0*cMW**2d0*coupl(nGC_61)**2d0 - 16d0*cMW**2d0*coupl(    &
            nGC_63)*coupl(nGC_64) - cMW**2d0*coupl(nGC_65)**2d0 - cMW**2d0*    &
            coupl(nGC_66)**2d0 + 4d0*cMZ**2d0*coupl(nGC_61)**2d0 + 16d0*cMZ**  &
            2d0*coupl(nGC_63)*coupl(nGC_64) + cMZ**2d0*coupl(nGC_65)**2d0 + cMZ&
            **2d0*coupl(nGC_66)**2d0)/(-cMW**2d0 + cMZ**2d0) + 2d0*Ten483*coupl&
            (nGC_107)**2d0 + 2d0*Ten484*coupl(nGC_112)**2d0 + 2d0*Ten485*(-cMW &
            **2d0*coupl(nGC_103)*coupl(nGC_109) - cMW**2d0*coupl(nGC_120)**2d0 &
             + cMZ**2d0*coupl(nGC_103)*coupl(nGC_109) + cMZ**2d0*coupl(nGC_120 &
            )**2d0)/(-cMW**2d0 + cMZ**2d0))/(2d0*cMW**2d0) + (-2d0*Nc*cMB**2d0*&
            cMW**2d0*coupl(nGC_62)**2d0*sw**2d0 + 2d0*Nc*cMB**2d0*cMZ**2d0*    &
            coupl(nGC_62)**2d0*sw**2d0 - 2d0*Nc*cMC**2d0*cMW**2d0*coupl(nGC_62 &
            )**2d0*sw**2d0 + 2d0*Nc*cMC**2d0*cMZ**2d0*coupl(nGC_62)**2d0*sw**  &
            2d0 - 2d0*Nc*cMD**2d0*cMW**2d0*coupl(nGC_62)**2d0*sw**2d0 + 2d0*Nc*&
            cMD**2d0*cMZ**2d0*coupl(nGC_62)**2d0*sw**2d0 - 2d0*Nc*cMS**2d0*cMW &
            **2d0*coupl(nGC_62)**2d0*sw**2d0 + 2d0*Nc*cMS**2d0*cMZ**2d0*coupl( &
            nGC_62)**2d0*sw**2d0 - 2d0*Nc*cMT**2d0*cMW**2d0*coupl(nGC_62)**2d0*&
            sw**2d0 + 2d0*Nc*cMT**2d0*cMZ**2d0*coupl(nGC_62)**2d0*sw**2d0 - 2d0&
            *Nc*cMU**2d0*cMW**2d0*coupl(nGC_62)**2d0*sw**2d0 + 2d0*Nc*cMU**2d0*&
            cMZ**2d0*coupl(nGC_62)**2d0*sw**2d0 - 2d0*cME**2d0*cMW**2d0*coupl( &
            nGC_62)**2d0*sw**2d0 + 2d0*cME**2d0*cMZ**2d0*coupl(nGC_62)**2d0*sw &
            **2d0 - 2d0*cMM**2d0*cMW**2d0*coupl(nGC_62)**2d0*sw**2d0 + 2d0*cMM &
            **2d0*cMZ**2d0*coupl(nGC_62)**2d0*sw**2d0 - 2d0*cMTA**2d0*cMW**2d0*&
            coupl(nGC_62)**2d0*sw**2d0 + 2d0*cMTA**2d0*cMZ**2d0*coupl(nGC_62)**&
            2d0*sw**2d0 + 4d0*cMW**4d0*coupl(nGC_3)*coupl(nGC_4)*sw**2d0 - 2d0*&
            cima*cMW**4d0*coupl(nGC_50)*sw**2d0 + 4d0*cMW**4d0*coupl(nGC_63)*  &
            coupl(nGC_64)*sw**2d0 + 4d0*cMW**4d0*gw**2d0*sw**2d0*log(cw**2d0   &
            ) + 4d0*cMW**4d0*gw**2d0*sw**2d0 - cMW**4d0*gw**2d0*log(cw**2d0) - &
            4d0*cMW**2d0*cMZ**2d0*coupl(nGC_3)*coupl(nGC_4)*sw**2d0 + 2d0*cima*&
            cMW**2d0*cMZ**2d0*coupl(nGC_50)*sw**2d0 - 2d0*cima*cMW**2d0*cMZ**  &
            2d0*coupl(nGC_56)*sw**2d0 - 4d0*cMW**2d0*cMZ**2d0*gw**2d0*sw**2d0* &
            log(cw**2d0) - 4d0*cMW**2d0*cMZ**2d0*gw**2d0*sw**2d0 + cMW**2d0*cMZ&
            **2d0*gw**2d0*log(cw**2d0) + 2d0*cima*cMZ**4d0*coupl(nGC_56)*sw**  &
            2d0 - 4d0*cMZ**4d0*coupl(nGC_63)*coupl(nGC_64)*sw**2d0)/(2d0*cMW** &
            2d0*sw**2d0*(-cMW**2d0 + cMZ**2d0)))/(16d0*pi**2d0) + (cMW**2d0*   &
            dMZ2_QED2*ee/cMZ**2d0 + 2d0*dZeeZM_QED2*ee*(cMW**2d0 - cMZ**2d0) + &
            dMW2_QED2*(-cMW**2d0*ee - cMW**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/ &
            cMZ**2d0) + cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))/cMW &
            **2d0)/(gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**&
            2d0))
    if (.not. complex_mass_scheme) then
      dr_QED2 = cone*real(dr_QED2,kind=dp)
    end if 
end subroutine set_ctparameter125
end module ctparameter125
