!******************************************************************************!
!                                                                              !
!    vertices_info8.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info8.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:29             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info8
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl8()
      allocate(vertices(3222)%branchCT(0:0))
      call avCT(3222, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1206, nGC_1205,       &
      nGC_1206/))

      allocate(vertices(2028)%branchCT(0:0))
      call avCT(2028, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2778)%branchCT(0:0))
      call avCT(2778, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(2780)%branchCT(0:0))
      call avCT(2780, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1362/))

      allocate(vertices(2969)%branchCT(0:0))
      call avCT(2969, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(2784)%branchCT(0:0))
      call avCT(2784, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(2785)%branchCT(0:0))
      call avCT(2785, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1397/))

      allocate(vertices(3889)%branchCT(0:0))
      call avCT(3889, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1409/))

      allocate(vertices(2787)%branchCT(0:0))
      call avCT(2787, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2788)%branchCT(0:0))
      call avCT(2788, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(2792)%branchCT(0:0))
      call avCT(2792, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1182/))

      allocate(vertices(3324)%branchCT(0:1))
      call avCT(3324, 0, 20, 1, 0, FVFa0, (/0, 3/), (/nGC_1288, nGC_1290/))

      call avCT(3324, 1, 20, 1, 0, FVFa0, (/2, 1/), (/nGC_1289, nGC_1291/))

      allocate(vertices(3890)%branchCT(0:0))
      call avCT(3890, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(2797)%branchCT(0:0))
      call avCT(2797, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(2798)%branchCT(0:0))
      call avCT(2798, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1328/))

      allocate(vertices(1062)%branchCT(0:0))
      call avCT(1062, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(2800)%branchCT(0:0))
      call avCT(2800, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(2801)%branchCT(0:0))
      call avCT(2801, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1299/))

      allocate(vertices(2803)%branchCT(0:0))
      call avCT(2803, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(3891)%branchCT(0:0))
      call avCT(3891, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(2806)%branchCT(0:0))
      call avCT(2806, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2807)%branchCT(0:0))
      call avCT(2807, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1408/))

      allocate(vertices(2170)%branchCT(0:0))
      call avCT(2170, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(2810)%branchCT(0:0))
      call avCT(2810, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1273, nGC_1274/))

      allocate(vertices(3892)%branchCT(0:0))
      call avCT(3892, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1467, nGC_1468,       &
      nGC_1468, nGC_1469/))

      allocate(vertices(2815)%branchCT(0:0))
      call avCT(2815, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1223/))

      allocate(vertices(2818)%branchCT(0:0))
      call avCT(2818, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1979)%branchCT(0:1))
      call avCT(1979, 0, 17, 1, 0, VFFa0, (/0, 3/), (/nGC_1218, nGC_1220/))

      call avCT(1979, 1, 17, 1, 0, VFFa0, (/2, 1/), (/nGC_1219, nGC_1221/))

      allocate(vertices(2820)%branchCT(0:1))
      call avCT(2820, 0, 20, 1, 0, FVFa1, (/0, 3/), (/nGC_1248/))

      call avCT(2820, 1, 20, 1, 0, FVFa1, (/2, 1/), (/nGC_1249/))

      allocate(vertices(3154)%branchCT(0:1))
      call avCT(3154, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1224, nGC_1224/))

      call avCT(3154, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1225, nGC_1225/))

      allocate(vertices(2822)%branchCT(0:0))
      call avCT(2822, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1245/))

      allocate(vertices(2250)%branchCT(0:0))
      call avCT(2250, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2826)%branchCT(0:0))
      call avCT(2826, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2829)%branchCT(0:0))
      call avCT(2829, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3612)%branchCT(0:0))
      call avCT(3612, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(2835)%branchCT(0:0))
      call avCT(2835, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(1656)%branchCT(0:0))
      call avCT(1656, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(2316)%branchCT(0:0))
      call avCT(2316, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(2809)%branchCT(0:0))
      call avCT(2809, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1273, nGC_1274/))

      allocate(vertices(2839)%branchCT(0:0))
      call avCT(2839, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2842)%branchCT(0:0))
      call avCT(2842, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1206, nGC_1206,       &
      nGC_1205/))

      allocate(vertices(2843)%branchCT(0:0))
      call avCT(2843, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1351/))

      allocate(vertices(2845)%branchCT(0:0))
      call avCT(2845, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(642)%branchCT(0:0))
      call avCT(642, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(2850)%branchCT(0:0))
      call avCT(2850, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(2851)%branchCT(0:0))
      call avCT(2851, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(2706)%branchCT(0:0))
      call avCT(2706, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2853)%branchCT(0:0))
      call avCT(2853, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1245/))

      allocate(vertices(2854)%branchCT(0:0))
      call avCT(2854, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(294)%branchCT(0:3))
      call avCT(294, 0, 22, 3, 0, VFFa0, (/3, 0/), (/nGC_1352, nGC_1354/))

      call avCT(294, 1, 22, 3, 0, VFFa0, (/1, 2/), (/nGC_1353, nGC_1355/))

      call avCT(294, 2, 23, 2, 0, VFFa0, (/3, 0/), (/nGC_1352, nGC_1354/))

      call avCT(294, 3, 23, 2, 0, VFFa0, (/1, 2/), (/nGC_1353, nGC_1355/))

      allocate(vertices(3419)%branchCT(0:0))
      call avCT(3419, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1206, nGC_1205,       &
      nGC_1206/))

      allocate(vertices(1422)%branchCT(0:0))
      call avCT(1422, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(2860)%branchCT(0:0))
      call avCT(2860, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1223/))

      allocate(vertices(2862)%branchCT(0:0))
      call avCT(2862, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(2863)%branchCT(0:0))
      call avCT(2863, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1201/))

      allocate(vertices(2298)%branchCT(0:0))
      call avCT(2298, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2493)%branchCT(0:0))
      call avCT(2493, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2868)%branchCT(0:0))
      call avCT(2868, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1398, nGC_1399/))

      allocate(vertices(2207)%branchCT(0:0))
      call avCT(2207, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2872)%branchCT(0:0))
      call avCT(2872, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2875)%branchCT(0:0))
      call avCT(2875, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2876)%branchCT(0:0))
      call avCT(2876, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1208, nGC_1209,       &
      nGC_1208/))

      allocate(vertices(2275)%branchCT(0:0))
      call avCT(2275, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1326, nGC_1326,       &
      nGC_1327/))

      allocate(vertices(2880)%branchCT(0:0))
      call avCT(2880, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1203)%branchCT(0:0))
      call avCT(1203, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1327, nGC_1326,       &
      nGC_1326/))

      allocate(vertices(2881)%branchCT(0:0))
      call avCT(2881, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(2585)%branchCT(0:0))
      call avCT(2585, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1375/))

      allocate(vertices(896)%branchCT(0:0))
      call avCT(896, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2889)%branchCT(0:0))
      call avCT(2889, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(2890)%branchCT(0:0))
      call avCT(2890, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1362/))

      allocate(vertices(2629)%branchCT(0:0))
      call avCT(2629, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2893)%branchCT(0:0))
      call avCT(2893, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(694)%branchCT(0:1))
      call avCT(694, 0, 20, 1, 0, FVFa0, (/0, 3/), (/nGC_1425, nGC_1427/))

      call avCT(694, 1, 20, 1, 0, FVFa0, (/2, 1/), (/nGC_1426, nGC_1428/))

      allocate(vertices(2897)%branchCT(0:0))
      call avCT(2897, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2899)%branchCT(0:0))
      call avCT(2899, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2902)%branchCT(0:0))
      call avCT(2902, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1318/))

      allocate(vertices(2905)%branchCT(0:0))
      call avCT(2905, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1470/))

      allocate(vertices(2906)%branchCT(0:1))
      call avCT(2906, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1165, nGC_1163/))

      call avCT(2906, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1166, nGC_1164/))

      allocate(vertices(2909)%branchCT(0:0))
      call avCT(2909, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1259/))

      allocate(vertices(2910)%branchCT(0:0))
      call avCT(2910, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1436, nGC_1437/))

      allocate(vertices(2916)%branchCT(0:0))
      call avCT(2916, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1208, nGC_1209,       &
      nGC_1208/))

      allocate(vertices(1531)%branchCT(0:0))
      call avCT(1531, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3893)%branchCT(0:0))
      call avCT(3893, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(2922)%branchCT(0:0))
      call avCT(2922, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(2924)%branchCT(0:0))
      call avCT(2924, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(3733)%branchCT(0:0))
      call avCT(3733, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(2926)%branchCT(0:0))
      call avCT(2926, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(2928)%branchCT(0:0))
      call avCT(2928, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1326, nGC_1327,       &
      nGC_1326/))

      allocate(vertices(527)%branchCT(0:0))
      call avCT(527, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(2930)%branchCT(0:0))
      call avCT(2930, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(2932)%branchCT(0:0))
      call avCT(2932, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2934)%branchCT(0:0))
      call avCT(2934, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3699)%branchCT(0:0))
      call avCT(3699, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2936)%branchCT(0:0))
      call avCT(2936, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(2938)%branchCT(0:0))
      call avCT(2938, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1424/))

      allocate(vertices(2940)%branchCT(0:0))
      call avCT(2940, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1249)%branchCT(0:0))
      call avCT(1249, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(2943)%branchCT(0:0))
      call avCT(2943, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2946)%branchCT(0:0))
      call avCT(2946, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(2953)%branchCT(0:0))
      call avCT(2953, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2954)%branchCT(0:0))
      call avCT(2954, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2957)%branchCT(0:0))
      call avCT(2957, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(2958)%branchCT(0:0))
      call avCT(2958, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2959)%branchCT(0:0))
      call avCT(2959, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(507)%branchCT(0:0))
      call avCT(507, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(2963)%branchCT(0:0))
      call avCT(2963, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1363, nGC_1364/))

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(2966)%branchCT(0:0))
      call avCT(2966, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(2967)%branchCT(0:0))
      call avCT(2967, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1385/))

      allocate(vertices(2970)%branchCT(0:0))
      call avCT(2970, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(2971)%branchCT(0:1))
      call avCT(2971, 0, 122, 6, 0, UVUa0, (/3, 0/), (/nGC_1320/))

      call avCT(2971, 1, 123, 7, 0, UVUa0, (/3, 0/), (/nGC_1320/))

      allocate(vertices(2973)%branchCT(0:0))
      call avCT(2973, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(2974)%branchCT(0:0))
      call avCT(2974, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(2975)%branchCT(0:0))
      call avCT(2975, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2976)%branchCT(0:0))
      call avCT(2976, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(2773)%branchCT(0:0))
      call avCT(2773, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(2979)%branchCT(0:0))
      call avCT(2979, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(2983)%branchCT(0:0))
      call avCT(2983, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(2984)%branchCT(0:0))
      call avCT(2984, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1412/))

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(2986)%branchCT(0:1))
      call avCT(2986, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1392, nGC_1392/))

      call avCT(2986, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1393, nGC_1393/))

      allocate(vertices(3344)%branchCT(0:0))
      call avCT(3344, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(371)%branchCT(0:0))
      call avCT(371, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(2991)%branchCT(0:0))
      call avCT(2991, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(2993)%branchCT(0:0))
      call avCT(2993, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1198/))

      allocate(vertices(2997)%branchCT(0:0))
      call avCT(2997, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1429/))

      allocate(vertices(3682)%branchCT(0:0))
      call avCT(3682, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2999)%branchCT(0:0))
      call avCT(2999, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3000)%branchCT(0:0))
      call avCT(3000, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1421/))

      allocate(vertices(3001)%branchCT(0:0))
      call avCT(3001, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(3894)%branchCT(0:0))
      call avCT(3894, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(482)%branchCT(0:0))
      call avCT(482, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(3350)%branchCT(0:0))
      call avCT(3350, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(2856)%branchCT(0:0))
      call avCT(2856, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(2201)%branchCT(0:0))
      call avCT(2201, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1400, nGC_1401/))

      allocate(vertices(852)%branchCT(0:0))
      call avCT(852, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3223)%branchCT(0:0))
      call avCT(3223, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(3423)%branchCT(0:0))
      call avCT(3423, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3010)%branchCT(0:0))
      call avCT(3010, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(3012)%branchCT(0:0))
      call avCT(3012, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(3013)%branchCT(0:0))
      call avCT(3013, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1239/))

      allocate(vertices(3411)%branchCT(0:0))
      call avCT(3411, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(3016)%branchCT(0:0))
      call avCT(3016, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3364)%branchCT(0:0))
      call avCT(3364, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1239/))

      allocate(vertices(3605)%branchCT(0:0))
      call avCT(3605, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1384, nGC_1384,       &
      nGC_1383/))

      allocate(vertices(3018)%branchCT(0:0))
      call avCT(3018, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3471)%branchCT(0:0))
      call avCT(3471, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3020)%branchCT(0:0))
      call avCT(3020, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1299/))

      allocate(vertices(3021)%branchCT(0:0))
      call avCT(3021, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3022)%branchCT(0:0))
      call avCT(3022, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1198/))

      allocate(vertices(1883)%branchCT(0:0))
      call avCT(1883, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2319)%branchCT(0:0))
      call avCT(2319, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3026)%branchCT(0:0))
      call avCT(3026, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1445/))

      allocate(vertices(3895)%branchCT(0:0))
      call avCT(3895, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(3520)%branchCT(0:0))
      call avCT(3520, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1273, nGC_1274/))

      allocate(vertices(3028)%branchCT(0:0))
      call avCT(3028, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3029)%branchCT(0:0))
      call avCT(3029, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3534)%branchCT(0:0))
      call avCT(3534, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3032)%branchCT(0:0))
      call avCT(3032, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(500)%branchCT(0:0))
      call avCT(500, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3034)%branchCT(0:0))
      call avCT(3034, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1411/))

      allocate(vertices(1857)%branchCT(0:0))
      call avCT(1857, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3896)%branchCT(0:1))
      call avCT(3896, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_1402, nGC_1404,      &
      nGC_1404, nGC_1406/))

      call avCT(3896, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_1403, nGC_1405,      &
      nGC_1405, nGC_1407/))

      allocate(vertices(3036)%branchCT(0:1))
      call avCT(3036, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1392, nGC_1392/))

      call avCT(3036, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1393, nGC_1393/))

      allocate(vertices(3037)%branchCT(0:0))
      call avCT(3037, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(943)%branchCT(0:1))
      call avCT(943, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1170, nGC_1172/))

      call avCT(943, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1171, nGC_1173/))

      allocate(vertices(3038)%branchCT(0:0))
      call avCT(3038, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3760)%branchCT(0:0))
      call avCT(3760, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(2962)%branchCT(0:0))
      call avCT(2962, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(3043)%branchCT(0:0))
      call avCT(3043, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(3044)%branchCT(0:0))
      call avCT(3044, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1391/))

      allocate(vertices(3316)%branchCT(0:3))
      call avCT(3316, 0, 59, 2, 0, FVFa0, (/3, 0/), (/nGC_1186, nGC_1188/))

      call avCT(3316, 1, 59, 2, 0, FVFa0, (/1, 2/), (/nGC_1187, nGC_1189/))

      call avCT(3316, 2, 58, 3, 0, FVFa0, (/3, 0/), (/nGC_1186, nGC_1188/))

      call avCT(3316, 3, 58, 3, 0, FVFa0, (/1, 2/), (/nGC_1187, nGC_1189/))

      allocate(vertices(3049)%branchCT(0:0))
      call avCT(3049, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(3051)%branchCT(0:0))
      call avCT(3051, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3052)%branchCT(0:0))
      call avCT(3052, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1695)%branchCT(0:0))
      call avCT(1695, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1363, nGC_1364/))

      allocate(vertices(1232)%branchCT(0:0))
      call avCT(1232, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(3056)%branchCT(0:0))
      call avCT(3056, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1408/))

      allocate(vertices(3057)%branchCT(0:0))
      call avCT(3057, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(602)%branchCT(0:0))
      call avCT(602, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2326)%branchCT(0:0))
      call avCT(2326, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(3063)%branchCT(0:0))
      call avCT(3063, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1424/))

      allocate(vertices(3736)%branchCT(0:0))
      call avCT(3736, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3065)%branchCT(0:0))
      call avCT(3065, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3066)%branchCT(0:0))
      call avCT(3066, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1350/))

      allocate(vertices(419)%branchCT(0:0))
      call avCT(419, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3069)%branchCT(0:0))
      call avCT(3069, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(3072)%branchCT(0:1))
      call avCT(3072, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1268, nGC_1270/))

      call avCT(3072, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1269, nGC_1271/))

      allocate(vertices(3798)%branchCT(0:0))
      call avCT(3798, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3075)%branchCT(0:1))
      call avCT(3075, 0, 20, 1, 0, FVFa0, (/0, 3/), (/nGC_1356, nGC_1358/))

      call avCT(3075, 1, 20, 1, 0, FVFa0, (/2, 1/), (/nGC_1357, nGC_1359/))

      allocate(vertices(3810)%branchCT(0:0))
      call avCT(3810, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3077)%branchCT(0:0))
      call avCT(3077, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1309, nGC_1310/))

      allocate(vertices(2487)%branchCT(0:0))
      call avCT(2487, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3085)%branchCT(0:0))
      call avCT(3085, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1410/))

      allocate(vertices(3086)%branchCT(0:0))
      call avCT(3086, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1318/))

      allocate(vertices(1869)%branchCT(0:0))
      call avCT(1869, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(3088)%branchCT(0:0))
      call avCT(3088, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3089)%branchCT(0:0))
      call avCT(3089, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(3090)%branchCT(0:0))
      call avCT(3090, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1423/))

      allocate(vertices(3094)%branchCT(0:0))
      call avCT(3094, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(73)%branchCT(0:0))
      call avCT(73, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3100)%branchCT(0:0))
      call avCT(3100, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(2846)%branchCT(0:0))
      call avCT(2846, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3104)%branchCT(0:0))
      call avCT(3104, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(3106)%branchCT(0:0))
      call avCT(3106, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3107)%branchCT(0:0))
      call avCT(3107, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3108)%branchCT(0:0))
      call avCT(3108, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(3109)%branchCT(0:0))
      call avCT(3109, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(3110)%branchCT(0:1))
      call avCT(3110, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1195, nGC_1193/))

      call avCT(3110, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1196, nGC_1194/))

      allocate(vertices(1205)%branchCT(0:0))
      call avCT(1205, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3114)%branchCT(0:0))
      call avCT(3114, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1980)%branchCT(0:0))
      call avCT(1980, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(3897)%branchCT(0:0))
      call avCT(3897, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1460, nGC_1461,       &
      nGC_1461, nGC_1462/))

      allocate(vertices(3120)%branchCT(0:0))
      call avCT(3120, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3705)%branchCT(0:0))
      call avCT(3705, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3608)%branchCT(0:0))
      call avCT(3608, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3125)%branchCT(0:0))
      call avCT(3125, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1154/))

      allocate(vertices(3126)%branchCT(0:0))
      call avCT(3126, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(3127)%branchCT(0:0))
      call avCT(3127, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(2214)%branchCT(0:0))
      call avCT(2214, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3130)%branchCT(0:0))
      call avCT(3130, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3131)%branchCT(0:5))
      call avCT(3131, 0, 71, 4, 0, UVUaV0, (/4, 0/), (/nGC_1338/))

      call avCT(3131, 1, 70, 4, 0, UVUaV0, (/4, 0/), (/nGC_1338/))

      call avCT(3131, 2, 48, 4, 0, UVUaV0, (/4, 0/), (/nGC_1338/))

      call avCT(3131, 3, 51, 5, 0, UVUaV0, (/4, 0/), (/nGC_1339/))

      call avCT(3131, 4, 49, 5, 0, UVUaV0, (/4, 0/), (/nGC_1339/))

      call avCT(3131, 5, 50, 4, 0, UVUaV0, (/4, 0/), (/nGC_1338/))

      allocate(vertices(3134)%branchCT(0:0))
      call avCT(3134, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1394/))

      allocate(vertices(3135)%branchCT(0:0))
      call avCT(3135, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(3312)%branchCT(0:0))
      call avCT(3312, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3137)%branchCT(0:0))
      call avCT(3137, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1167, nGC_1168/))

      allocate(vertices(3138)%branchCT(0:0))
      call avCT(3138, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3139)%branchCT(0:0))
      call avCT(3139, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(3141)%branchCT(0:0))
      call avCT(3141, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(3142)%branchCT(0:0))
      call avCT(3142, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1372/))

      allocate(vertices(532)%branchCT(0:0))
      call avCT(532, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(3148)%branchCT(0:0))
      call avCT(3148, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3150)%branchCT(0:0))
      call avCT(3150, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3151)%branchCT(0:0))
      call avCT(3151, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3152)%branchCT(0:0))
      call avCT(3152, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(3153)%branchCT(0:0))
      call avCT(3153, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(3156)%branchCT(0:0))
      call avCT(3156, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3157)%branchCT(0:0))
      call avCT(3157, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1383, nGC_1384,       &
      nGC_1384/))

      allocate(vertices(2359)%branchCT(0:0))
      call avCT(2359, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1414/))

      allocate(vertices(2766)%branchCT(0:0))
      call avCT(2766, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3711)%branchCT(0:0))
      call avCT(3711, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(1124)%branchCT(0:0))
      call avCT(1124, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(3164)%branchCT(0:0))
      call avCT(3164, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(2878)%branchCT(0:1))
      call avCT(2878, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1165, nGC_1163/))

      call avCT(2878, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1166, nGC_1164/))

      allocate(vertices(3167)%branchCT(0:0))
      call avCT(3167, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1521)%branchCT(0:0))
      call avCT(1521, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1239/))

      allocate(vertices(2341)%branchCT(0:0))
      call avCT(2341, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(3171)%branchCT(0:1))
      call avCT(3171, 0, 19, 1, 0, FaFV0, (/0, 3/), (/nGC_1170, nGC_1172/))

      call avCT(3171, 1, 19, 1, 0, FaFV0, (/2, 1/), (/nGC_1171, nGC_1173/))

      allocate(vertices(3898)%branchCT(0:0))
      call avCT(3898, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_1471/))

      allocate(vertices(3173)%branchCT(0:0))
      call avCT(3173, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1430/))

      allocate(vertices(3174)%branchCT(0:0))
      call avCT(3174, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(3425)%branchCT(0:0))
      call avCT(3425, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(3235)%branchCT(0:0))
      call avCT(3235, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3179)%branchCT(0:0))
      call avCT(3179, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1503)%branchCT(0:0))
      call avCT(1503, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1351/))

      allocate(vertices(484)%branchCT(0:0))
      call avCT(484, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(3184)%branchCT(0:0))
      call avCT(3184, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(3185)%branchCT(0:1))
      call avCT(3185, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1240, nGC_1242/))

      call avCT(3185, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1241, nGC_1243/))

      allocate(vertices(509)%branchCT(0:0))
      call avCT(509, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(3187)%branchCT(0:0))
      call avCT(3187, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1377, nGC_1378/))

      allocate(vertices(1716)%branchCT(0:0))
      call avCT(1716, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3190)%branchCT(0:0))
      call avCT(3190, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3195)%branchCT(0:0))
      call avCT(3195, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3196)%branchCT(0:0))
      call avCT(3196, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(3198)%branchCT(0:0))
      call avCT(3198, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1472/))

      allocate(vertices(575)%branchCT(0:0))
      call avCT(575, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(1718)%branchCT(0:0))
      call avCT(1718, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1623)%branchCT(0:0))
      call avCT(1623, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(62)%branchCT(0:0))
      call avCT(62, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3206)%branchCT(0:0))
      call avCT(3206, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(3208)%branchCT(0:0))
      call avCT(3208, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3209)%branchCT(0:1))
      call avCT(3209, 0, 19, 1, 0, FaFV1, (/0, 3/), (/nGC_1248/))

      call avCT(3209, 1, 19, 1, 0, FaFV1, (/2, 1/), (/nGC_1249/))

      allocate(vertices(3211)%branchCT(0:0))
      call avCT(3211, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(633)%branchCT(0:0))
      call avCT(633, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1201/))

      allocate(vertices(3213)%branchCT(0:0))
      call avCT(3213, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(3214)%branchCT(0:0))
      call avCT(3214, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3216)%branchCT(0:0))
      call avCT(3216, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1294/))

      allocate(vertices(2575)%branchCT(0:0))
      call avCT(2575, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3218)%branchCT(0:0))
      call avCT(3218, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3219)%branchCT(0:0))
      call avCT(3219, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3220)%branchCT(0:0))
      call avCT(3220, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1157)%branchCT(0:0))
      call avCT(1157, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1201/))

      allocate(vertices(915)%branchCT(0:0))
      call avCT(915, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3225)%branchCT(0:0))
      call avCT(3225, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(721)%branchCT(0:0))
      call avCT(721, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3227)%branchCT(0:0))
      call avCT(3227, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1414/))

      allocate(vertices(320)%branchCT(0:0))
      call avCT(320, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(3229)%branchCT(0:0))
      call avCT(3229, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3231)%branchCT(0:0))
      call avCT(3231, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3236)%branchCT(0:0))
      call avCT(3236, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(763)%branchCT(0:0))
      call avCT(763, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3240)%branchCT(0:1))
      call avCT(3240, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1425, nGC_1427/))

      call avCT(3240, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1426, nGC_1428/))

      allocate(vertices(3242)%branchCT(0:0))
      call avCT(3242, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3245)%branchCT(0:0))
      call avCT(3245, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(808)%branchCT(0:0))
      call avCT(808, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(519)%branchCT(0:0))
      call avCT(519, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3250)%branchCT(0:0))
      call avCT(3250, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(324)%branchCT(0:0))
      call avCT(324, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3253)%branchCT(0:0))
      call avCT(3253, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1217/))

      allocate(vertices(3254)%branchCT(0:0))
      call avCT(3254, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(3258)%branchCT(0:0))
      call avCT(3258, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3259)%branchCT(0:1))
      call avCT(3259, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1360, nGC_1360/))

      call avCT(3259, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1361, nGC_1361/))

      allocate(vertices(872)%branchCT(0:0))
      call avCT(872, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1008)%branchCT(0:0))
      call avCT(1008, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3413)%branchCT(0:1))
      call avCT(3413, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1335/))

      call avCT(3413, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1336/))

      allocate(vertices(3272)%branchCT(0:1))
      call avCT(3272, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1235, nGC_1237/))

      call avCT(3272, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1236, nGC_1238/))

      allocate(vertices(3899)%branchCT(0:0))
      call avCT(3899, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(3275)%branchCT(0:0))
      call avCT(3275, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(981)%branchCT(0:0))
      call avCT(981, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3277)%branchCT(0:1))
      call avCT(3277, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1157, nGC_1159/))

      call avCT(3277, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1158, nGC_1160/))

      allocate(vertices(0)%branchCT(0:0))
      call avCT(0, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3282)%branchCT(0:0))
      call avCT(3282, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3283)%branchCT(0:3))
      call avCT(3283, 0, 24, 3, 0, VFaF0, (/1, 2/), (/nGC_1296, nGC_1298/))

      call avCT(3283, 1, 24, 3, 0, VFaF0, (/3, 0/), (/nGC_1295, nGC_1297/))

      call avCT(3283, 2, 25, 2, 0, VFaF0, (/1, 2/), (/nGC_1296, nGC_1298/))

      call avCT(3283, 3, 25, 2, 0, VFaF0, (/3, 0/), (/nGC_1295, nGC_1297/))

      allocate(vertices(3285)%branchCT(0:0))
      call avCT(3285, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1318/))

      allocate(vertices(3286)%branchCT(0:0))
      call avCT(3286, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1245/))

      allocate(vertices(2142)%branchCT(0:0))
      call avCT(2142, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(2821)%branchCT(0:0))
      call avCT(2821, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(3290)%branchCT(0:0))
      call avCT(3290, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(3291)%branchCT(0:0))
      call avCT(3291, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3292)%branchCT(0:0))
      call avCT(3292, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3294)%branchCT(0:0))
      call avCT(3294, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1197/))

      allocate(vertices(3296)%branchCT(0:0))
      call avCT(3296, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3298)%branchCT(0:0))
      call avCT(3298, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1318/))

      allocate(vertices(3300)%branchCT(0:0))
      call avCT(3300, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(3302)%branchCT(0:0))
      call avCT(3302, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3303)%branchCT(0:0))
      call avCT(3303, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3304)%branchCT(0:0))
      call avCT(3304, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1308/))

      allocate(vertices(1355)%branchCT(0:0))
      call avCT(1355, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1167, nGC_1168/))

      allocate(vertices(3310)%branchCT(0:0))
      call avCT(3310, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1212/))

      allocate(vertices(1128)%branchCT(0:0))
      call avCT(1128, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(3314)%branchCT(0:1))
      call avCT(3314, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1193, nGC_1195/))

      call avCT(3314, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1194, nGC_1196/))

      allocate(vertices(1146)%branchCT(0:0))
      call avCT(1146, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1370)%branchCT(0:0))
      call avCT(1370, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1452/))

      allocate(vertices(3900)%branchCT(0:0))
      call avCT(3900, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1202, nGC_1203,       &
      nGC_1203, nGC_1204/))

      allocate(vertices(3322)%branchCT(0:3))
      call avCT(3322, 0, 11, 3, 0, FFaV0, (/1, 2/), (/nGC_1285, nGC_1287/))

      call avCT(3322, 1, 11, 3, 0, FFaV0, (/3, 0/), (/nGC_1284, nGC_1286/))

      call avCT(3322, 2, 12, 2, 0, FFaV0, (/1, 2/), (/nGC_1285, nGC_1287/))

      call avCT(3322, 3, 12, 2, 0, FFaV0, (/3, 0/), (/nGC_1284, nGC_1286/))

      allocate(vertices(3323)%branchCT(0:0))
      call avCT(3323, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(3326)%branchCT(0:0))
      call avCT(3326, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(3327)%branchCT(0:1))
      call avCT(3327, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1306, nGC_1306/))

      call avCT(3327, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1307, nGC_1307/))

      allocate(vertices(1749)%branchCT(0:1))
      call avCT(1749, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1213, nGC_1215/))

      call avCT(1749, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1214, nGC_1216/))

      allocate(vertices(3330)%branchCT(0:0))
      call avCT(3330, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(3331)%branchCT(0:1))
      call avCT(3331, 0, 21, 1, 0, FaVF1, (/0, 3/), (/nGC_1255/))

      call avCT(3331, 1, 21, 1, 0, FaVF1, (/2, 1/), (/nGC_1256/))

      allocate(vertices(1018)%branchCT(0:1))
      call avCT(1018, 0, 2, 6, 0, VVV1, (/3, 0/), (/nGC_1473/))

      call avCT(1018, 1, 3, 7, 0, VVV1, (/3, 0/), (/nGC_1473/))

      allocate(vertices(1090)%branchCT(0:0))
      call avCT(1090, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(1231)%branchCT(0:0))
      call avCT(1231, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(1233)%branchCT(0:3))
      call avCT(1233, 0, 24, 3, 0, VFaF0, (/1, 2/), (/nGC_1367, nGC_1369/))

      call avCT(1233, 1, 24, 3, 0, VFaF0, (/3, 0/), (/nGC_1366, nGC_1368/))

      call avCT(1233, 2, 25, 2, 0, VFaF0, (/1, 2/), (/nGC_1367, nGC_1369/))

      call avCT(1233, 3, 25, 2, 0, VFaF0, (/3, 0/), (/nGC_1366, nGC_1368/))

      allocate(vertices(3338)%branchCT(0:0))
      call avCT(3338, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(3339)%branchCT(0:0))
      call avCT(3339, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2362)%branchCT(0:0))
      call avCT(2362, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(793)%branchCT(0:0))
      call avCT(793, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(3345)%branchCT(0:0))
      call avCT(3345, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1451/))

      allocate(vertices(3346)%branchCT(0:0))
      call avCT(3346, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3347)%branchCT(0:0))
      call avCT(3347, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(1257)%branchCT(0:1))
      call avCT(1257, 0, 19, 1, 0, FaFV0, (/0, 3/), (/nGC_1322, nGC_1324/))

      call avCT(1257, 1, 19, 1, 0, FaFV0, (/2, 1/), (/nGC_1323, nGC_1325/))

      allocate(vertices(3003)%branchCT(0:0))
      call avCT(3003, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(1305)%branchCT(0:0))
      call avCT(1305, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1336)%branchCT(0:0))
      call avCT(1336, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(3356)%branchCT(0:0))
      call avCT(3356, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1209, nGC_1208,       &
      nGC_1208/))

      allocate(vertices(3357)%branchCT(0:0))
      call avCT(3357, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3570)%branchCT(0:0))
      call avCT(3570, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(3363)%branchCT(0:0))
      call avCT(3363, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(1255)%branchCT(0:0))
      call avCT(1255, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(3366)%branchCT(0:1))
      call avCT(3366, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1193, nGC_1195/))

      call avCT(3366, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1194, nGC_1196/))

      allocate(vertices(3901)%branchCT(0:1))
      call avCT(3901, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_1439, nGC_1441,      &
      nGC_1441, nGC_1443/))

      call avCT(3901, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_1440, nGC_1442,      &
      nGC_1442, nGC_1444/))

      allocate(vertices(3371)%branchCT(0:0))
      call avCT(3371, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(3374)%branchCT(0:0))
      call avCT(3374, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3375)%branchCT(0:1))
      call avCT(3375, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1165, nGC_1163/))

      call avCT(3375, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1166, nGC_1164/))

      allocate(vertices(3376)%branchCT(0:0))
      call avCT(3376, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3377)%branchCT(0:0))
      call avCT(3377, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(3379)%branchCT(0:0))
      call avCT(3379, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1299/))

      allocate(vertices(1456)%branchCT(0:0))
      call avCT(1456, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1383, nGC_1384,       &
      nGC_1384/))

      allocate(vertices(2366)%branchCT(0:0))
      call avCT(2366, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1207/))

      allocate(vertices(3743)%branchCT(0:0))
      call avCT(3743, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3384)%branchCT(0:0))
      call avCT(3384, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(3387)%branchCT(0:0))
      call avCT(3387, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1436, nGC_1437/))

      allocate(vertices(1498)%branchCT(0:0))
      call avCT(1498, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1197/))

      allocate(vertices(2713)%branchCT(0:0))
      call avCT(2713, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(3393)%branchCT(0:0))
      call avCT(3393, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(3394)%branchCT(0:0))
      call avCT(3394, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1430/))

      allocate(vertices(2322)%branchCT(0:0))
      call avCT(2322, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3397)%branchCT(0:0))
      call avCT(3397, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1010/))

      allocate(vertices(3539)%branchCT(0:0))
      call avCT(3539, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1299/))

      allocate(vertices(3611)%branchCT(0:0))
      call avCT(3611, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(3401)%branchCT(0:1))
      call avCT(3401, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1316, nGC_1316/))

      call avCT(3401, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1317, nGC_1317/))

      allocate(vertices(3403)%branchCT(0:0))
      call avCT(3403, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(1415)%branchCT(0:0))
      call avCT(1415, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3407)%branchCT(0:0))
      call avCT(3407, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(1603)%branchCT(0:0))
      call avCT(1603, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(1286)%branchCT(0:0))
      call avCT(1286, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(3410)%branchCT(0:0))
      call avCT(3410, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3412)%branchCT(0:0))
      call avCT(3412, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(3902)%branchCT(0:0))
      call avCT(3902, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(273)%branchCT(0:1))
      call avCT(273, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1311, nGC_1313/))

      call avCT(273, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1312, nGC_1314/))

      allocate(vertices(3421)%branchCT(0:0))
      call avCT(3421, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3751)%branchCT(0:0))
      call avCT(3751, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3424)%branchCT(0:0))
      call avCT(3424, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(3427)%branchCT(0:0))
      call avCT(3427, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(2668)%branchCT(0:0))
      call avCT(2668, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1294/))

      allocate(vertices(1147)%branchCT(0:0))
      call avCT(1147, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(3430)%branchCT(0:0))
      call avCT(3430, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3433)%branchCT(0:0))
      call avCT(3433, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3434)%branchCT(0:0))
      call avCT(3434, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(3436)%branchCT(0:0))
      call avCT(3436, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1010/))

      allocate(vertices(3773)%branchCT(0:1))
      call avCT(3773, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1229, nGC_1231/))

      call avCT(3773, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1230, nGC_1232/))

      allocate(vertices(1727)%branchCT(0:0))
      call avCT(1727, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1318/))

      allocate(vertices(3444)%branchCT(0:0))
      call avCT(3444, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(1774)%branchCT(0:0))
      call avCT(1774, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3493)%branchCT(0:0))
      call avCT(3493, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1244/))

      allocate(vertices(1786)%branchCT(0:0))
      call avCT(1786, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(3559)%branchCT(0:0))
      call avCT(3559, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1167, nGC_1168/))

      allocate(vertices(679)%branchCT(0:0))
      call avCT(679, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(3117)%branchCT(0:0))
      call avCT(3117, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(3456)%branchCT(0:0))
      call avCT(3456, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3903)%branchCT(0:0))
      call avCT(3903, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1409/))

      allocate(vertices(3457)%branchCT(0:0))
      call avCT(3457, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3459)%branchCT(0:0))
      call avCT(3459, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3462)%branchCT(0:0))
      call avCT(3462, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(3463)%branchCT(0:0))
      call avCT(3463, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(3466)%branchCT(0:0))
      call avCT(3466, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(1853)%branchCT(0:0))
      call avCT(1853, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(458)%branchCT(0:0))
      call avCT(458, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(3019)%branchCT(0:0))
      call avCT(3019, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(3474)%branchCT(0:0))
      call avCT(3474, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3475)%branchCT(0:0))
      call avCT(3475, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1305/))

      allocate(vertices(2380)%branchCT(0:0))
      call avCT(2380, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(3477)%branchCT(0:0))
      call avCT(3477, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(3479)%branchCT(0:0))
      call avCT(3479, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1938)%branchCT(0:0))
      call avCT(1938, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3482)%branchCT(0:0))
      call avCT(3482, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(3483)%branchCT(0:0))
      call avCT(3483, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(991)%branchCT(0:0))
      call avCT(991, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1259/))

      allocate(vertices(1997)%branchCT(0:0))
      call avCT(1997, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(3488)%branchCT(0:0))
      call avCT(3488, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1223/))

      allocate(vertices(3491)%branchCT(0:0))
      call avCT(3491, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(2018)%branchCT(0:0))
      call avCT(2018, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3437)%branchCT(0:0))
      call avCT(3437, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3496)%branchCT(0:0))
      call avCT(3496, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(3499)%branchCT(0:0))
      call avCT(3499, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1259/))

      allocate(vertices(3500)%branchCT(0:0))
      call avCT(3500, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(2053)%branchCT(0:0))
      call avCT(2053, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(1847)%branchCT(0:0))
      call avCT(1847, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3786)%branchCT(0:0))
      call avCT(3786, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3508)%branchCT(0:1))
      call avCT(3508, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1379, nGC_1381/))

      call avCT(3508, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1380, nGC_1382/))

      allocate(vertices(2264)%branchCT(0:0))
      call avCT(2264, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(1679)%branchCT(0:0))
      call avCT(1679, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1206, nGC_1205,       &
      nGC_1206/))

      allocate(vertices(3518)%branchCT(0:0))
      call avCT(3518, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(2939)%branchCT(0:0))
      call avCT(2939, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3521)%branchCT(0:0))
      call avCT(3521, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1394/))

      allocate(vertices(3522)%branchCT(0:0))
      call avCT(3522, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(3524)%branchCT(0:0))
      call avCT(3524, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3526)%branchCT(0:0))
      call avCT(3526, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1010/))

      allocate(vertices(159)%branchCT(0:0))
      call avCT(159, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1765)%branchCT(0:0))
      call avCT(1765, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(3529)%branchCT(0:0))
      call avCT(3529, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1197/))

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(3533)%branchCT(0:1))
      call avCT(3533, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1255/))

      call avCT(3533, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1256/))

      allocate(vertices(3030)%branchCT(0:0))
      call avCT(3030, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(3537)%branchCT(0:3))
      call avCT(3537, 0, 24, 3, 0, VFaF0, (/1, 2/), (/nGC_1285, nGC_1287/))

      call avCT(3537, 1, 24, 3, 0, VFaF0, (/3, 0/), (/nGC_1284, nGC_1286/))

      call avCT(3537, 2, 25, 2, 0, VFaF0, (/1, 2/), (/nGC_1285, nGC_1287/))

      call avCT(3537, 3, 25, 2, 0, VFaF0, (/3, 0/), (/nGC_1284, nGC_1286/))

      allocate(vertices(3538)%branchCT(0:0))
      call avCT(3538, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2245)%branchCT(0:0))
      call avCT(2245, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3544)%branchCT(0:0))
      call avCT(3544, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2270)%branchCT(0:0))
      call avCT(2270, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(3547)%branchCT(0:0))
      call avCT(3547, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(3549)%branchCT(0:0))
      call avCT(3549, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(3551)%branchCT(0:0))
      call avCT(3551, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1408/))

      allocate(vertices(2304)%branchCT(0:0))
      call avCT(2304, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3556)%branchCT(0:0))
      call avCT(3556, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1223/))

      allocate(vertices(3557)%branchCT(0:0))
      call avCT(3557, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3558)%branchCT(0:0))
      call avCT(3558, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1337, nGC_1337/))

      allocate(vertices(3560)%branchCT(0:0))
      call avCT(3560, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3561)%branchCT(0:0))
      call avCT(3561, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(110)%branchCT(0:0))
      call avCT(110, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(564)%branchCT(0:0))
      call avCT(564, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(3565)%branchCT(0:0))
      call avCT(3565, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(3904)%branchCT(0:0))
      call avCT(3904, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(3568)%branchCT(0:0))
      call avCT(3568, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2414)%branchCT(0:0))
      call avCT(2414, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(1479)%branchCT(0:0))
      call avCT(1479, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(272)%branchCT(0:0))
      call avCT(272, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3572)%branchCT(0:0))
      call avCT(3572, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1318/))

      allocate(vertices(2444)%branchCT(0:0))
      call avCT(2444, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2186)%branchCT(0:0))
      call avCT(2186, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3576)%branchCT(0:0))
      call avCT(3576, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(3577)%branchCT(0:0))
      call avCT(3577, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3579)%branchCT(0:1))
      call avCT(3579, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1170, nGC_1172/))

      call avCT(3579, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1171, nGC_1173/))

      allocate(vertices(3580)%branchCT(0:1))
      call avCT(3580, 0, 20, 1, 0, FVFa1, (/0, 3/), (/nGC_1335/))

      call avCT(3580, 1, 20, 1, 0, FVFa1, (/2, 1/), (/nGC_1336/))

      allocate(vertices(3581)%branchCT(0:0))
      call avCT(3581, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(3582)%branchCT(0:1))
      call avCT(3582, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1379, nGC_1381/))

      call avCT(3582, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1380, nGC_1382/))

      allocate(vertices(3905)%branchCT(0:0))
      call avCT(3905, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(3585)%branchCT(0:0))
      call avCT(3585, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(3587)%branchCT(0:0))
      call avCT(3587, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(3588)%branchCT(0:0))
      call avCT(3588, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1451/))

      allocate(vertices(3041)%branchCT(0:0))
      call avCT(3041, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(3593)%branchCT(0:0))
      call avCT(3593, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3906)%branchCT(0:0))
      call avCT(3906, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(3597)%branchCT(0:0))
      call avCT(3597, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3599)%branchCT(0:0))
      call avCT(3599, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1299/))

      allocate(vertices(3601)%branchCT(0:0))
      call avCT(3601, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(2467)%branchCT(0:0))
      call avCT(2467, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3353)%branchCT(0:0))
      call avCT(3353, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(1779)%branchCT(0:0))
      call avCT(1779, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3449)%branchCT(0:0))
      call avCT(3449, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2659)%branchCT(0:0))
      call avCT(2659, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3616)%branchCT(0:0))
      call avCT(3616, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(3617)%branchCT(0:1))
      call avCT(3617, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1235, nGC_1237/))

      call avCT(3617, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1236, nGC_1238/))

      allocate(vertices(2682)%branchCT(0:0))
      call avCT(2682, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(2607)%branchCT(0:0))
      call avCT(2607, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3622)%branchCT(0:0))
      call avCT(3622, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1470/))

      allocate(vertices(3623)%branchCT(0:0))
      call avCT(3623, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(3625)%branchCT(0:0))
      call avCT(3625, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(3627)%branchCT(0:0))
      call avCT(3627, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3628)%branchCT(0:0))
      call avCT(3628, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3629)%branchCT(0:3))
      call avCT(3629, 0, 22, 3, 0, VFFa0, (/1, 2/), (/nGC_1296, nGC_1298/))

      call avCT(3629, 1, 22, 3, 0, VFFa0, (/3, 0/), (/nGC_1295, nGC_1297/))

      call avCT(3629, 2, 23, 2, 0, VFFa0, (/1, 2/), (/nGC_1296, nGC_1298/))

      call avCT(3629, 3, 23, 2, 0, VFFa0, (/3, 0/), (/nGC_1295, nGC_1297/))

      allocate(vertices(3631)%branchCT(0:0))
      call avCT(3631, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1239/))

      allocate(vertices(882)%branchCT(0:0))
      call avCT(882, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(1783)%branchCT(0:0))
      call avCT(1783, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(3639)%branchCT(0:0))
      call avCT(3639, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(466)%branchCT(0:0))
      call avCT(466, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2811)%branchCT(0:0))
      call avCT(2811, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1208, nGC_1208,       &
      nGC_1209/))

      allocate(vertices(3647)%branchCT(0:0))
      call avCT(3647, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1828)%branchCT(0:0))
      call avCT(1828, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1898)%branchCT(0:0))
      call avCT(1898, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(3654)%branchCT(0:0))
      call avCT(3654, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1784)%branchCT(0:0))
      call avCT(1784, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1452/))

      allocate(vertices(3657)%branchCT(0:0))
      call avCT(3657, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1259/))

      allocate(vertices(5)%branchCT(0:0))
      call avCT(5, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3659)%branchCT(0:1))
      call avCT(3659, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1193, nGC_1195/))

      call avCT(3659, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1194, nGC_1196/))

      allocate(vertices(3907)%branchCT(0:0))
      call avCT(3907, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1467, nGC_1468,       &
      nGC_1468, nGC_1469/))

      allocate(vertices(3662)%branchCT(0:0))
      call avCT(3662, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(3672)%branchCT(0:0))
      call avCT(3672, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(3908)%branchCT(0:0))
      call avCT(3908, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(1449)%branchCT(0:0))
      call avCT(1449, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3676)%branchCT(0:0))
      call avCT(3676, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2415)%branchCT(0:0))
      call avCT(2415, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(3679)%branchCT(0:0))
      call avCT(3679, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1391/))

      allocate(vertices(580)%branchCT(0:0))
      call avCT(580, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2505)%branchCT(0:0))
      call avCT(2505, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(1818)%branchCT(0:0))
      call avCT(1818, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3683)%branchCT(0:0))
      call avCT(3683, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1182)%branchCT(0:0))
      call avCT(1182, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3689)%branchCT(0:0))
      call avCT(3689, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(3690)%branchCT(0:0))
      call avCT(3690, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1122)%branchCT(0:0))
      call avCT(1122, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(3698)%branchCT(0:0))
      call avCT(3698, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(514)%branchCT(0:0))
      call avCT(514, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(3702)%branchCT(0:0))
      call avCT(3702, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3121)%branchCT(0:0))
      call avCT(3121, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3709)%branchCT(0:0))
      call avCT(3709, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(3519)%branchCT(0:0))
      call avCT(3519, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1984)%branchCT(0:0))
      call avCT(1984, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3724)%branchCT(0:1))
      call avCT(3724, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1392, nGC_1392/))

      call avCT(3724, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1393, nGC_1393/))

      allocate(vertices(3188)%branchCT(0:0))
      call avCT(3188, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(3909)%branchCT(0:0))
      call avCT(3909, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_1474/))

      allocate(vertices(3716)%branchCT(0:0))
      call avCT(3716, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2605)%branchCT(0:0))
      call avCT(2605, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(3718)%branchCT(0:0))
      call avCT(3718, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(3720)%branchCT(0:0))
      call avCT(3720, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3175)%branchCT(0:0))
      call avCT(3175, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3060)%branchCT(0:0))
      call avCT(3060, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(3722)%branchCT(0:0))
      call avCT(3722, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3723)%branchCT(0:0))
      call avCT(3723, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1212/))

      allocate(vertices(3727)%branchCT(0:0))
      call avCT(3727, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(3730)%branchCT(0:0))
      call avCT(3730, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3731)%branchCT(0:0))
      call avCT(3731, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1445/))

      allocate(vertices(2248)%branchCT(0:0))
      call avCT(2248, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2879)%branchCT(0:0))
      call avCT(2879, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1305/))

      allocate(vertices(3735)%branchCT(0:0))
      call avCT(3735, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2432)%branchCT(0:0))
      call avCT(2432, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3737)%branchCT(0:0))
      call avCT(3737, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(3910)%branchCT(0:0))
      call avCT(3910, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(1465)%branchCT(0:0))
      call avCT(1465, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1275, nGC_1275/))

      allocate(vertices(3741)%branchCT(0:0))
      call avCT(3741, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(3742)%branchCT(0:0))
      call avCT(3742, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3383)%branchCT(0:0))
      call avCT(3383, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(3747)%branchCT(0:0))
      call avCT(3747, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1391/))

      allocate(vertices(3750)%branchCT(0:0))
      call avCT(3750, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(3116)%branchCT(0:1))
      call avCT(3116, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1288, nGC_1290/))

      call avCT(3116, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1289, nGC_1291/))

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1397/))

      allocate(vertices(3440)%branchCT(0:0))
      call avCT(3440, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1010/))

      allocate(vertices(3758)%branchCT(0:0))
      call avCT(3758, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1239/))

      allocate(vertices(2888)%branchCT(0:1))
      call avCT(2888, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1288, nGC_1290/))

      call avCT(2888, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1289, nGC_1291/))

      allocate(vertices(189)%branchCT(0:0))
      call avCT(189, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(3095)%branchCT(0:0))
      call avCT(3095, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(3765)%branchCT(0:1))
      call avCT(3765, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1248/))

      call avCT(3765, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1249/))

      allocate(vertices(3514)%branchCT(0:0))
      call avCT(3514, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(3768)%branchCT(0:0))
      call avCT(3768, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(3770)%branchCT(0:0))
      call avCT(3770, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3701)%branchCT(0:0))
      call avCT(3701, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3772)%branchCT(0:0))
      call avCT(3772, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(3774)%branchCT(0:0))
      call avCT(3774, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1370/))

      allocate(vertices(3726)%branchCT(0:0))
      call avCT(3726, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1207/))

      allocate(vertices(3777)%branchCT(0:0))
      call avCT(3777, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(2894)%branchCT(0:0))
      call avCT(2894, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(1803)%branchCT(0:0))
      call avCT(1803, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1882)%branchCT(0:0))
      call avCT(1882, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3782)%branchCT(0:1))
      call avCT(3782, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1432, nGC_1434/))

      call avCT(3782, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1433, nGC_1435/))

      allocate(vertices(394)%branchCT(0:0))
      call avCT(394, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1470/))

      allocate(vertices(2688)%branchCT(0:0))
      call avCT(2688, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(3787)%branchCT(0:1))
      call avCT(3787, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1379, nGC_1381/))

      call avCT(3787, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1380, nGC_1382/))

      allocate(vertices(3911)%branchCT(0:1))
      call avCT(3911, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_1277, nGC_1279,       &
      nGC_1279, nGC_1281/))

      call avCT(3911, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_1278, nGC_1280,       &
      nGC_1280, nGC_1282/))

      allocate(vertices(3540)%branchCT(0:0))
      call avCT(3540, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(3790)%branchCT(0:0))
      call avCT(3790, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(3792)%branchCT(0:0))
      call avCT(3792, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(3793)%branchCT(0:0))
      call avCT(3793, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3794)%branchCT(0:0))
      call avCT(3794, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3912)%branchCT(0:0))
      call avCT(3912, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1438/))

      allocate(vertices(3692)%branchCT(0:0))
      call avCT(3692, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3796)%branchCT(0:1))
      call avCT(3796, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1356, nGC_1358/))

      call avCT(3796, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1357, nGC_1359/))

      allocate(vertices(3797)%branchCT(0:0))
      call avCT(3797, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1363, nGC_1364/))

      allocate(vertices(3074)%branchCT(0:0))
      call avCT(3074, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(3800)%branchCT(0:0))
      call avCT(3800, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(3136)%branchCT(0:1))
      call avCT(3136, 0, 20, 1, 0, FVFa0, (/0, 3/), (/nGC_1175, nGC_1177/))

      call avCT(3136, 1, 20, 1, 0, FVFa0, (/2, 1/), (/nGC_1176, nGC_1178/))

      allocate(vertices(3802)%branchCT(0:0))
      call avCT(3802, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3804)%branchCT(0:0))
      call avCT(3804, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3806)%branchCT(0:1))
      call avCT(3806, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1213, nGC_1215/))

      call avCT(3806, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1214, nGC_1216/))

      allocate(vertices(3771)%branchCT(0:1))
      call avCT(3771, 0, 19, 1, 0, FaFV1, (/0, 3/), (/nGC_1335/))

      call avCT(3771, 1, 19, 1, 0, FaFV1, (/2, 1/), (/nGC_1336/))

      allocate(vertices(3808)%branchCT(0:0))
      call avCT(3808, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1384, nGC_1383,       &
      nGC_1384/))

      allocate(vertices(2555)%branchCT(0:0))
      call avCT(2555, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1217/))

      allocate(vertices(3630)%branchCT(0:0))
      call avCT(3630, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3807)%branchCT(0:0))
      call avCT(3807, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3814)%branchCT(0:0))
      call avCT(3814, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1372/))

      allocate(vertices(1642)%branchCT(0:0))
      call avCT(1642, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1112)%branchR2(0:0))
      call avR2(1112, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_945/))

      allocate(vertices(417)%branchR2(0:1))
      call avR2(417, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_891, nGC_892/))

      call avR2(417, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_883, nGC_885/))

      allocate(vertices(571)%branchR2(0:1))
      call avR2(571, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_810, nGC_811/))

      call avR2(571, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_797, nGC_799/))

      allocate(vertices(2820)%branchR2(0:1))
      call avR2(2820, 0, 20, 1, 0, FVFa1, (/0, 3/), (/nGC_874/))

      call avR2(2820, 1, 20, 1, 0, FVFa1, (/2, 1/), (/nGC_875/))

      allocate(vertices(1150)%branchR2(0:0))
      call avR2(1150, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_960/))

      allocate(vertices(1614)%branchR2(0:1))
      call avR2(1614, 0, 20, 1, 0, FVFa0, (/0, 3/), (/nGC_777, nGC_778/))

      call avR2(1614, 1, 20, 1, 0, FVFa0, (/2, 1/), (/nGC_756, nGC_756/))

      allocate(vertices(9)%branchR2(0:0))
      call avR2(9, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_975/))

      allocate(vertices(1784)%branchR2(0:0))
      call avR2(1784, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(475)%branchR2(0:1))
      call avR2(475, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_798, nGC_796/))

      call avR2(475, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_799, nGC_797/))

      allocate(vertices(371)%branchR2(0:0))
      call avR2(371, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2119)%branchR2(0:0))
      call avR2(2119, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(3822)%branchR2(0:0))
      call avR2(3822, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_774/))

      allocate(vertices(3913)%branchR2(0:0))
      call avR2(3913, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_966, nGC_966, nGC_966 &
      /))

      allocate(vertices(3914)%branchR2(0:1))
      call avR2(3914, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_987/))

      call avR2(3914, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_988/))

      allocate(vertices(1888)%branchR2(0:1))
      call avR2(1888, 0, 17, 1, 0, VFFa0, (/0, 3/), (/nGC_757, nGC_758/))

      call avR2(1888, 1, 17, 1, 0, VFFa0, (/2, 1/), (/nGC_759, nGC_759/))

      allocate(vertices(3915)%branchR2(0:1))
      call avR2(3915, 0, 136, 1, 0, VVVV0, (/2, 2/), (/nGC_985, nGC_985,       &
      nGC_985/))

      call avR2(3915, 1, 135, 1, 0, VVVV0, (/2, 2/), (/nGC_986, nGC_986,       &
      nGC_986/))

      allocate(vertices(2324)%branchR2(0:0))
      call avR2(2324, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_945/))

      allocate(vertices(562)%branchR2(0:0))
      call avR2(562, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_828, nGC_829/))

      allocate(vertices(2058)%branchR2(0:0))
      call avR2(2058, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_894, nGC_893/))

      allocate(vertices(3916)%branchR2(0:0))
      call avR2(3916, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_942/))

      allocate(vertices(671)%branchR2(0:0))
      call avR2(671, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_886/))

      allocate(vertices(565)%branchR2(0:0))
      call avR2(565, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_953, nGC_955, nGC_954/))

      allocate(vertices(557)%branchR2(0:0))
      call avR2(557, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_953, nGC_954, nGC_955/))

      allocate(vertices(1926)%branchR2(0:1))
      call avR2(1926, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_854, nGC_853/))

      call avR2(1926, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_855, nGC_855/))

      allocate(vertices(1884)%branchR2(0:0))
      call avR2(1884, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(315)%branchR2(0:0))
      call avR2(315, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1475/))

      allocate(vertices(3136)%branchR2(0:1))
      call avR2(3136, 0, 20, 1, 0, FVFa0, (/0, 3/), (/nGC_882, nGC_884/))

      call avR2(3136, 1, 20, 1, 0, FVFa0, (/2, 1/), (/nGC_883, nGC_885/))

      allocate(vertices(2920)%branchR2(0:0))
      call avR2(2920, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_784/))

      allocate(vertices(1858)%branchR2(0:23))
      call avR2(1858, 0, 173, 1, 0, VVVV0, (/4, 0/), (/nGC_1004, nGC_1003,     &
      nGC_1003/))

      call avR2(1858, 1, 9, 1, 0, VVVV0, (/4, 0/), (/nGC_1005, nGC_1000,       &
      nGC_1006/))

      call avR2(1858, 2, 186, 1, 0, VVVV0, (/4, 0/), (/nGC_1009, nGC_1009,     &
      nGC_1009/))

      call avR2(1858, 3, 176, 1, 0, VVVV0, (/4, 0/), (/nGC_1003, nGC_1004,     &
      nGC_1003/))

      call avR2(1858, 4, 5, 1, 0, VVVV0, (/4, 0/), (/nGC_1001, nGC_1001,       &
      nGC_1000/))

      call avR2(1858, 5, 182, 1, 0, VVVV0, (/4, 0/), (/nGC_1008, nGC_1008,     &
      nGC_1008/))

      call avR2(1858, 6, 179, 1, 0, VVVV0, (/4, 0/), (/nGC_1002, nGC_1002,     &
      nGC_1002/))

      call avR2(1858, 7, 172, 1, 0, VVVV0, (/4, 0/), (/nGC_1002, nGC_1002,     &
      nGC_1002/))

      call avR2(1858, 8, 8, 1, 0, VVVV0, (/4, 0/), (/nGC_1000, nGC_1005,       &
      nGC_1007/))

      call avR2(1858, 9, 175, 1, 0, VVVV0, (/4, 0/), (/nGC_1003, nGC_1003,     &
      nGC_1004/))

      call avR2(1858, 10, 188, 1, 0, VVVV0, (/4, 0/), (/nGC_1009, nGC_1009,    &
      nGC_1009/))

      call avR2(1858, 11, 185, 1, 0, VVVV0, (/4, 0/), (/nGC_1009, nGC_1009,    &
      nGC_1009/))

      call avR2(1858, 12, 4, 1, 0, VVVV0, (/4, 0/), (/nGC_1001, nGC_1001,      &
      nGC_1000/))

      call avR2(1858, 13, 178, 1, 0, VVVV0, (/4, 0/), (/nGC_1002, nGC_1002,    &
      nGC_1002/))

      call avR2(1858, 14, 7, 1, 0, VVVV0, (/4, 0/), (/nGC_1005, nGC_1000,      &
      nGC_1006/))

      call avR2(1858, 15, 181, 1, 0, VVVV0, (/4, 0/), (/nGC_1002, nGC_1002,    &
      nGC_1002/))

      call avR2(1858, 16, 174, 1, 0, VVVV0, (/4, 0/), (/nGC_1002, nGC_1002,    &
      nGC_1002/))

      call avR2(1858, 17, 171, 1, 0, VVVV0, (/4, 0/), (/nGC_1002, nGC_1002,    &
      nGC_1002/))

      call avR2(1858, 18, 184, 1, 0, VVVV0, (/4, 0/), (/nGC_1009, nGC_1009,    &
      nGC_1009/))

      call avR2(1858, 19, 187, 1, 0, VVVV0, (/4, 0/), (/nGC_1009, nGC_1009,    &
      nGC_1009/))

      call avR2(1858, 20, 6, 1, 0, VVVV0, (/4, 0/), (/nGC_1000, nGC_1005,      &
      nGC_1007/))

      call avR2(1858, 21, 180, 1, 0, VVVV0, (/4, 0/), (/nGC_1002, nGC_1002,    &
      nGC_1002/))

      call avR2(1858, 22, 177, 1, 0, VVVV0, (/4, 0/), (/nGC_1002, nGC_1002,    &
      nGC_1002/))

      call avR2(1858, 23, 183, 1, 0, VVVV0, (/4, 0/), (/nGC_1009, nGC_1009,    &
      nGC_1009/))

      allocate(vertices(613)%branchR2(0:1))
      call avR2(613, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_790, nGC_788/))

      call avR2(613, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_791, nGC_789/))

      allocate(vertices(3488)%branchR2(0:0))
      call avR2(3488, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_800/))

      allocate(vertices(3383)%branchR2(0:0))
      call avR2(3383, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_964/))

      allocate(vertices(3278)%branchR2(0:0))
      call avR2(3278, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_877/))

      allocate(vertices(158)%branchR2(0:0))
      call avR2(158, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_945/))

      allocate(vertices(3917)%branchR2(0:1))
      call avR2(3917, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_984, nGC_984,       &
      nGC_984/))

      call avR2(3917, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_983, nGC_983,       &
      nGC_983/))

      allocate(vertices(1314)%branchR2(0:0))
      call avR2(1314, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_856, nGC_857/))

      allocate(vertices(2323)%branchR2(0:1))
      call avR2(2323, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_836, nGC_834/))

      call avR2(2323, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_837, nGC_835/))

      allocate(vertices(1478)%branchR2(0:0))
      call avR2(1478, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_972/))

      allocate(vertices(147)%branchR2(0:1))
      call avR2(147, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_809, nGC_808/))

      call avR2(147, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_795, nGC_793/))

      allocate(vertices(3310)%branchR2(0:0))
      call avR2(3310, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_787/))

      allocate(vertices(810)%branchR2(0:0))
      call avR2(810, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_905, nGC_904/))

      allocate(vertices(1854)%branchR2(0:0))
      call avR2(1854, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(799)%branchR2(0:0))
      call avR2(799, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_769, nGC_768/))

      allocate(vertices(3843)%branchR2(0:0))
      call avR2(3843, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_958/))

      allocate(vertices(2657)%branchR2(0:0))
      call avR2(2657, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2813)%branchR2(0:1))
      call avR2(2813, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_861, nGC_860/))

      call avR2(2813, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_862, nGC_862/))

      allocate(vertices(3549)%branchR2(0:0))
      call avR2(3549, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(51)%branchR2(0:0))
      call avR2(51, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(3345)%branchR2(0:0))
      call avR2(3345, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_760/))

      allocate(vertices(3036)%branchR2(0:1))
      call avR2(3036, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_854, nGC_853/))

      call avR2(3036, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_855, nGC_855/))

      allocate(vertices(2967)%branchR2(0:0))
      call avR2(2967, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1476/))

      allocate(vertices(1095)%branchR2(0:0))
      call avR2(1095, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_975/))

      allocate(vertices(3918)%branchR2(0:0))
      call avR2(3918, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_764/))

      allocate(vertices(3829)%branchR2(0:0))
      call avR2(3829, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_726, nGC_725/))

      allocate(vertices(1829)%branchR2(0:0))
      call avR2(1829, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(2348)%branchR2(0:1))
      call avR2(2348, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_847, nGC_846/))

      call avR2(2348, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_848, nGC_848/))

      allocate(vertices(959)%branchR2(0:0))
      call avR2(959, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_845/))

      allocate(vertices(1909)%branchR2(0:1))
      call avR2(1909, 0, 20, 1, 0, FVFa1, (/0, 3/), (/nGC_879/))

      call avR2(1909, 1, 20, 1, 0, FVFa1, (/2, 1/), (/nGC_875/))

      allocate(vertices(85)%branchR2(0:0))
      call avR2(85, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_979, nGC_978, nGC_979/))

      allocate(vertices(3584)%branchR2(0:0))
      call avR2(3584, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_801/))

      allocate(vertices(3737)%branchR2(0:0))
      call avR2(3737, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_946/))

      allocate(vertices(3919)%branchR2(0:1))
      call avR2(3919, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_989/))

      call avR2(3919, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_990/))

      allocate(vertices(840)%branchR2(0:1))
      call avR2(840, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_871, nGC_870/))

      call avR2(840, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_872, nGC_872/))

      allocate(vertices(2585)%branchR2(0:0))
      call avR2(2585, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_977/))

      allocate(vertices(3419)%branchR2(0:0))
      call avR2(3419, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_981, nGC_980, nGC_981 &
      /))

      allocate(vertices(3854)%branchR2(0:0))
      call avR2(3854, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_773/))

      allocate(vertices(1676)%branchR2(0:0))
      call avR2(1676, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_868, nGC_869/))

      allocate(vertices(252)%branchR2(0:0))
      call avR2(252, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_769, nGC_768/))

      allocate(vertices(592)%branchR2(0:1))
      call avR2(592, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_861, nGC_860/))

      call avR2(592, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_862, nGC_862/))

      allocate(vertices(1633)%branchR2(0:0))
      call avR2(1633, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_967/))

      allocate(vertices(3890)%branchR2(0:0))
      call avR2(3890, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_958/))

      allocate(vertices(3364)%branchR2(0:0))
      call avR2(3364, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_783/))

      allocate(vertices(3852)%branchR2(0:0))
      call avR2(3852, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_746/))

      allocate(vertices(3268)%branchR2(0:0))
      call avR2(3268, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_953, nGC_954, nGC_955 &
      /))

      allocate(vertices(2362)%branchR2(0:0))
      call avR2(2362, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_946/))

      allocate(vertices(2357)%branchR2(0:0))
      call avR2(2357, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(3811)%branchR2(0:1))
      call avR2(3811, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_806, nGC_807/))

      call avR2(3811, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_789, nGC_791/))

      allocate(vertices(1808)%branchR2(0:0))
      call avR2(1808, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2878)%branchR2(0:1))
      call avR2(2878, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_798, nGC_796/))

      call avR2(2878, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_799, nGC_797/))

      allocate(vertices(3684)%branchR2(0:0))
      call avR2(3684, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2493)%branchR2(0:0))
      call avR2(2493, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_946/))

      allocate(vertices(659)%branchR2(0:0))
      call avR2(659, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_873/))

      allocate(vertices(2864)%branchR2(0:0))
      call avR2(2864, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_959/))

      allocate(vertices(3724)%branchR2(0:1))
      call avR2(3724, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_854, nGC_853/))

      call avR2(3724, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_855, nGC_855/))

      allocate(vertices(829)%branchR2(0:0))
      call avR2(829, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_944/))

      allocate(vertices(2630)%branchR2(0:0))
      call avR2(2630, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_954, nGC_955, nGC_953 &
      /))

      allocate(vertices(1414)%branchR2(0:0))
      call avR2(1414, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_828, nGC_829/))

      allocate(vertices(3796)%branchR2(0:1))
      call avR2(3796, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_775, nGC_776/))

      call avR2(3796, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_759, nGC_759/))

      allocate(vertices(2665)%branchR2(0:0))
      call avR2(2665, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_960/))

      allocate(vertices(584)%branchR2(0:0))
      call avR2(584, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_959/))

      allocate(vertices(28)%branchR2(0:3))
      call avR2(28, 0, 27, 1, 0, FaFV0, (/3, 0/), (/nGC_909, nGC_909/))

      call avR2(28, 1, 27, 1, 0, FaFV0, (/1, 2/), (/nGC_914, nGC_915/))

      call avR2(28, 2, 26, 1, 0, FaFV0, (/1, 2/), (/nGC_916, nGC_917/))

      call avR2(28, 3, 26, 1, 0, FaFV0, (/3, 0/), (/nGC_912, nGC_912/))

      allocate(vertices(545)%branchR2(0:0))
      call avR2(545, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_947/))

      allocate(vertices(515)%branchR2(0:1))
      call avR2(515, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_847, nGC_846/))

      call avR2(515, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_848, nGC_848/))

      allocate(vertices(1793)%branchR2(0:0))
      call avR2(1793, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_960/))

      allocate(vertices(1841)%branchR2(0:0))
      call avR2(1841, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(1872)%branchR2(0:0))
      call avR2(1872, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_849/))

      allocate(vertices(1284)%branchR2(0:3))
      call avR2(1284, 0, 22, 1, 0, VFFa0, (/3, 0/), (/nGC_927, nGC_927/))

      call avR2(1284, 1, 22, 1, 0, VFFa0, (/1, 2/), (/nGC_925, nGC_926/))

      call avR2(1284, 2, 23, 1, 0, VFFa0, (/3, 0/), (/nGC_924, nGC_924/))

      call avR2(1284, 3, 23, 1, 0, VFFa0, (/1, 2/), (/nGC_922, nGC_923/))

      allocate(vertices(2643)%branchR2(0:0))
      call avR2(2643, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_856, nGC_857/))

      allocate(vertices(2500)%branchR2(0:1))
      call avR2(2500, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_866, nGC_865/))

      call avR2(2500, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_867, nGC_867/))

      allocate(vertices(3174)%branchR2(0:0))
      call avR2(3174, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2233)%branchR2(0:0))
      call avR2(2233, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_877/))

      allocate(vertices(1641)%branchR2(0:0))
      call avR2(1641, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_946/))

      allocate(vertices(387)%branchR2(0:0))
      call avR2(387, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_877/))

      allocate(vertices(3832)%branchR2(0:1))
      call avR2(3832, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_711, nGC_734, nGC_734&
      , nGC_709/))

      call avR2(3832, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_708, nGC_735, nGC_735&
      , nGC_708/))

      allocate(vertices(1584)%branchR2(0:0))
      call avR2(1584, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_763/))

      allocate(vertices(3920)%branchR2(0:1))
      call avR2(3920, 0, 136, 1, 0, VVVV0, (/2, 2/), (/nGC_973, nGC_973,       &
      nGC_973/))

      call avR2(3920, 1, 135, 1, 0, VVVV0, (/2, 2/), (/nGC_974, nGC_974,       &
      nGC_974/))

      allocate(vertices(2112)%branchR2(0:0))
      call avR2(2112, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_940, nGC_939, nGC_938 &
      /))

      allocate(vertices(1395)%branchR2(0:0))
      call avR2(1395, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_803/))

      allocate(vertices(604)%branchR2(0:1))
      call avR2(604, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_809, nGC_808/))

      call avR2(604, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_795, nGC_793/))

      allocate(vertices(3869)%branchR2(0:0))
      call avR2(3869, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_765/))

      allocate(vertices(1131)%branchR2(0:0))
      call avR2(1131, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_945/))

      allocate(vertices(1035)%branchR2(0:1))
      call avR2(1035, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_836, nGC_834/))

      call avR2(1035, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_837, nGC_835/))

      allocate(vertices(249)%branchR2(0:0))
      call avR2(249, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_959/))

      allocate(vertices(2079)%branchR2(0:0))
      call avR2(2079, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_961/))

      allocate(vertices(1484)%branchR2(0:0))
      call avR2(1484, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_944/))

      allocate(vertices(1125)%branchR2(0:3))
      call avR2(1125, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_927, nGC_927/))

      call avR2(1125, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_930, nGC_931/))

      call avR2(1125, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_924, nGC_924/))

      call avR2(1125, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_928, nGC_929/))

      allocate(vertices(2860)%branchR2(0:0))
      call avR2(2860, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_800/))

      allocate(vertices(3921)%branchR2(0:1))
      call avR2(3921, 0, 129, 1, 0, VSV0, (/2, 1/), (/nGC_863/))

      call avR2(3921, 1, 130, 1, 0, VSV0, (/2, 1/), (/nGC_864/))

      allocate(vertices(3922)%branchR2(0:1))
      call avR2(3922, 0, 145, 1, 0, VVVV0, (/2, 2/), (/nGC_984, nGC_984,       &
      nGC_984/))

      call avR2(3922, 1, 146, 1, 0, VVVV0, (/2, 2/), (/nGC_983, nGC_983,       &
      nGC_983/))

      allocate(vertices(3020)%branchR2(0:0))
      call avR2(3020, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_878/))

      allocate(vertices(3923)%branchR2(0:5))
      call avR2(3923, 0, 149, 1, 0, VVVV0, (/3, 1/), (/nGC_995, nGC_995,       &
      nGC_995/))

      call avR2(3923, 1, 148, 1, 0, VVVV0, (/3, 1/), (/nGC_995, nGC_995,       &
      nGC_995/))

      call avR2(3923, 2, 151, 1, 0, VVVV0, (/3, 1/), (/nGC_996, nGC_996,       &
      nGC_996/))

      call avR2(3923, 3, 152, 1, 0, VVVV0, (/3, 1/), (/nGC_996, nGC_996,       &
      nGC_996/))

      call avR2(3923, 4, 150, 1, 0, VVVV0, (/3, 1/), (/nGC_995, nGC_995,       &
      nGC_995/))

      call avR2(3923, 5, 147, 1, 0, VVVV0, (/3, 1/), (/nGC_994, nGC_994,       &
      nGC_994/))

      allocate(vertices(1628)%branchR2(0:0))
      call avR2(1628, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_801/))

      allocate(vertices(2690)%branchR2(0:0))
      call avR2(2690, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_948/))

      allocate(vertices(1465)%branchR2(0:0))
      call avR2(1465, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_856, nGC_857/))

      allocate(vertices(3631)%branchR2(0:0))
      call avR2(3631, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_783/))

      allocate(vertices(3924)%branchR2(0:1))
      call avR2(3924, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_970/))

      call avR2(3924, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_969/))

      allocate(vertices(747)%branchR2(0:0))
      call avR2(747, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_801/))

      allocate(vertices(3925)%branchR2(0:1))
      call avR2(3925, 0, 139, 1, 0, VVVV0, (/2, 2/), (/nGC_984, nGC_984,       &
      nGC_984/))

      call avR2(3925, 1, 140, 1, 0, VVVV0, (/2, 2/), (/nGC_983, nGC_983,       &
      nGC_983/))

      allocate(vertices(701)%branchR2(0:0))
      call avR2(701, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_982/))

      allocate(vertices(967)%branchR2(0:1))
      call avR2(967, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_790, nGC_788/))

      call avR2(967, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_791, nGC_789/))

      allocate(vertices(514)%branchR2(0:0))
      call avR2(514, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_947/))

      allocate(vertices(1336)%branchR2(0:0))
      call avR2(1336, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_960/))

      allocate(vertices(700)%branchR2(0:1))
      call avR2(700, 0, 21, 1, 0, FaVF1, (/0, 3/), (/nGC_876/))

      call avR2(700, 1, 21, 1, 0, FaVF1, (/2, 1/), (/nGC_875/))

      allocate(vertices(3926)%branchR2(0:1))
      call avR2(3926, 0, 144, 1, 0, VVVV0, (/2, 2/), (/nGC_986, nGC_986,       &
      nGC_986/))

      call avR2(3926, 1, 143, 1, 0, VVVV0, (/2, 2/), (/nGC_985, nGC_985,       &
      nGC_985/))

      allocate(vertices(2193)%branchR2(0:0))
      call avR2(2193, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_962/))

      allocate(vertices(3927)%branchR2(0:1))
      call avR2(3927, 0, 145, 1, 0, VVVV0, (/2, 2/), (/nGC_985, nGC_985,       &
      nGC_985/))

      call avR2(3927, 1, 146, 1, 0, VVVV0, (/2, 2/), (/nGC_986, nGC_986,       &
      nGC_986/))

      allocate(vertices(3850)%branchR2(0:0))
      call avR2(3850, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_715, nGC_714/))

      allocate(vertices(480)%branchR2(0:0))
      call avR2(480, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_899/))

      allocate(vertices(3824)%branchR2(0:1))
      call avR2(3824, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_733, nGC_749, nGC_749&
      , nGC_731/))

      call avR2(3824, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_708, nGC_750, nGC_750&
      , nGC_708/))

      allocate(vertices(3387)%branchR2(0:0))
      call avR2(3387, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_838, nGC_839/))

      allocate(vertices(203)%branchR2(0:0))
      call avR2(203, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_954, nGC_953, nGC_955/))

      allocate(vertices(1156)%branchR2(0:1))
      call avR2(1156, 0, 20, 1, 0, FVFa0, (/0, 3/), (/nGC_754, nGC_755/))

      call avR2(1156, 1, 20, 1, 0, FVFa0, (/2, 1/), (/nGC_756, nGC_756/))

      allocate(vertices(3853)%branchR2(0:0))
      call avR2(3853, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(3928)%branchR2(0:0))
      call avR2(3928, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_764/))

      allocate(vertices(3179)%branchR2(0:0))
      call avR2(3179, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_948/))

      allocate(vertices(3617)%branchR2(0:1))
      call avR2(3617, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_832, nGC_830/))

      call avR2(3617, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_833, nGC_831/))

      allocate(vertices(931)%branchR2(0:0))
      call avR2(931, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_977/))

      allocate(vertices(834)%branchR2(0:0))
      call avR2(834, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_960/))

      allocate(vertices(1645)%branchR2(0:0))
      call avR2(1645, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_858, nGC_859/))

      allocate(vertices(2488)%branchR2(0:1))
      call avR2(2488, 0, 17, 1, 0, VFFa0, (/0, 3/), (/nGC_766, nGC_767/))

      call avR2(2488, 1, 17, 1, 0, VFFa0, (/2, 1/), (/nGC_759, nGC_759/))

      allocate(vertices(2179)%branchR2(0:0))
      call avR2(2179, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_905, nGC_904/))

      allocate(vertices(3851)%branchR2(0:0))
      call avR2(3851, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1953)%branchR2(0:1))
      call avR2(1953, 0, 19, 1, 0, FaFV0, (/0, 3/), (/nGC_887, nGC_889/))

      call avR2(1953, 1, 19, 1, 0, FaFV0, (/2, 1/), (/nGC_888, nGC_890/))

      allocate(vertices(1555)%branchR2(0:0))
      call avR2(1555, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_947/))

      allocate(vertices(284)%branchR2(0:0))
      call avR2(284, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_805/))

      allocate(vertices(2853)%branchR2(0:0))
      call avR2(2853, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_877/))

      allocate(vertices(2049)%branchR2(0:0))
      call avR2(2049, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_946/))

      allocate(vertices(70)%branchR2(0:0))
      call avR2(70, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_787/))

      allocate(vertices(1421)%branchR2(0:1))
      call avR2(1421, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_832, nGC_830/))

      call avR2(1421, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_833, nGC_831/))

      allocate(vertices(583)%branchR2(0:3))
      call avR2(583, 0, 27, 1, 0, FaFV0, (/3, 0/), (/nGC_924, nGC_924/))

      call avR2(583, 1, 27, 1, 0, FaFV0, (/1, 2/), (/nGC_928, nGC_929/))

      call avR2(583, 2, 26, 1, 0, FaFV0, (/3, 0/), (/nGC_927, nGC_927/))

      call avR2(583, 3, 26, 1, 0, FaFV0, (/1, 2/), (/nGC_930, nGC_931/))

      allocate(vertices(216)%branchR2(0:0))
      call avR2(216, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_960/))

      allocate(vertices(2611)%branchR2(0:1))
      call avR2(2611, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_777, nGC_778/))

      call avR2(2611, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_756, nGC_756/))

      allocate(vertices(1657)%branchR2(0:0))
      call avR2(1657, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_896, nGC_895/))

      allocate(vertices(242)%branchR2(0:0))
      call avR2(242, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_959/))

      allocate(vertices(97)%branchR2(0:1))
      call avR2(97, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_847, nGC_846/))

      call avR2(97, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_848, nGC_848/))

      allocate(vertices(2403)%branchR2(0:0))
      call avR2(2403, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_881/))

      allocate(vertices(3250)%branchR2(0:0))
      call avR2(3250, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_947/))

      allocate(vertices(3929)%branchR2(0:1))
      call avR2(3929, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_985, nGC_985,       &
      nGC_985/))

      call avR2(3929, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_986, nGC_986,       &
      nGC_986/))

      allocate(vertices(66)%branchR2(0:0))
      call avR2(66, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_955, nGC_954, nGC_953/))

      allocate(vertices(898)%branchR2(0:0))
      call avR2(898, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_845/))

      allocate(vertices(3196)%branchR2(0:0))
      call avR2(3196, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_963/))

      allocate(vertices(539)%branchR2(0:1))
      call avR2(539, 0, 19, 1, 0, FaFV0, (/0, 3/), (/nGC_775, nGC_776/))

      call avR2(539, 1, 19, 1, 0, FaFV0, (/2, 1/), (/nGC_759, nGC_759/))

      allocate(vertices(1032)%branchR2(0:1))
      call avR2(1032, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_757, nGC_758/))

      call avR2(1032, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_759, nGC_759/))

      allocate(vertices(1374)%branchR2(0:0))
      call avR2(1374, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_945/))

      allocate(vertices(3277)%branchR2(0:1))
      call avR2(3277, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_906, nGC_907/))

      call avR2(3277, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_888, nGC_890/))

      allocate(vertices(2076)%branchR2(0:0))
      call avR2(2076, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1275)%branchR2(0:0))
      call avR2(1275, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_886/))

      allocate(vertices(218)%branchR2(0:0))
      call avR2(218, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_967/))

    end subroutine fill_vertices_mdl8
end module vertices_info8
